/*******************************************************************************
*
* File:         S20_demo.c
* Description:  ϵͳļ
* Version:      V0.1
* Date:         2020-02-22
* Author:       Tempest
 *******************************************************************************/

#include "ap_demo.h"
#include "ArmCM0.h"
#include "tau_device_datatype.h"
#include "tau_log.h"
#include "tau_operations.h"
#include "tau_common.h"
#include "tau_delay.h"
#include "hal_dsi_rx_ctrl.h"
#include "hal_dsi_tx_ctrl.h"
#include "hal_swire.h"
#include "hal_timer.h"
#include "hal_system.h"
#include "hal_gpio.h"
#include "hal_pwm.h"
#include "app_tp_st_touch.h"


#include "app_tp_transfer.h"
#ifdef LOG_TAG
    #undef LOG_TAG
#endif
#define LOG_TAG "S21_demo"

/*****************************************/

//S8 MIPIϢ
/* ֱ */
#define INPUT_WIDTH  1080
#define INPUT_HEIGHT 2400
/*  MIPI lane rate,video modeҪȷãcmd mode */
#define INPUT_MIPI_LANE_RATE  1400000000// 1200000000  //898000000//1400000000
/* ͼʽ */
#define INPUT_COLOR_MODE DSI_RGB888
/* ݸʽ(DSI_DATA_CMD_MODE , DSI_DATA_VIDEO_MODE) */
#define INPUT_DATA_MODE DSI_DATA_CMD_MODE
/* mipi lane(DSI_RX_LANE_x     xΪ1-4) */
#define INPUT_MIPI_LANE_NUM DSI_LANE_4
/* Ϊvideo mode ʱݸʽ */
#define INPUT_VIDEO_MODEL DSI_NONBURST_EVENT
/* ͨ(0-3) */
#define INPUT_VC DSI_VC_0
/* ֡(60/90/120/144Hz) */
#define INPUT_FRAME_RATE DSI_FRAME_RATE_120HZ
/* ǷDSCѹ */
#define INPUT_COMPRESS true


#if AMOLED_NT37701_HX628
    /* ֱ */
   #define OUTPUT_WIDTH   1080
    #define OUTPUT_HEIGHT 2400
    /* ͨ(0-3) */
    #define OUTPUT_VC DSI_VC_0
    /* mipi lane(DSI_RX_LANE_x     xΪ1-4) */
    #define OUTPUT_LANE_NUMBER DSI_LANE_4
    /* Ϊvideo mode ݸʽ */
    #define OUTPUT_VIDEO_MODEL DSI_BURST_MODE
	#define OUTPUT_VSA  8 
    /*  VBP */
    #define OUTPUT_VBP  8
    /*  VBP */
    #define OUTPUT_VFP  20	//70
    /*  VSA */
    #define OUTPUT_HSA  8
    /*  HBP */
    #define OUTPUT_HBP  10	//90
    /*  HFP */
    #define OUTPUT_HFP  50	//99 //8 8 70 8 90 99
 
    /* ʼģʽ */
    #define _CMD_TYPE            DSI_CMD_TX_LP      //0-HS,1-LP;
	#define OUTPUT_FRAME_RATE    60 
#endif

#define SWIRE_TIMER TIMER_NUM1
#define TE_TIMER    TIMER_NUM2
#ifdef USE_FOR_SUMSUNG_S21
#define ENABLE_TP_WAKE_UP          true
#define SWIRE_MAX_NUM       24
#else
#define SWIRE_MAX_NUM       20
#endif
#if ENABLE_TP_WAKE_UP
    #define POWER_IO_A IO_PAD_TD_LEDPWM     /* ӦIOҪ */
    #define POWER_IO_B IO_PAD_TD_SPIM_MISO  /* ӦIOҪ */
#endif
//#define DISPLAY_ONLY
//#define CUS_SCLD_FILTER true
#define NEW_ACK_CMD_FUNC true
	
	
/******************************************************/
static hal_dsi_rx_ctrl_handle_t *g_rx_ctrl_handle = NULL;
static hal_dsi_tx_ctrl_handle_t *g_tx_ctrl_handle = NULL;

#ifdef USE_FOR_SUMSUNG_S21
//S20  SWIRE=50->ELVSS=-1.7V
#define SWIRE_DEFAULT_NUM       50
#else
#define SWIRE_DEFAULT_NUM       38
#endif

#define ADD_TP_CALIBRATION      1
#define AUTO_CAL_TP             0
#define RUN_TEST                0
	
#if ADD_TP_CALIBRATION
static volatile bool g_calibration_flag = false;
#endif	

#if RUN_TEST
static uint8_t g_run_test_cnt = 0;   //leo
#endif

#if AUTO_CAL_TP
static uint16_t g_cal_cnt = 300;    //3sʱTPУ׼
#endif

static uint8_t swire_num=SWIRE_DEFAULT_NUM;
static uint8_t swire_num_bak=SWIRE_DEFAULT_NUM;

/* Ĭfalse,ʼ־λ,ʹTP1.8V,AC ʼҪTP1.8Vе */
static volatile bool start_display_on = true;
static bool g_need_enter_sleep_mode = false;
static bool g_exit_sleep_mode = false;
static bool S21_G991B_frame_update = false;



/* ʼɱ־λ */
static bool panel_display_done = false;
//static bool g_panel_init_done = false;
static volatile bool g_resolution_change = false;
static void swire_init(void);
void Gpio_swire_output(uint8_t flag, uint8_t num);

#ifdef USE_FOR_SUMSUNG_S21
extern uint8_t Flag_blacklight_EN;
extern uint8_t tp_sleep_in;
extern uint8_t tp_sleep_count;
uint8_t phone_start_flag=0;
uint16_t phone_DisplayOFF_count=0;
uint8_t phone_DisplayOFF_flag=0;
#endif



/// ȽϺ
uint32_t rx_filter_1080_h_4_96[32][2] =
{
    0xB029EC0A, 0x0000000F,
    0x904DF003, 0x0000000F,
    0x6871F9FB, 0x0000000F,
    0x4899FBF4, 0x0000000F,
    0x28C1FDED, 0x0000000F,
    0x08EDFBE7, 0x0000000F,
    0xE119FDE0, 0x0000000E,
    0xC145F9DB, 0x0000000E,
    0xA175F3D6, 0x0000000E,
    0x81A9EBD1, 0x0000000E,
    0x69D9E1CD, 0x0000000E,
    0x520DD5C9, 0x0000000E,
    0x3A3DC7C7, 0x0000000E,
    0x2A71B7C4, 0x0000000E,
    0x1A9DA7C3, 0x0000000E,
    0x12CD93C2, 0x0000000E,
    0x12F97DC2, 0x0000000E,
    0x132567C2, 0x0000000E,
    0x1B4D4FC3, 0x0000000E,
    0x236D39C5, 0x0000000E,
    0x3B8D1FC7, 0x0000000E,
    0x4BA907CA, 0x0000000E,
    0x6BC0EDCD, 0x0000000E,
    0x8BD4D5D0, 0x0000000E,
    0xB3E4BBD4, 0x0000000E,
    0xDBF0A3D8, 0x0000000E,
    0x03F88DDC, 0x0000000F,
    0x3BF477E1, 0x0000000F,
    0x6BF861E5, 0x0000000F,
    0xA3F44DE9, 0x0000000F,
    0xDBF039ED, 0x0000000F,
    0x1BE027F2, 0x00000000
};


uint32_t rx_filter_2400_v_4_96[32][2] =
{
    0xB029EC0A, 0x0000000F,
    0x904DF003, 0x0000000F,
    0x6871F9FB, 0x0000000F,
    0x4899FBF4, 0x0000000F,
    0x28C1FDED, 0x0000000F,
    0x08EDFBE7, 0x0000000F,
    0xE119FDE0, 0x0000000E,
    0xC145F9DB, 0x0000000E,
    0xA175F3D6, 0x0000000E,
    0x81A9EBD1, 0x0000000E,
    0x69D9E1CD, 0x0000000E,
    0x520DD5C9, 0x0000000E,
    0x3A3DC7C7, 0x0000000E,
    0x2A71B7C4, 0x0000000E,
    0x1A9DA7C3, 0x0000000E,
    0x12CD93C2, 0x0000000E,
    0x12F97DC2, 0x0000000E,
    0x132567C2, 0x0000000E,
    0x1B4D4FC3, 0x0000000E,
    0x236D39C5, 0x0000000E,
    0x3B8D1FC7, 0x0000000E,
    0x4BA907CA, 0x0000000E,
    0x6BC0EDCD, 0x0000000E,
    0x8BD4D5D0, 0x0000000E,
    0xB3E4BBD4, 0x0000000E,
    0xDBF0A3D8, 0x0000000E,
    0x03F88DDC, 0x0000000F,
    0x3BF477E1, 0x0000000F,
    0x6BF861E5, 0x0000000F,
    0xA3F44DE9, 0x0000000F,
    0xDBF039ED, 0x0000000F,
    0x1BE027F2, 0x00000000
};
////////////////////////////////////////////////////////////
// ˮƺһЩ

uint32_t rx_filter_1080_h_4_line[32][2] =
{
    0x0001FE00, 0x00000000,
    0x0021F000, 0x00000000,
    0x0041E000, 0x00000000,
    0x0061D000, 0x00000000,
    0x0081C000, 0x00000000,
    0x00A1B000, 0x00000000,
    0x00C1A000, 0x00000000,
    0x00E19000, 0x00000000,
    0x01018000, 0x00000000,
    0x01217000, 0x00000000,
    0x01416000, 0x00000000,
    0x01615000, 0x00000000,
    0x01814000, 0x00000000,
    0x01A13000, 0x00000000,
    0x01C12000, 0x00000000,
    0x01E11000, 0x00000000,
    0x02010000, 0x00000000,
    0x0220F000, 0x00000000,
    0x0240E000, 0x00000000,
    0x0260D000, 0x00000000,
    0x0280C000, 0x00000000,
    0x02A0B000, 0x00000000,
    0x02C0A000, 0x00000000,
    0x02E09000, 0x00000000,
    0x03008000, 0x00000000,
    0x03207000, 0x00000000,
    0x03406000, 0x00000000,
    0x03605000, 0x00000000,
    0x03804000, 0x00000000,
    0x03A03000, 0x00000000,
    0x03C02000, 0x00000000,
    0x03E01000, 0x00000000
};


uint32_t rx_filter_2400_v_4_line[32][2] =
{
    0x0001FE00, 0x00000000,
    0x0021F000, 0x00000000,
    0x0041E000, 0x00000000,
    0x0061D000, 0x00000000,
    0x0081C000, 0x00000000,
    0x00A1B000, 0x00000000,
    0x00C1A000, 0x00000000,
    0x00E19000, 0x00000000,
    0x01018000, 0x00000000,
    0x01217000, 0x00000000,
    0x01416000, 0x00000000,
    0x01615000, 0x00000000,
    0x01814000, 0x00000000,
    0x01A13000, 0x00000000,
    0x01C12000, 0x00000000,
    0x01E11000, 0x00000000,
    0x02010000, 0x00000000,
    0x0220F000, 0x00000000,
    0x0240E000, 0x00000000,
    0x0260D000, 0x00000000,
    0x0280C000, 0x00000000,
    0x02A0B000, 0x00000000,
    0x02C0A000, 0x00000000,
    0x02E09000, 0x00000000,
    0x03008000, 0x00000000,
    0x03207000, 0x00000000,
    0x03406000, 0x00000000,
    0x03605000, 0x00000000,
    0x03804000, 0x00000000,
    0x03A03000, 0x00000000,
    0x03C02000, 0x00000000,
    0x03E01000, 0x00000000
};



uint32_t s_heartbeat = 0;



#if ENABLE_TP_WAKE_UP
static void ap_reset_cb(void *data)
{
	/* лԴ */
	//    hal_gpio_set_output_data_ex(POWER_IO_B, IO_LVL_HIGH, POWER_IO_A, IO_LVL_LOW);
	/* VCC */
	TAU_LOGD("disable reset!!!!!!!!!!!!!\n");
	//delayMs(20);
	hal_system_set_pvd(true);
	hal_system_set_vcc(true);
	NVIC_SystemReset();
}
#endif


static bool ap_dcs_read(uint8_t data_type, uint8_t dcs_cmd, uint8_t param)
{
#ifdef USE_FOR_SUMSUNG_S21

	static uint8_t flag_0a = 0;
	static uint8_t flag_5a = 0;
	static uint8_t flag_c9_43 = 0;
	
#if 0
	uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
	//1Ż list
	// 0x0a  3   0x1C 0x03 0x00 0x16 0x9F 0x9F 0x9F 0x66 0x0C 
	// 0x0f  1   0x21 0xC0 0x00 0x14 
    // 0x87  1   0x21 0x00 0x00 0x12 
	// 0xfe  1   0x21 0x10 0x00 0x34 
	// 0x7f  4   0x1C 0x04 0x00 0x33 0x9B 0x33 0xB9 0x6E 0x3F 0x23 
	// 0x5a  41  0x1C 0x29 0x00 0x06 0x01 0x00 0x01 0x00 0x00 0x00 0x00 0x00 0x03 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x84 0xA0 
    //?0x5a  41  0x1C 0x29 0x00 0x06 0x01 0x00 0x03 0x00 0x7D 0x01 0xFF 0x00 0x03 0x01 0xFF 0x00 0xED 0x00 0xF6 0x01 0x00 0x00 0x9B 0x00 0xAC 0x00 0xBB 0x00 0x9B 0x00 0xAC 0x00 0xBB 0x00 0x9B 0x00 0xAC 0x00 0xBB 0x00 0x9B 0x00 0xAC 0x00 0xBB 0x1E 0x33 
    // 0x0a  3   0x1C 0x03 0x00 0x16 0x9B 0x9B 0x9B 0x43 0x4E 
	// 0x0e  3   0x1C 0x03 0x00 0x16 0x80 0x80 0x80 0x1B 0x3D 
	// 0xea  5   0x1C 0x05 0x00 0x29 0x00 0x00 0x00 0x00 0x00 0x88 0x30 
	// 0xee  1   0x21 0x00 0x00 0x12 
	// 0x05  1   0x21 0x00 0x00 0x12 
	// 0x0f  1   0x21 0xC0 0x00 0x14 
	if (dcs_cmd == 0x0A)
	{
		if (return_size == 3)
		{
			if (flag_0a == 0)
			{
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 3, 0x9F,0x9F,0x9F);
				flag_0a = 1;
			}
			else
			{
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 3, 0x9B,0x9B,0x9B);
			}
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x0F)
	{
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0xC0);
	}
	else if (dcs_cmd == 0x87)
	{
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0x00);
	}
	else if (dcs_cmd == 0xFE)
	{
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0x10);
	}
	else if (dcs_cmd == 0x7F)
	{
		if (return_size == 4)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 4, 0x9B,0x33,0xB9,0x6E);
		}
		else{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x5A)
	{
		if (flag_5a == 0)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 41, 
										 0x01,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
										 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
										 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00);
			flag_5a = 1;
		}
		else
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 41, 
										 0x01,0x00,0x03,0x00,0x7D,0x01,0xFF,0x00,0x03,0x01,0xFF,0x00,0xED,0x00,0xF6,0x01,
			                             0x00,0x00,0x9B,0x00,0xAC,0x00,0xBB,0x00,0x9B,0x00,0xAC,0x00,0xBB,0x00,0x9B,0x00,
			                             0xAC,0x00,0xBB,0x00,0x9B,0x00,0xAC,0x00,0xBB);
		}
	}
	else if(dcs_cmd == 0x0E)
	{
		if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 3, 0x80,0x80,0x80);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if(dcs_cmd == 0xEA)
	{
		if (return_size == 5)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 5, 0x00,0x00,0x00,0x00,0x00);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if(dcs_cmd == 0xEE)
	{
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
									 DSI_VC_0,
									 1, 0x00);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if(dcs_cmd == 0x05)
	{
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
									 DSI_VC_0,
									 1, 0x00);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else
	{
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
									 DSI_VC_0,
									 1, 0);
		TAU_LOGD("r[%x] [%d] err!!!!!!\r\n", dcs_cmd, return_size);
	}
	return true;
#endif
	
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
//		TAU_LOGD("dcs [%x] [%d]!\r\n", dcs_cmd, return_size);	
	
	
	if (dcs_cmd == 0xDA)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
							 DSI_VC_0,
							 0x1, 0xA1);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xDB)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x01);   
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xDC)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x04); 
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x0A)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 1, 0x9F);
		}
		else if(return_size == 3)
		{
			//leo add
			if (flag_0a == 0)
			{
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 3, 0x9F,0x9F,0x9F);
				flag_0a = 1;
			}
			else
			{
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 3, 0x9B,0x9B,0x9B);
			}
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x0E)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x81);  
		}
		else if (return_size == 3)
		{
			//leo add
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 3, 0x80,0x80,0x80);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x0F)
	{
		
	//	TAU_LOGD("DCS 0x0F Found!\r\n");
		S21_G991B_frame_update = true;
		//leo add
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0xC0);
	}
	else if (dcs_cmd == 0xEE)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x00);  
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x03)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x01);  
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x04)
	{
		//leo add
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             3, 0xA1,0x01,0x04);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x05)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
//			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
//										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
//										 DSI_VC_0,
//										 0x1, 0x01);  
			
			//leo change
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
									 DSI_VC_0,
									 1, 0x00);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x5A)
	{
		//leo add
		if (flag_5a == 0)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 41, 
										 0x01,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
										 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
										 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00);
			flag_5a = 1;
		}
		else
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 41, 
										 0x01,0x00,0x03,0x00,0x7D,0x01,0xFF,0x00,0x03,0x01,0xFF,0x00,0xED,0x00,0xF6,0x01,
			                             0x00,0x00,0x9B,0x00,0xAC,0x00,0xBB,0x00,0x9B,0x00,0xAC,0x00,0xBB,0x00,0x9B,0x00,
			                             0xAC,0x00,0xBB,0x00,0x9B,0x00,0xAC,0x00,0xBB);
		}
	}
	else if (dcs_cmd == 0x87)
	{
		//leo add
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0x00);
	}
	else if (dcs_cmd == 0xFE)
	{
		//leo add
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
								 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
								 DSI_VC_0,
								 1, 0x10);
	}
	else if (dcs_cmd == 0x7F)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 10)
		{
			static uint8_t ret_7f_count = 0;
			
            if (ret_7f_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x40,0x04,0x00,0x00,0x00,0x00,0x9B,0x33,0xB9,0x6E);
                ret_7f_count = 1;
            }
            else if (ret_7f_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00);
                ret_7f_count = 2;
            }
			else if (ret_7f_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00);
                ret_7f_count = 0;
            }
		}
		else if (return_size == 4)
		{
			//leo add
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 4, 0x9B,0x33,0xB9,0x6E);
		}
		else if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 3, 0xFF,0x00,0x00);
										
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xE9)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 0x1, 0x04);        ////////
		}
		else if (return_size == 2)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_2B,
										 DSI_VC_0,
										 2, 0x04, 0x00);
										
		}
		else if (return_size == 5)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 5, 0x04, 0x00, 0x00, 0x00, 0x00);
										
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xA1)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 10)
		{
			static uint8_t ret_a1_count = 0;
			
            if (ret_a1_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x0B,0xED,0x0C,0x8E,0xA4,0x0A,0x0E,0x0D,0x21,0x16);
                ret_a1_count = 1;
            }
            else if (ret_a1_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x30,0x01,0x01,0xFB,0x41,0x34,0x58,0x54,0x33,0x53);
                ret_a1_count = 2;
            }
			else if (ret_a1_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x41,0x33,0x37,0x38,0x4A,0x42,0x46,0x32,0x34,0x32);
                ret_a1_count = 0;
            }
		}
		else if (return_size == 20)
		{
			//leo add
			 hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             20, 
			                                 0x30,0x01,0x01,0xF9,0x41,0x34,0x58,0x54,0x34,0x53,0x41,0x33,0x31,0x34,0x47,0x42,
											 0x47,0x31,0x34,0x30);
		}
		else if (return_size == 7)
		{
			//leo add
			 hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             7, 0xA5,0x02,0x06,0x2F,0x14,0x14,0xE0);
		}
		else if (return_size == 4)
		{
			//leo add
			 hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             4, 0x0B,0xEF,0x0C,0x87);
		}
		else if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
										 DSI_VC_0,
										 1, 0x81);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xA2)
	{
		static uint8_t ret_a2_count = 0;
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 10)
		{			
            if (ret_a2_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x11,0x00,0x00,0x89,0x30,0x80,0x09,0x60,0x04,0x38);
            }
            else if (ret_a2_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x00,0x78,0x02,0x1C,0x02,0x1C,0x02,0x00,0x02,0x0E);
            }
            else if (ret_a2_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x00,0x20,0x0B,0xAF,0x00,0x07,0x00,0x0C,0x00,0xCF);
            }
            else if (ret_a2_count == 3)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x00,0xD9,0x18,0x00,0x10,0xF0,0x03,0x0C,0x20,0x00);
            }
            else if (ret_a2_count == 4)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x06,0x0B,0x0B,0x33,0x0E,0x1C,0x2A,0x38,0x46,0x54);
            }
            else if (ret_a2_count == 5)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x62,0x69,0x70,0x77,0x79,0x7B,0x7D,0x7E,0x01,0x02);
            }
            else if (ret_a2_count == 6)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x01,0x00,0x09,0x40,0x09,0xBE,0x19,0xFC,0x19,0xFA);
            }
			else if (ret_a2_count == 7)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x19,0xF8,0x1A,0x38,0x1A,0x78,0x1A,0xB6,0x2A,0xF6);
            }
			ret_a2_count++;
			if (ret_a2_count >7)
				ret_a2_count =0;
		}
		else if (return_size == 9)
		{
 			ret_a2_count =0;
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 9, 0x2B,0x34,0x2B,0x74,0x3B,0x74,0x6B,0xF4,0x00);
										
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}	else if (dcs_cmd == 0xD6)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);

		if (return_size == 5)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 5, 0x08,0x45,0x30,0x98,0xEE);															   
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0x9A)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);

		if (return_size == 4)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_LONG_RESPONSE,
										 DSI_VC_0,
										 4, 0x2D, 0xEA, 0x6B, 0x43);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}

	}
	else if (dcs_cmd == 0xC6)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);

		if(return_size == 10)
		{
			static uint8_t ret_c6_count = 0;
			
            if (ret_c6_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x01,0x08,0x05,0x00,0x10,0x20,0x05,0x0E,0x93,0xF5);
                ret_c6_count = 1;
            }
            else if (ret_c6_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x2A,0x0E,0xE4,0x11,0x2E,0x10,0xA4,0x41,0x45,0x11);
                ret_c6_count = 2;
            }
			else if (ret_c6_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0xF4,0x7D,0x60,0x14,0x14,0xD5,0x81,0x17,0xD5,0x91);
                ret_c6_count = 3;
            }
			else if (ret_c6_count == 3)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0xC1,0x1D,0xD6,0xC2,0x1F,0x28,0x19,0x1E,0xDB,0x28);
                ret_c6_count = 0;
            }
		}
		else if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 3, 0x19,0x1E,0xDB);															   
		}
		else if (return_size == 1)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
							 DSI_VC_0,
							 1, 0x55);															   
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xC7)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		if (return_size == 10)
		{
			static uint8_t ret_c7_count = 0;
			
            if (ret_c7_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x0E,0x0E,0x0E,0x07,0xA2,0x0C,0xA2,0x08,0xF2,0x38);
                ret_c7_count = 1;
            }
            else if (ret_c7_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0xBC,0x0A,0x72,0x74,0xD6,0x0E,0x63,0x39,0x17,0x11);
                ret_c7_count = 2;
            }
			else if (ret_c7_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x03,0xD1,0x45,0x13,0xF4,0x7D,0x77,0x18,0x85,0x8D);
                ret_c7_count = 3;
            }
			else if (ret_c7_count == 3)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0xC7,0x1E,0xE7,0x02,0x34,0x28,0x19,0x1E,0xDB,0x28);
                ret_c7_count = 0;
            }
		}
		else if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 3, 0x19,0x1E,0xDB);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xB5)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);

		if (return_size == 2)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_2B,
										 DSI_VC_0,
										 2, 0x14, 0x03);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}

	}
	else if (dcs_cmd == 0xB8)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);

		if (return_size == 2)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
										 DSI_ACK_DT_DSC_SHORT_RESPONSE_2B,
										 DSI_VC_0,
										 2, 0xC0, 0xB2);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}

	}
	else if (dcs_cmd == 0xC8)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		
		if (return_size == 10)
		{
			static uint8_t ret_c8_count = 0;
			
            if (ret_c8_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x20,0x32,0x39,0x45,0x6E,0x5E,0x60,0x5F,0x5E,0x5F);
                ret_c8_count = 1;
            }
            else if (ret_c8_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x5F,0x48,0x4A,0x4A,0x4E,0x50,0x50,0x5D,0x5F,0x5E);
                ret_c8_count = 2;
            }
			else if (ret_c8_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x57,0x5B,0x58,0x42,0x52,0x44,0x5C,0x6E,0x5C,0x2B);
                ret_c8_count = 0;
            }
		}
		else if (return_size == 7)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 4, 0x8A,0x14,0x00,0x2B,0x34,0x23,0xC8);
		}
		else if (return_size == 4)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 4, 0x8A,0x14,0x00,0x2B);
		}
		else if (return_size == 2)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_SHORT_RESPONSE_2B,
							 DSI_VC_0,
							 1, 0x66,0x23);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if (dcs_cmd == 0xC9)
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		if (return_size == 10)
		{
			static uint8_t ret_c9_count = 0;
			
            if (ret_c9_count == 0)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x14,0x14,0x14,0x0D,0x73,0xB5,0x0F,0x0D,0xF3,0xC9);
                ret_c9_count = 1;
            }
            else if (ret_c9_count == 1)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x13,0x0E,0x93,0xDD,0x1B,0x10,0x74,0x0D,0x39,0x12);
                ret_c9_count = 2;
            }
			else if (ret_c9_count == 2)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0x24,0x61,0x59,0x14,0x74,0xC9,0x7F,0x18,0x75,0xAD);
                ret_c9_count = 3;
            }
			else if (ret_c9_count == 3)
            {
                hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
                                             DSI_ACK_DT_DSC_LONG_RESPONSE,
                                             DSI_VC_0,
                                             10, 0xC7,0x1E,0x86,0xF6,0x2E,0x28,0x19,0x1E,0xDB,0x28);
                ret_c9_count = 0;
            }
		}
		else if (return_size == 39)
		{
			//leo add
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x0F,0x0F,0x0F,0x04,0x41,0x24,0x66,0x09,0x82,0x34,0xBC,0x0B,0x32,0x88,0xD9,0x0F,
							 0x23,0x69,0x20,0x12,0x04,0x15,0x51,0x15,0x04,0xC1,0x84,0x19,0xF5,0xE1,0xD7,0x20,
							 0xA7,0x76,0x50,0x25,0xF8,0xA6,0xAD);
		}
		else if (return_size == 43)
		{
			//leo add
			if (flag_c9_43 == 0){
				flag_c9_43++;
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x17,0x17,0x17,0x08,0x62,0x20,0xA2,0x0A,0x02,0x60,0xC2,0x0B,0x42,0x94,0xDA,0x0E,
							 0xA3,0x45,0x17,0x11,0x43,0xD9,0x44,0x13,0xE4,0x75,0x73,0x18,0x55,0x7D,0xBE,0x1E,
							 0x46,0xDA,0x25,0x22,0x77,0xD2,0x70,0x27,0x68,0xF6,0xC9);
			}
			else if (flag_c9_43 == 1){
				flag_c9_43++;
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x17,0x17,0x17,0x09,0x02,0x4C,0xAE,0x0A,0x62,0x78,0xC7,0x0B,0x72,0xA4,0xDC,0x0E,
							 0xB3,0x55,0x17,0x11,0x33,0xD9,0x43,0x13,0xE4,0x75,0x71,0x17,0xF5,0x75,0xBC,0x1E,
							 0x56,0xEA,0x28,0x27,0x88,0xFE,0xCC,0x27,0x88,0xFE,0xCC);
			}
			
			

			else if (flag_c9_43 == 2){ //--
				flag_c9_43++;
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x17,0x17,0x17,0x0A,0xB2,0xC8,0xCE,0x0B,0xA2,0xEC,0xDE,0x0C,0x73,0x04,0xED,0x0F,
							 0x13,0x81,0x1E,0x11,0x53,0xF5,0x47,0x13,0xF4,0x85,0x73,0x18,0x15,0x7D,0xBD,0x1E,
							 0x56,0xE2,0x27,0x27,0x88,0xFE,0xCC,0x27,0x88,0xFE,0xCC);
			}
			else if (flag_c9_43 == 3){
				flag_c9_43++;
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x17,0x17,0x17,0x0C,0x43,0x4C,0xEC,0x0C,0xE3,0x60,0xF7,0x0D,0x93,0x71,0x01,0x0F,
							 0xB3,0xBD,0x28,0x11,0xB4,0x1D,0x4C,0x14,0x24,0x99,0x75,0x18,0x05,0x89,0xBD,0x1E,
							 0x36,0xDE,0x25,0x27,0x88,0xFE,0xCC,0x27,0x88,0xFE,0xCC);
			}
			else if (flag_c9_43 == 4){
				flag_c9_43++;
				hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 39,
							 0x17,0x17,0x17,0x0D,0xB3,0xC1,0x11,0x0E,0x53,0xD5,0x16,0x0E,0xF3,0xE9,0x1D,0x10,
							 0xA4,0x1D,0x38,0x12,0x44,0x5D,0x56,0x14,0x64,0xC1,0x7B,0x18,0x15,0x99,0xC0,0x1E,
							 0x26,0xDE,0x23,0x27,0x88,0xFE,0xCC,0x27,0x88,0xFE,0xCC);
			}
			else
			{
				TAU_LOGD("C9----- r[%x] [%d] [%d]err\r\n", dcs_cmd, return_size, flag_c9_43);
			}
		}
		else if (return_size == 4)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 4, 0x28,0x19,0x1E,0xDB);
		}
		else if (return_size == 3)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
							 DSI_ACK_DT_DSC_LONG_RESPONSE,
							 DSI_VC_0,
							 3, 0x19,0x1E,0xDB);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if(dcs_cmd == 0xEA)
	{
		
	//	TAU_LOGD("DCS 0xEA Found!\r\n");
		//leo add
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		if (return_size == 5)
		{
			hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_LONG_RESPONSE,
									 DSI_VC_0,
									 5, 0x00,0x00,0x00,0x00,0x00);
		}
		else
		{
			TAU_LOGD("r[%x] [%d] err\r\n", dcs_cmd, return_size);
		}
	}
	else if(dcs_cmd == 0x01)
	{
		ap_get_tp_calibration_status_01(g_rx_ctrl_handle,param);
	}
	else
	{
        TAU_LOGD("r %x ng need return [%d]\n", dcs_cmd, hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle));
	}
/*
	{
		uint32_t return_size = hal_dsi_rx_ctrl_get_max_ret_size(g_rx_ctrl_handle);
		hal_dsi_rx_ctrl_send_ack_cmd(g_rx_ctrl_handle,
									 DSI_ACK_DT_DSC_SHORT_RESPONSE_1B,
									 DSI_VC_0,
									 1, 0);
		TAU_LOGD("r[%x] [%d] err!!!!!!\r\n", dcs_cmd, return_size);
	}
 */
    return true;
#endif // USE_FOR_SUMSUNG_S21
		
}

 static bool ap_update_frame_rate(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
	static uint8_t frame_rate = 100;
	//TAU_LOGD("TE Detected! frame_rate = %d, param[1]=%d\r\n", dcs_packet->packet_param[0], dcs_packet->packet_param[1]);
	if( S21_G991B_frame_update == true){
		if (frame_rate != dcs_packet->packet_param[0])
		{
			frame_rate = dcs_packet->packet_param[0];	
			if (frame_rate == 0x00)
			{
				hal_dsi_rx_ctrl_set_tear_mode_ex(g_rx_ctrl_handle, 2400, TE_HW_MODE);//TE_SOFT_120HZ_MODE
			}
			else
			{
				hal_dsi_rx_ctrl_set_tear_mode_ex(g_rx_ctrl_handle, 2400, TE_SOFT_120HZ_MODE);  //TE_SOFT_120HZ_MODE
			}
			//hal_dsi_rx_ctrl_set_tear_mode_ex(g_rx_ctrl_handle, 2200, TE_HW_MODE);
			TAU_LOGD("Frame_rate:%02x\r\n",frame_rate);
		}
	}
	return true;
}

/* PPS update callback ڷֱлcase */
static bool pps_update_handle(uint8_t *pps, uint8_t size, uint32_t pic_width, uint32_t pic_height)
{
    /* AVDD ϵ, ڽϢPPS */
	//TAU_LOGD("[%d, %d], [%d, %d]", pic_width, pic_height, g_rx_ctrl_handle->base_info.src_w, g_rx_ctrl_handle->base_info.src_h);
    if (pic_width != g_rx_ctrl_handle->base_info.src_w || pic_height != g_rx_ctrl_handle->base_info.src_h)
    { 
        /* PPS Update ҷֱʷ仯 */
 
        g_rx_ctrl_handle->base_info.src_w = pic_width;  
        g_rx_ctrl_handle->base_info.src_h = pic_height; 
        /* עⲿֻPPSǰ Compression Mode Command */  
			
			
        g_rx_ctrl_handle->compress_en = true; 
			
		
			
		if(pic_width > 720) 
		{ 
	        g_tx_ctrl_handle->base_info.src_w = pic_width; 
	        g_tx_ctrl_handle->base_info.src_h = pic_height; 
		} 
		hal_dsi_rx_ctrl_toggle_resolution(g_rx_ctrl_handle); 
        TAU_LOGD("resolution update w[%d] h[%d] compress[%d]\n", pic_width, pic_height, g_rx_ctrl_handle->compress_en);
    } 
    TAU_LOGD("PPS Update\n");  
    return true;   
} 


static bool ap_set_display_off(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet) 
{
	hal_dsi_tx_ctrl_write_cmd(0x05, 0, 2, 0x28); 
	TAU_LOGD("disp off \n"); 
    return true; 
}

static bool ap_set_enter_sleep_mode(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet) 
{
	hal_dsi_rx_ctrl_set_sw_tear_mode(g_rx_ctrl_handle); 
	
	Gpio_swire_output(0, 0); 
	delayMs(50); 
	hal_dsi_tx_ctrl_write_cmd(0x05, 0, 2, 0x10); 
	delayMs(20); 
	hal_gpio_set_output_data(IO_PAD_PWMEN, IO_LVL_LOW); 

	
	//hal_dsi_tx_ctrl_panel_reset_pin(IO_LVL_LOW);//Reaet


	TAU_LOGD("enter sleep mode\n");
#if ENABLE_TP_WAKE_UP
	g_need_enter_sleep_mode = true;
#endif
	g_exit_sleep_mode = false;
	
    return true;
}

static bool ap_set_display_on(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    TAU_LOGD("disp on \n");
//    hal_dsi_tx_ctrl_write_cmd(0x05, 0, 2, 0x29);

    return true;
}

static bool ap_set_exit_sleep_mode(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    TAU_LOGD("exit sleep mode\n");
	g_exit_sleep_mode = true;
	
				hal_dsi_tx_ctrl_write_cmd(0x05, 0, 1, 0x22);//pixel off
				delayMs(1);//16
				hal_dsi_rx_ctrl_toggle_resolution(g_rx_ctrl_handle);
				hal_dsi_tx_ctrl_write_cmd(0x05, 0, 1, 0x13);//pixel on
	
    /* AVDD ϵ, ڽϢPPS */
    //hal_gpio_set_output_data(IO_PAD_PWMEN, IO_LVL_HIGH);
    //hal_dsi_tx_ctrl_write_cmd(0x05, 0, 2, 0x11);
    return true;
}

/*****************************************************************************
*GPIOswire
*flag:  =0, SWIRE=0;  =1,SWIREź; =2, øٷSWIREź
*num: 
*עFLAG=1ʱGPIOʼ!!!!!!
*****************************************************************************/
void Gpio_swire_output(uint8_t flag, uint8_t num)
{
	uint8_t ii;

	if (flag)
	{
		if (flag ==2)
		{
			hal_gpio_init_output(IO_PAD_ADCIN, IO_LVL_HIGH);	  
			delayMs(2);
		}
		for (ii =0; ii< num; ii++)
		{
			hal_gpio_set_output_data(IO_PAD_ADCIN, IO_LVL_LOW);
			delayUs(10);
			hal_gpio_set_output_data(IO_PAD_ADCIN, IO_LVL_HIGH);
			delayUs(9);
		}
	}
	else
	{
		hal_gpio_init_output(IO_PAD_ADCIN, IO_LVL_LOW);	  
	}
}



/* B1ص      g_cus_rx_dcs_execute_table Ϊ첽ִУCAͬ*/

uint16_t value_reg_b1 =0;
uint16_t value_reg_ca =0;
//static uint32_t value_reg_b5 =0;
static uint32_t value_reg_df =0;
static uint8_t value_blue =0;
static uint8_t blue_flag =0;
#if 1 //
#define BLUE_MAX			0xF0	//ֵ
#define BLUE_MIN			0x86	//Сֵ
#define BLUE_STEP			10		//ȼ-1
#endif

#if 1//def USE_FOR_SUMSUNG_S21
static uint32_t s20_power_on_flag =0;   // >0: Ϊǡʱ
uint16_t value_reg_ca_bak =0;
uint16_t value_reg_b1_bak =0;
//#define USE_BL_ADJ6  //֮ǰS20ⷽʽ
#define USE_BL_ADJ7    //ĹS20ⷽʽ
#endif


static bool ap_set_backlight_51(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
	uint8_t cmd_data[2]; 

    cmd_data[0] = dcs_packet->packet_param[0]; 
    cmd_data[1] = dcs_packet->packet_param[1];  
	hal_dsi_tx_ctrl_write_cmd(0x39, 0, 3, 0x51, cmd_data[0], cmd_data[1]);  
	//TAU_LOGD("51:[%x]", (cmd_data[0]<<8)|cmd_data[1]); 
    return true;
}	

#if 0 //
static bool ap_set_backlight(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    /* AP  0xC  0xb8d , ʱ0xC,ƽҪһŻ */
	uint8_t temp_u8;

	value_reg_b1 = (dcs_packet->packet_param[0] << 8) + dcs_packet->packet_param[1];
	TAU_LOGD("CA[%4x],B1[%4x] \n", value_reg_ca, value_reg_b1);

#ifdef USE_BL_ADJ7

#ifdef ADD_PWM_OUTPUT_FOR_BL
	if (value_reg_b1 &0x8000)
	{
		// 60Hz	
		if(value_reg_ca >0x15FE)
		{
			read_bl_data = 0xFF;
		}
		else if(value_reg_ca >=0x1550)
		{
			// value_reg_ca =0x1550Ӧ105(ǵ⼶Ϊ256)
			read_bl_data = 105+(value_reg_ca-0x1550)*150/175;
		}
		else
		{
			//value_reg_b1_bak=0xC65~0x1E4Ӧ1~104
			if (value_reg_b1_bak>0xC65)
				read_bl_data =1;
			else if (value_reg_b1_bak<0x1E4)
				read_bl_data =104;
			else
				read_bl_data = 1+(0xC65-value_reg_b1_bak)*103/2689;
		}
	}	
	else if (value_reg_b1 &0x4000)
	{
		// 120Hz	
		if(value_reg_ca >0x15AD)
		{
			read_bl_data = 0xFF;
		}
		else if(value_reg_ca >=0x150F)
		{
			// value_reg_ca =0x15AD~0x150FӦ256~109(ǵ⼶Ϊ256)
			read_bl_data = 109+(value_reg_ca-0x150F)*146/158;
		}
		else
		{
			//value_reg_b1_bak=0xC54~0x1E4Ӧ1~108
			if (value_reg_b1_bak>0xC54)
				read_bl_data =1;
			else if (value_reg_b1_bak<0x1E4)
				read_bl_data =108;
			else
				read_bl_data = 1+(0xC54-value_reg_b1_bak)*107/2672;
		}
	}	
	else
	{
		value_reg_b1_bak = value_reg_b1;
		if ((value_reg_ca ==0x2A00) &&(value_reg_b1 >0x500))
			s20_power_on_flag =1; 
		else
			s20_power_on_flag =0;
	}


#else
	if (value_reg_b1 &0x8000)
	{
	//Ϊ60Hz		
		if(value_reg_ca >0x15FC)
		{
			swire_num = SWIRE_MAX_NUM;
		}
		else if(value_reg_ca >0x15ED)
		{
			swire_num = SWIRE_MAX_NUM+1;
		}
		else if(value_reg_ca >0x15DD)
		{
			swire_num = SWIRE_MAX_NUM+2;
		}
		else if(value_reg_ca >0x15CC)
		{
			swire_num = SWIRE_MAX_NUM+3;
		}
		else if(value_reg_ca >0x15BE)
		{
			swire_num = SWIRE_MAX_NUM+4;
		}
		else if(value_reg_ca >0x15AC)
		{
			swire_num = SWIRE_MAX_NUM+5;
		}
		else if(value_reg_ca >0x159A)
		{
			swire_num = SWIRE_MAX_NUM+6;
		}
		else if(value_reg_ca >0x155E)
		{
			swire_num = SWIRE_MAX_NUM+7;
		}
		else
		{
			if(value_reg_b1_bak <0x500)
			{
				swire_num = SWIRE_MAX_NUM+8;
			}
			else if(value_reg_b1_bak <0x900)
			{
				swire_num = SWIRE_MAX_NUM+9;
			}
			else if(value_reg_b1_bak <0xAE0)
			{
				swire_num = SWIRE_MAX_NUM+10;
			}
			else if(value_reg_b1_bak <0xBE8)
			{
				swire_num = SWIRE_MAX_NUM+11;
			}
			else if(value_reg_b1_bak <0xC38)
			{
				swire_num = SWIRE_MAX_NUM+12;
			}
			else
			{
				swire_num = SWIRE_MAX_NUM+13;
			}
		}
	}
	else if (value_reg_b1 &0x4000)
	{
	//Ϊ120Hz		
		if(value_reg_ca >0x15AC)
		{
			swire_num = SWIRE_MAX_NUM;
		}
		else if(value_reg_ca >0x159A)
		{
			swire_num = SWIRE_MAX_NUM+1;
		}
		else if(value_reg_ca >0x158B)
		{
			swire_num = SWIRE_MAX_NUM+2;
		}
		else if(value_reg_ca >0x157B)
		{
			swire_num = SWIRE_MAX_NUM+3;
		}
		else if(value_reg_ca >0x156A)
		{
			swire_num = SWIRE_MAX_NUM+4;
		}
		else if(value_reg_ca >0x1559)
		{
			swire_num = SWIRE_MAX_NUM+5;
		}
		else if(value_reg_ca >0x1547)
		{
			swire_num = SWIRE_MAX_NUM+6;
		}
		else if(value_reg_ca >0x1510)
		{
			swire_num = SWIRE_MAX_NUM+7;
		}
		else
		{
			if(value_reg_b1_bak <0x500)
			{
				swire_num = SWIRE_MAX_NUM+8;
			}
			else if(value_reg_b1_bak <0x900)
			{
				swire_num = SWIRE_MAX_NUM+9;
			}
			else if(value_reg_b1_bak <0xAE0)
			{
				swire_num = SWIRE_MAX_NUM+10;
			}
			else if(value_reg_b1_bak <0xBE8)
			{
				swire_num = SWIRE_MAX_NUM+11;
			}
			else if(value_reg_b1_bak <0xC38)
			{
				swire_num = SWIRE_MAX_NUM+12;
			}
			else
			{
				swire_num = SWIRE_MAX_NUM+13;
			}
		}
	}	
	else
	{
		value_reg_b1_bak = value_reg_b1;
		if ((value_reg_ca ==0x2A00) &&(value_reg_b1 >0x500))
			s20_power_on_flag =1; 
		else
			s20_power_on_flag =0;
	}
	#if 0
		if (swire_num !=swire_num_bak)
		{
			swire_num_bak = swire_num;
			printf("CA[%4x],B1[%4x]. swire_num[%d]\n", value_reg_ca, value_reg_b1,swire_num);
			
		}
	#endif

#endif

#endif //  // USE_BL_ADJ7

#ifdef USE_BL_ADJ6
	if ( (value_reg_b1 &0xC000) || ((value_reg_b1_bak == value_reg_b1)&&(value_reg_ca_bak == value_reg_ca)))
	{
		return true;
	}
	value_reg_b1_bak = value_reg_b1;
	value_reg_ca_bak = value_reg_ca;
		
	if(value_reg_ca >0x15FC)
	{
		swire_num = SWIRE_MAX_NUM;
	}
	else if(value_reg_ca >0x15EC)
	{
		swire_num = SWIRE_MAX_NUM+1;
	}
	else if(value_reg_ca >0x15EC)
	{
		swire_num = SWIRE_MAX_NUM+2;
	}
	else if(value_reg_ca >0x15DD)
	{
		swire_num = SWIRE_MAX_NUM+3;
	}
	else if(value_reg_ca >0x15CC)
	{
		swire_num = SWIRE_MAX_NUM+4;
	}
	else if(value_reg_ca >0x15BE)
	{
		swire_num = SWIRE_MAX_NUM+5;
	}
	else if(value_reg_ca >0x15AC)
	{
		swire_num = SWIRE_MAX_NUM+7;
	}
	else if(value_reg_ca >0x159A)
	{
		swire_num = SWIRE_MAX_NUM+8;
	}
	else if(value_reg_ca >0x155E)
	{
		swire_num = SWIRE_MAX_NUM+9;
	}
	else
	{
		if(value_reg_b1 <0x500)
		{
			swire_num = SWIRE_MAX_NUM+10;
		}
		else if(value_reg_b1 <0x900)
		{
			swire_num = SWIRE_MAX_NUM+11;
		}
		else if(value_reg_b1 <0xAE0)
		{
			swire_num = SWIRE_MAX_NUM+12;
		}
		else if(value_reg_b1 <0xBE8)
		{
			swire_num = SWIRE_MAX_NUM+13;
		}
		else if(value_reg_b1 <0xC38)
		{
			swire_num = SWIRE_MAX_NUM+14;
		}
		else
		{
			swire_num = SWIRE_MAX_NUM+15;
		}
	}
//	printf("CA[%4x],B1[%4x]. swire_num[%d]\n", value_reg_ca, value_reg_b1,swire_num);
#endif //  // USE_BL_ADJ4

    return true;
}
#endif

static bool ap_get_reg_ca(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    value_reg_ca = (dcs_packet->packet_param[0] << 8) + dcs_packet->packet_param[1];
    TAU_LOGD("CA[%x]", value_reg_ca);
    
    return true;
}

#if 0
static bool ap_get_reg_b5(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    value_reg_b5 = (dcs_packet->packet_param[3] << 8) + dcs_packet->packet_param[2];
    TAU_LOGD("CA[%4x],B1[%4x],B5[%4x]", value_reg_ca,value_reg_b1,value_reg_b5);0

    return true;
}
#endif

#ifdef ADD_PANEL_DISPLAY_MODE
uint8_t panel_mode =1; 			// DFĴ100:ۿ,01:۹,11:3(ӰԺ/Ƭ/.Ŀǰû)
uint16_t panel_r,panel_g,panel_b; // ¼RGBֵ

#ifdef USE_FOR_SUMSUNG_S9PLUS
#define RATIO_VALUE 2   				 //Żϵ
#else
#define RATIO_VALUE 2   				 //Żϵ
#endif

#endif

static bool ap_get_reg_df(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
	ccm_coef_t ccm;
	ccm.coef_c00 = 255;
	ccm.coef_c01 = 0;
	ccm.coef_c02 = 0;
	ccm.coef_c10 = 0;
	ccm.coef_c11 = 255;
	ccm.coef_c12 = 0;
	ccm.coef_c20 = 0;
	ccm.coef_c21 = 0;
	ccm.coef_c22 = 255;
	
#ifdef ADD_PANEL_DISPLAY_MODE
	value_reg_df = (dcs_packet->packet_param[35] << 8) + dcs_packet->packet_param[33];
	panel_mode = dcs_packet->packet_param[0];
	panel_r =dcs_packet->packet_param[49];
	panel_g =dcs_packet->packet_param[51];
	panel_b =dcs_packet->packet_param[53];
//	TAU_LOGD("value_reg_df[%4x],panel_mode[%4x],panel_r[%4x],panel_g[%4x],panel_b[%4x]", value_reg_df,panel_mode,panel_r,panel_g,panel_b);

	if (panel_mode ==00)
	{
	  	//ģʽ
		
	#ifdef USE_FOR_S10_BLUE_MODE
		//panel_r =256-RATIO_VALUE*(0xFF-panel_r);
		//panel_g =256-RATIO_VALUE*(0xFF-panel_g);
		//panel_b =256-RATIO_VALUE*(0xFF-panel_b);
//		hal_dsi_rx_ctrl_set_cus_pq_gain(g_rx_ctrl_handle,panel_r,panel_g,panel_b);
		ccm.coef_c00 = panel_r;
		ccm.coef_c11 = panel_g;
		ccm.coef_c22 = panel_b;
		hal_dsi_tx_ctrl_set_ccm(ccm);

	#else
	
		value_reg_df =value_reg_df&0xFF;
		switch(value_reg_df)
		{
			case 0xC1:
			case 0xC3:
				value_blue = BLUE_MIN;
			break;
			
			case 0xCF:
			case 0xD0:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)/BLUE_STEP;
			break;
			
			case 0xD8:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*2/BLUE_STEP;
			break;
			
			case 0xDE:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*3/BLUE_STEP;
			break;
			
			case 0xE4:
			case 0xE5:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*4/BLUE_STEP;
			break;
			
			case 0xE9:
			case 0xEA:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*5/BLUE_STEP;
			break;
			
			case 0xED:
			case 0xEE:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*6/BLUE_STEP;
			break;
			
			case 0xF1:
			case 0xF2:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*7/BLUE_STEP;
			break;
			
			case 0xF4:
			case 0xF5:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*8/BLUE_STEP;
			break;
			
			case 0xF7:
			case 0xF8:
				value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*9/BLUE_STEP;
			break;
			
			case 0xFA:
				value_blue = BLUE_MAX;
			break;

			default:
			case 0xFF:
				value_blue = 0;
			break;
			
		}
		hal_dsi_rx_ctrl_set_cus_pq_gain(g_rx_ctrl_handle,256,256,256);
		hal_dsi_tx_ctrl_write_cmd(0x15, 0, 2, 0x84, value_blue);
		
	#endif	

	}
	else
	{
	#ifndef USE_FOR_S10_BLUE_MODE
		value_blue =0;
		hal_dsi_tx_ctrl_write_cmd(0x15, 0, 2, 0x84, value_blue);  //ģʽs8+/s9+
	#endif

		//һ㣬ЧԡҪݿͻҪϸ
		
		panel_r =228-RATIO_VALUE*(0xFF-panel_r);
		panel_g =238-RATIO_VALUE*(0xFF-panel_g);
		panel_b =238-RATIO_VALUE*(0xFF-panel_b);
//		hal_dsi_rx_ctrl_set_cus_pq_gain(g_rx_ctrl_handle,panel_r,panel_g,panel_b);
	
		ccm.coef_c00 = panel_r;
		ccm.coef_c11 = panel_g;
		ccm.coef_c22 = panel_b;
		hal_dsi_tx_ctrl_set_ccm(ccm);
	}
	
	#ifndef USE_FOR_S10_BLUE_MODE
	if (blue_flag==0)
	{
		blue_flag =1;
		delayMs(20);
		hal_dsi_tx_ctrl_write_cmd(0x15, 0, 2, 0x84, value_blue);
	}
	#endif

#else
    value_reg_df = (dcs_packet->packet_param[35] << 8) + dcs_packet->packet_param[33];

	value_reg_df =value_reg_df&0xFF;
	switch(value_reg_df)
	{
		case 0xC1:
		case 0xC3:
			value_blue = BLUE_MIN;
		break;
		
		case 0xCF:
		case 0xD0:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)/BLUE_STEP;
		break;
		
		case 0xD8:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*2/BLUE_STEP;
		break;
		
		case 0xDE:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*3/BLUE_STEP;
		break;
		
		case 0xE4:
		case 0xE5:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*4/BLUE_STEP;
		break;
		
		case 0xE9:
		case 0xEA:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*5/BLUE_STEP;
		break;
		
		case 0xED:
		case 0xEE:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*6/BLUE_STEP;
		break;
		
		case 0xF1:
		case 0xF2:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*7/BLUE_STEP;
		break;
		
		case 0xF4:
		case 0xF5:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*8/BLUE_STEP;
		break;
		
		case 0xF7:
		case 0xF8:
			value_blue = BLUE_MIN+(BLUE_MAX-BLUE_MIN)*9/BLUE_STEP;
		break;
		
		case 0xFA:
			value_blue = BLUE_MAX;
		break;

		default:
		case 0xFF:
			value_blue = 0;
		break;
		
	}
	
	TAU_LOGD("df[%4x]", value_reg_df);
	hal_dsi_tx_ctrl_write_cmd(0x15, 0, 2, 0x84, value_blue);
	if (blue_flag==0)
	{
		blue_flag =1;
		delayMs(20);
		hal_dsi_tx_ctrl_write_cmd(0x15, 0, 2, 0x84, value_blue);
	}
#endif

    return true;
}
/*
#if ADD_TP_CALIBRATION
static bool ap_set_tp_calibration_04(hal_dsi_rx_ctrl_handle_t *handler, hal_dcs_packet_t *dcs_packet)
{
    if( (dcs_packet->packet_param[0] == 0x01) && (dcs_packet->packet_param[1] == 0x01) && (dcs_packet->packet_param[2] == 0x01) )
    {
    	g_calibration_flag = true;
    }
    return true;
}
#endif
*/

/* ƻDCS command  */
static const hal_dcs_execute_entry_t g_cus_rx_dcs_execute_table[] =
{
    {DCS_SET_DISPLAY_ON, ap_set_display_on, true},  
    {DCS_SET_DISPLAY_OFF, ap_set_display_off, true},   
	  {0xDF, ap_get_reg_df, false},  //  
	//{0xCA, ap_get_reg_ca, false},  // ⡣ҪB1ܵ  
//	{0xB1, ap_set_backlight, false},  
	  {0x51, ap_set_backlight_51, false},   //leo  
	  {0x60, ap_update_frame_rate, true},  
    {DCS_ENTER_SLEEP_MODE, ap_set_enter_sleep_mode, true},  
    {DCS_EXIT_SLEEP_MODE, ap_set_exit_sleep_mode, true},  
#if ADD_TP_CALIBRATION 
//  TP calibration
	  {0x04, ap_set_tp_calibration_04, true},	  
#endif  	
    {0, NULL, false}                        //{0,NULL,false} һ̶ԱΪtableβжϱ׼
};

static void tx_panel_reset(void)
{
    hal_dsi_tx_ctrl_panel_reset_pin(IO_LVL_HIGH); 
    delayMs(10);                //10ms 
    hal_dsi_tx_ctrl_panel_reset_pin(IO_LVL_LOW); 
    delayMs(10);                //10ms 
    hal_dsi_tx_ctrl_panel_reset_pin(IO_LVL_HIGH); 
    delayMs(10); 
}

#if PANEL_INIT_CODE_ARRAY
static void send_panel_init_code(uint32_t size, uint8_t * data)
{
	uint32_t data_offeset = 0;
	uint8_t data_type;
	uint8_t vc;
	uint8_t data_size;
	uint8_t * p_data;

	while(data_offeset < size)
	{
		data_type = data[data_offeset];
		vc = data[data_offeset + 1];
		data_size = data[data_offeset + 2];
		p_data = &data[data_offeset + 3];
		hal_dsi_tx_ctrl_write_array_cmd(data_type, vc, data_size, p_data);
		data_offeset = data_offeset + data_size + 3;
		delayUs(50);
	}
}

const uint8_t panel_init_code[] = {
#if 1  //SU2_video - 3316
	0x05, 0, 1, 0x11,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39,0,9,0xBA,0x01,0xAF,0x00,0x14,0x09,0xAC,0x00,0x01,
	0x39,0,2,0x6F,0x08,
	0x39,0,9,0xBA,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x00,
	0x39,0,2,0x6F,0x10,
	0x39,0,8,0xBA,0x01,0xAF,0x00,0x14,0x03,0x4C,0x00,
	0x39,0,9,0xBB,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x41,
	0x39,0,2,0x6F,0x06,
	0x39,0,4,0xB5,0x2B,0x1C,0x32,
	0x39,0,2,0x6F,0x0B,
	0x39,0,4,0xB5,0x33,0x2B,0x23,
	0x39,0,2,0x6F,0x10,
	0x39,0,6,0xB5,0x1C,0x1C,0x1C,0x1C,0x1C,
	0x39,0,3,0xB5,0x86,0x02,
	0x39,0,2,0x6F,0x02,
	0x39,0,14,0xB6,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,
	0x39,0,14,0xB7,0x00,0xFE,0xDC,0xBA,0x98,0x76,0x54,0x32,0x10,0x00,0x00,0x00,0x05,
	0x39,0,2,0x6F,0x0D,
	0x39,0,7,0xB7,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x13,
	0x39,0,13,0xB7,0x17,0x89,0x9A,0xAB,0xBC,0xCD,0xDE,0xEF,0xFF,0xFF,0xFF,0xFF,
	0x39,0,2,0x6F,0x1F,
	0x39,0,25,0xB7,0x47,0xFF,0x88,0x10,0x99,0x21,0xAA,0x32,0xBB,0x43,0xCC,0x54,0xDD,0x65,0xEE,0x76,0xB0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x39,0,5,0xB2,0x18,0x63,0x08,0x08,
	0x39,0,2,0x6F,0x09,
	0x39,0,2,0xB2,0x40,
	0x39,0,2,0x6F,0x0F,
	0x39,0,9,0xB2,0x30,0x20,0x81,0x46,0x21,0x46,0x20,0x00,
	0x39,0,13,0xB3,0x00,0x08,0x00,0x18,0x00,0x18,0x00,0x31,0x00,0x31,0x00,0x62,
	0x39,0,2,0x6F,0x0C,
	0x39,0,13,0xB3,0x00,0x62,0x00,0xC0,0x00,0xC0,0x01,0x46,0x01,0x46,0x01,0x47,
	0x39,0,2,0x6F,0x18,
	0x39,0,13,0xB3,0x01,0x47,0x03,0x33,0x03,0x33,0x07,0xFF,0x07,0xFF,0x0F,0xFF,
	0x39,0,2,0x6F,0x24,
	0x39,0,9,0xB3,0x01,0x55,0x08,0xCC,0x08,0xCC,0x0F,0xFF,
	0x39,0,2,0x6F,0x2C,
	
//	0x39,0,15,0xB3,0x09,0x90,0x08,0xE0,0x08,0x70,0x08,0x70,0x07,0xC0,0x07,0xC0,0x06,0x6C,
//	0x39,0,2,0x6F,0x3A,
//	0x39,0,13,0xB3,0x06,0x6C,0x03,0xDC,0x03,0xDC,0x00,0x34,0x00,0x34,0x00,0x30,
//	0x39,0,2,0x6F,0x46,
//	0x39,0,13,0xB3,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
//	0x39,0,15,0xB4,0x13,0x20,0x11,0xC0,0x10,0xE0,0x10,0xE0,0x0F,0x80,0x0F,0x80,0x0C,0xD8,
//	0x39,0,2,0x6F,0x0E,
//	0x39,0,13,0xB4,0x0C,0xD8,0x07,0xB8,0x07,0xB8,0x00,0x68,0x00,0x68,0x00,0x60,
//	0x39,0,2,0x6F,0x1A,
//	0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
//	0x39,0,2,0x6F,0x30,
//	0x39,0,15,0xB4,0x0C,0xBC,0x0B,0xD8,0x0B,0x40,0x0B,0x40,0x0A,0x54,0x0A,0x54,0x08,0x90,
//	0x39,0,2,0x6F,0x3E,
//	0x39,0,13,0xB4,0x08,0x90,0x05,0x24,0x05,0x24,0x00,0x44,0x00,0x44,0x00,0x40,
//	0x39,0,2,0x6F,0x4A,
//	0x39,0,13,0xB4,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,

	0x39,0,15,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
	0x39,0,2,0x6F,0x3A,
	0x39,0,13,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
	0x39,0,2,0x6F,0x46,
	0x39,0,13,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
	0x39,0,15,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60, 
	0x39,0,2,0x6F,0x0E, 
	0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60, 
	0x39,0,2,0x6F,0x1A, 
	0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,  
	0x39,0,2,0x6F,0x30, 
	0x39,0,15,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60, 
	0x39,0,2,0x6F,0x3E, 
	0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60, 
	0x39,0,2,0x6F,0x4A, 
	0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60, 
	
	0x39,0,2,0x6F,0x26,
	0x39,0,11,0xB4,0x09,0x90,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
	0x39,0,3,0xB9,0x00,0x96,
	0x39,0,3,0xBD,0x04,0xB0,
	//0x39,0,4,0xC0,0x45,0xF3,0xC1,
	0x39,0,4,0xC0,0x46,0xF3,0xC1,
	0x39,0,2,0x6F,0x08,
	0x39,0,2,0xC0,0x40,
	0x39,0,2,0x6F,0x09,
	0x39,0,3,0xC0,0x20,0x81,
	0x39,0,2,0x6F,0x02,
	0x39,0,2,0xC1,0x24,
	0x39,0,2,0x6F,0x02,
	0x39,0,9,0xC1,0x24,0x57,0x00,0x57,0x00,0x57,0x00,0x57,
	0x39,0,2,0x6F,0x0A,
	0x39,0,3,0xC1,0x00,0x57,
	0x39,0,2,0x6F,0x01,
	0x39,0,2,0xC3,0x00,
	0x39,0,2,0x6F,0x08,
	0x39,0,2,0xC3,0x00,
	0x39,0,2,0xC5,0x10,
	0x39,0,2,0xC8,0x0D,
	0x39,0,2,0xC9,0x84,
	0x39,0,5,0xCA,0x12,0x00,0x82,0xBC,
	0x39,0,2,0xCB,0x88,
	0x39,0,2,0x6F,0x02,
	0x39,0,3,0xEC,0x80,0x10,
	0x39,0,2,0xB9,0x00,
	0x39,0,5,0xBE,0x0E,0x0B,0x14,0x13,
	0x39,0,2,0x6F,0x05,
	0x39,0,2,0xBE,0x8A,
	0x39,0,2,0x6F,0x29,
	0x39,0,2,0xD9,0x00,
	0x39,0,2,0x6F,0x01,
	0x39,0,2,0xD9,0x80,
	0x39,0,2,0x6F,0x07,
	0x39,0,3,0xB2,0x07,0xFF,
	0x39,0,2,0x6F,0x17,
	0x39,0,3,0xB2,0x07,0xFF,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39,0,2,0x6F,0x2A,
	0x39,0,2,0xD9,0x43,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x01,
	0x39,0,11,0xB5,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,
	0x39,0,11,0xB6,0x01,0x48,0x00,0xC0,0x00,0xC0,0x01,0x48,0x00,0xC0,
	0x39,0,3,0xB0,0x04,0x04,
	0x39,0,3,0xB3,0x13,0x13,
	0x39,0,7,0xB7,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,
	0x39,0,3,0xB1,0x08,0x08,
	0x39,0,3,0xB4,0x13,0x13,
	0x39,0,7,0xB8,0x46,0x46,0x46,0x46,0x46,0x46,
	0x39,0,29,0xB9,0x00,0x1F,0x00,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x1F,0x1F,0x1F,0x00,0x00,0x00,0x00,0x00,
	0x39,0,5,0xBA,0x10,0x10,0x10,0x10,
	0x39,0,13,0xC2,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,
	0x39,0,2,0xBB,0x03,
	0x39,0,2,0x6F,0x05,
	0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39,0,2,0x6F,0x18,
	0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39,0,2,0x6F,0x2B,
	0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39,0,2,0x6F,0x3E,
	0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39,0,3,0xC4,0x80,0x03,
	0x39,0,3,0xCD,0x05,0x81,
	0x39,0,2,0xC7,0x01,
	0x39,0,2,0xCF,0x5C,
	0x39,0,6,0xCE,0x00,0x00,0x01,0x00,0x04,
	0x39,0,2,0x6F,0x01,
	0x39,0,4,0xD2,0x00,0x00,0x11,
	0x39,0,2,0x6F,0x06,
	0x39,0,2,0xD2,0x05,
	0x39,0,2,0x6F,0x0F,
	0x39,0,2,0xD2,0x00,
	0x39,0,2,0x6F,0x09,
	0x39,0,2,0xD2,0x00,
	0x39,0,2,0x6F,0x10,
	0x39,0,2,0xD8,0x0C,
	0x39,0,2,0xD1,0x07,
	0x39,0,2,0x6F,0x02,
	0x39,0,2,0xD1,0x06,
	0x39,0,2,0x6F,0x05,
	0x39,0,2,0xD1,0x06,
	0x39,0,3,0xD6,0x00,0x20,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39,0,25,0xB9,0x00,0x04,0x00,0x0C,0x00,0x14,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x4C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,
	0x39,0,25,0xBA,0x00,0xFC,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x7C,0x02,0xFC,0x03,0x7C,0x03,0xBC,0x03,0xDC,0x03,0xFC,0x03,0xFF,
	0x39,0,2,0xBC,0x11,
	0x39,0,17,0xBD,0x96,0x00,0x69,0x00,0x00,0x96,0x00,0x69,0xBB,0x44,0x44,0xBB,0xEE,0x11,0x11,0xEE,
	0x39,0,2,0xC1,0x02,
	0x39,0,9,0xC2,0x91,0x00,0x19,0x00,0x91,0x00,0x19,0x00,
	0x39,0,3,0xC0,0x00,0x00,
	0x39,0,2,0x6F,0x02,
	0x39,0,2,0xBF,0x13,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39,0,2,0xCC,0x30,
	0x39,0,2,0xBF,0x29,
	0x39,0,19,0xB0,0x00,0x00,0x00,0xEA,0x01,0x30,0x01,0xBD,0x02,0x2B,0x02,0x9A,0x02,0xEF,0x03,0x35,0x03,0xC1,
	0x39,0,19,0xB1,0x04,0x22,0x04,0x87,0x04,0xE1,0x05,0x2F,0x05,0xC9,0x06,0x4E,0x06,0xC5,0x07,0x34,0x07,0x9C,
	0x39,0,15,0xB2,0x07,0xFF,0x08,0x62,0x08,0xC8,0x09,0x2D,0x09,0x92,0x0A,0x74,0x0A,0x77,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xAF,0x00,0xEA,0x01,0x60,0x01,0xCD,0x02,0x2E,0x02,0x7E,0x02,0xBF,0x03,0x42,
	0x39,0,19,0xB4,0x03,0x98,0x03,0xEE,0x04,0x44,0x04,0x8E,0x05,0x12,0x05,0x80,0x05,0xEC,0x06,0x50,0x06,0xAD,
	0x39,0,15,0xB5,0x07,0x0A,0x07,0x63,0x07,0xB9,0x08,0x0E,0x08,0x62,0x09,0x11,0x09,0x14,
	0x39,0,19,0xB6,0x00,0x00,0x00,0xC4,0x01,0x1C,0x01,0xCD,0x02,0x61,0x02,0xE5,0x03,0x4B,0x03,0xA1,0x04,0x3F,
	0x39,0,19,0xB7,0x04,0xAB,0x05,0x17,0x05,0x7A,0x05,0xD1,0x06,0x6D,0x06,0xF3,0x07,0x74,0x07,0xEB,0x08,0x5B,
	0x39,0,15,0xB8,0x08,0xCB,0x09,0x3B,0x09,0xB0,0x0A,0x24,0x0A,0x97,0x0B,0x87,0x0B,0x89,
	0x39,0,2,0xBF,0x28,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x1D,0x01,0x59,0x01,0xBC,0x02,0x24,0x02,0x83,0x02,0xD7,0x03,0x01,0x03,0x79,
	0x39,0,19,0xB1,0x03,0xEB,0x04,0x54,0x04,0xA9,0x04,0xF7,0x05,0x7E,0x05,0xF9,0x06,0x71,0x06,0xDB,0x07,0x40,
	0x39,0,15,0xB2,0x07,0x9B,0x07,0xF3,0x08,0x51,0x08,0xAB,0x09,0x08,0x09,0xE5,0x09,0xE7,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xF2,0x01,0x36,0x01,0x6A,0x01,0xBD,0x02,0x14,0x02,0x5E,0x02,0x8A,0x02,0xFA,
	0x39,0,19,0xB4,0x03,0x5D,0x03,0xB9,0x04,0x04,0x04,0x4D,0x04,0xCA,0x05,0x34,0x05,0x9A,0x05,0xF5,0x06,0x4F,
	0x39,0,15,0xB5,0x06,0xA3,0x06,0xF3,0x07,0x48,0x07,0x94,0x07,0xE6,0x08,0xA1,0x08,0xA7,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x10,0x01,0x5C,0x01,0xC0,0x02,0x40,0x02,0xBA,0x03,0x22,0x03,0x5B,0x03,0xE8,
	0x39,0,19,0xB7,0x04,0x64,0x04,0xDE,0x05,0x35,0x05,0x8E,0x06,0x20,0x06,0x9E,0x07,0x1C,0x07,0x89,0x07,0xF5,
	0x39,0,15,0xB8,0x08,0x57,0x08,0xB9,0x09,0x21,0x09,0x86,0x09,0xF1,0x0A,0xF9,0x0A,0xFE,
	0x39,0,2,0xBF,0x27,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x2E,0x01,0x2F,0x01,0x81,0x01,0xCF,0x02,0x07,0x02,0x48,0x02,0x86,0x02,0xE6,
	0x39,0,19,0xB1,0x03,0x3E,0x03,0x79,0x03,0xC4,0x04,0x0C,0x04,0x8A,0x04,0xF3,0x05,0x51,0x05,0xA2,0x05,0xF4,
	0x39,0,15,0xB2,0x06,0x43,0x06,0x8E,0x06,0xD4,0x07,0x17,0x07,0x56,0x07,0xCD,0x07,0xD0,
	0x39,0,19,0xB3,0x00,0x00,0x01,0x08,0x01,0x2A,0x01,0x4B,0x01,0x76,0x01,0xA6,0x01,0xDE,0x02,0x17,0x02,0x6E,
	0x39,0,19,0xB4,0x02,0xBE,0x02,0xFA,0x03,0x3B,0x03,0x7A,0x03,0xE9,0x04,0x4A,0x04,0x9D,0x04,0xE9,0x05,0x2F,
	0x39,0,15,0xB5,0x05,0x73,0x05,0xB3,0x05,0xEF,0x06,0x2A,0x06,0x63,0x06,0xD1,0x06,0xD3,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x3A,0x01,0x42,0x01,0x84,0x01,0xD4,0x02,0x1D,0x02,0x6F,0x02,0xBE,0x03,0x37,
	0x39,0,19,0xB7,0x03,0xA2,0x03,0xE9,0x04,0x3D,0x04,0x8C,0x05,0x15,0x05,0x8A,0x05,0xEB,0x06,0x45,0x06,0x98,
	0x39,0,15,0xB8,0x06,0xEB,0x07,0x3A,0x07,0x82,0x07,0xC9,0x08,0x0D,0x08,0x8F,0x08,0x92,
	0x39,0,2,0xBF,0x26,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x29,0x01,0x34,0x01,0x50,0x01,0x86,0x01,0xBA,0x01,0xE4,0x02,0x0A,0x02,0x5D,
	0x39,0,19,0xB1,0x02,0xA6,0x02,0xE6,0x03,0x20,0x03,0x51,0x03,0xB2,0x04,0x08,0x04,0x5C,0x04,0xA9,0x04,0xEE,
	0x39,0,15,0xB2,0x05,0x2C,0x05,0x67,0x05,0x9C,0x05,0xD2,0x06,0x08,0x06,0x6D,0x06,0x70,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xFE,0x01,0x1C,0x01,0x3A,0x01,0x4E,0x01,0x6A,0x01,0x88,0x01,0xA8,0x01,0xF2,
	0x39,0,19,0xB4,0x02,0x34,0x02,0x6E,0x02,0xA2,0x02,0xD1,0x03,0x28,0x03,0x77,0x03,0xC0,0x04,0x05,0x04,0x45,
	0x39,0,15,0xB5,0x04,0x7D,0x04,0xB2,0x04,0xE4,0x05,0x12,0x05,0x40,0x05,0x97,0x05,0x99,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x36,0x01,0x44,0x01,0x5D,0x01,0x89,0x01,0xC0,0x01,0xF0,0x02,0x20,0x02,0x8C,
	0x39,0,19,0xB7,0x02,0xE7,0x03,0x37,0x03,0x7D,0x03,0xB8,0x04,0x28,0x04,0x89,0x04,0xE3,0x05,0x37,0x05,0x84,
	0x39,0,15,0xB8,0x05,0xC5,0x06,0x03,0x06,0x3F,0x06,0x76,0x06,0xAD,0x07,0x18,0x07,0x1A,
	0x39,0,2,0xBF,0x25,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x28,0x01,0x34,0x01,0x50,0x01,0x86,0x01,0xBB,0x01,0xE4,0x02,0x0A,0x02,0x5C,
	0x39,0,19,0xB1,0x02,0xA5,0x02,0xE5,0x03,0x1F,0x03,0x50,0x03,0xB1,0x04,0x07,0x04,0x5B,0x04,0xA8,0x04,0xED,
	0x39,0,15,0xB2,0x05,0x2B,0x05,0x66,0x05,0x9B,0x05,0xD3,0x06,0x07,0x06,0x6C,0x06,0x6E,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xFE,0x01,0x1C,0x01,0x3A,0x01,0x4E,0x01,0x6A,0x01,0x88,0x01,0xA8,0x01,0xF2,
	0x39,0,19,0xB4,0x02,0x33,0x02,0x6D,0x02,0xA1,0x02,0xD0,0x03,0x27,0x03,0x76,0x03,0xBF,0x04,0x04,0x04,0x44,
	0x39,0,15,0xB5,0x04,0x7C,0x04,0xB1,0x04,0xE3,0x05,0x12,0x05,0x3F,0x05,0x96,0x05,0x98,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x35,0x01,0x44,0x01,0x5D,0x01,0x89,0x01,0xC0,0x01,0xF0,0x02,0x20,0x02,0x8C,
	0x39,0,19,0xB7,0x02,0xE6,0x03,0x36,0x03,0x7C,0x03,0xB7,0x04,0x27,0x04,0x88,0x04,0xE2,0x05,0x36,0x05,0x83,
	0x39,0,15,0xB8,0x05,0xC4,0x06,0x02,0x06,0x3E,0x06,0x77,0x06,0xAC,0x07,0x17,0x07,0x19,
	0x39,0,2,0xBF,0x24,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x24,0x01,0x36,0x01,0x46,0x01,0x66,0x01,0x91,0x01,0xBC,0x01,0xDB,0x02,0x18,
	0x39,0,19,0xB1,0x02,0x59,0x02,0x93,0x02,0xC7,0x02,0xF8,0x03,0x4B,0x03,0x9F,0x03,0xE6,0x04,0x29,0x04,0x64,
	0x39,0,15,0xB2,0x04,0x9F,0x04,0xD6,0x05,0x09,0x05,0x39,0x05,0x67,0x05,0xBD,0x05,0xBF,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xF2,0x01,0x15,0x01,0x2F,0x01,0x42,0x01,0x54,0x01,0x6A,0x01,0x81,0x01,0xB5,
	0x39,0,19,0xB4,0x01,0xEF,0x02,0x23,0x02,0x52,0x02,0x7E,0x02,0xCB,0x03,0x14,0x03,0x55,0x03,0x92,0x03,0xC7,
	0x39,0,15,0xB5,0x03,0xFC,0x04,0x2F,0x04,0x5E,0x04,0x89,0x04,0xB2,0x04,0xFF,0x05,0x01,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x31,0x01,0x45,0x01,0x50,0x01,0x6F,0x01,0x94,0x01,0xC1,0x01,0xE5,0x02,0x33,
	0x39,0,19,0xB7,0x02,0x88,0x02,0xD1,0x03,0x11,0x03,0x4D,0x03,0xB1,0x04,0x11,0x04,0x62,0x04,0xAC,0x04,0xEC,
	0x39,0,15,0xB8,0x05,0x2C,0x05,0x6A,0x05,0xA1,0x05,0xD3,0x06,0x03,0x06,0x61,0x06,0x63,
	0x39,0,2,0xBF,0x23,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x21,0x01,0x31,0x01,0x3F,0x01,0x4F,0x01,0x67,0x01,0x86,0x01,0xA6,0x01,0xDA,
	0x39,0,19,0xB1,0x02,0x07,0x02,0x37,0x02,0x64,0x02,0x8F,0x02,0xDB,0x03,0x1C,0x03,0x5C,0x03,0x99,0x03,0xCD,
	0x39,0,15,0xB2,0x04,0x00,0x04,0x30,0x04,0x5E,0x04,0x8A,0x04,0xB3,0x04,0xFF,0x05,0x01,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xF3,0x01,0x08,0x01,0x23,0x01,0x34,0x01,0x42,0x01,0x4F,0x01,0x5F,0x01,0x80,
	0x39,0,19,0xB4,0x01,0xA6,0x01,0xD0,0x01,0xF9,0x02,0x1F,0x02,0x64,0x02,0xA0,0x02,0xD9,0x03,0x0F,0x03,0x3E,
	0x39,0,15,0xB5,0x03,0x6C,0x03,0x98,0x03,0xC0,0x03,0xE7,0x04,0x0E,0x04,0x55,0x04,0x56,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x2E,0x01,0x3F,0x01,0x4B,0x01,0x59,0x01,0x6F,0x01,0x8B,0x01,0xAA,0x01,0xE4,
	0x39,0,19,0xB7,0x02,0x1E,0x02,0x5C,0x02,0x96,0x02,0xCC,0x03,0x29,0x03,0x79,0x03,0xC4,0x04,0x0A,0x04,0x45,
	0x39,0,15,0xB8,0x04,0x7E,0x04,0xB4,0x04,0xE5,0x05,0x15,0x05,0x43,0x05,0x96,0x05,0x98,
	0x39,0,2,0xBF,0x22,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x1F,0x01,0x2D,0x01,0x3B,0x01,0x3F,0x01,0x4F,0x01,0x60,0x01,0x75,0x01,0xA3,
	0x39,0,19,0xB1,0x01,0xC9,0x01,0xED,0x02,0x10,0x02,0x32,0x02,0x72,0x02,0xAD,0x02,0xE3,0x03,0x15,0x03,0x46,
	0x39,0,15,0xB2,0x03,0x6F,0x03,0x9D,0x03,0xC3,0x03,0xE9,0x04,0x0D,0x04,0x50,0x04,0x51,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xF0,0x01,0x00,0x01,0x17,0x01,0x2C,0x01,0x34,0x01,0x3E,0x01,0x48,0x01,0x5D,
	0x39,0,19,0xB4,0x01,0x76,0x01,0x90,0x01,0xAD,0x01,0xCC,0x02,0x06,0x02,0x3A,0x02,0x6C,0x02,0x98,0x02,0xC4,
	0x39,0,15,0xB5,0x02,0xEA,0x03,0x12,0x03,0x34,0x03,0x57,0x03,0x77,0x03,0xB4,0x03,0xB5,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x2B,0x01,0x3A,0x01,0x48,0x01,0x4A,0x01,0x59,0x01,0x69,0x01,0x7B,0x01,0xA7,
	0x39,0,19,0xB7,0x01,0xD2,0x01,0xFC,0x02,0x29,0x02,0x56,0x02,0xA8,0x02,0xF1,0x03,0x33,0x03,0x6F,0x03,0xAA,
	0x39,0,15,0xB8,0x03,0xDA,0x04,0x0F,0x04,0x3A,0x04,0x64,0x04,0x8D,0x04,0xD6,0x04,0xD8,
	0x39,0,2,0xBF,0x21,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x1E,0x01,0x27,0x01,0x38,0x01,0x3C,0x01,0x3E,0x01,0x4A,0x01,0x57,0x01,0x73,
	0x39,0,19,0xB1,0x01,0x94,0x01,0xB3,0x01,0xCE,0x01,0xEA,0x02,0x20,0x02,0x4D,0x02,0x80,0x02,0xA6,0x02,0xD1,
	0x39,0,15,0xB2,0x02,0xF5,0x03,0x1B,0x03,0x3B,0x03,0x61,0x03,0x7D,0x03,0xB7,0x03,0xB9,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xED,0x00,0xFA,0x01,0x0E,0x01,0x1C,0x01,0x2B,0x01,0x32,0x01,0x38,0x01,0x47,
	0x39,0,19,0xB4,0x01,0x56,0x01,0x67,0x01,0x7A,0x01,0x8E,0x01,0xBA,0x01,0xE4,0x02,0x11,0x02,0x33,0x02,0x59,
	0x39,0,15,0xB5,0x02,0x7B,0x02,0x9D,0x02,0xBA,0x02,0xDA,0x02,0xF4,0x03,0x2A,0x03,0x2B,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x2A,0x01,0x34,0x01,0x45,0x01,0x48,0x01,0x49,0x01,0x55,0x01,0x60,0x01,0x79,
	0x39,0,19,0xB7,0x01,0x99,0x01,0xB9,0x01,0xD8,0x01,0xF9,0x02,0x3D,0x02,0x78,0x02,0xB8,0x02,0xE8,0x03,0x1C,
	0x39,0,15,0xB8,0x03,0x49,0x03,0x76,0x03,0x9D,0x03,0xC8,0x03,0xE9,0x04,0x2D,0x04,0x2E,
	0x39,0,2,0xBF,0x20,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x1F,0x01,0x22,0x01,0x2C,0x01,0x2D,0x01,0x2E,0x01,0x2F,0x01,0x30,0x01,0x49,
	0x39,0,19,0xB1,0x01,0x59,0x01,0x6A,0x01,0x7D,0x01,0x91,0x01,0xB6,0x01,0xD7,0x01,0xF9,0x02,0x1C,0x02,0x39,
	0x39,0,15,0xB2,0x02,0x54,0x02,0x70,0x02,0x8E,0x02,0xA5,0x02,0xC0,0x02,0xEB,0x02,0xEC,
	0x39,0,19,0xB3,0x00,0x00,0x00,0xE2,0x00,0xF2,0x01,0x02,0x01,0x12,0x01,0x1F,0x01,0x22,0x01,0x2A,0x01,0x32,
	0x39,0,19,0xB4,0x01,0x39,0x01,0x42,0x01,0x4B,0x01,0x55,0x01,0x69,0x01,0x81,0x01,0x9A,0x01,0xB6,0x01,0xD1,
	0x39,0,15,0xB5,0x01,0xE9,0x02,0x04,0x02,0x1C,0x02,0x31,0x02,0x4A,0x02,0x72,0x02,0x73,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x29,0x01,0x2E,0x01,0x3D,0x01,0x40,0x01,0x41,0x01,0x42,0x01,0x43,0x01,0x54,
	0x39,0,19,0xB7,0x01,0x62,0x01,0x71,0x01,0x83,0x01,0x96,0x01,0xBD,0x01,0xE3,0x02,0x0E,0x02,0x37,0x02,0x5E,
	0x39,0,15,0xB8,0x02,0x80,0x02,0xA5,0x02,0xC9,0x02,0xE6,0x03,0x09,0x03,0x3D,0x03,0x3E,
	0x39,0,2,0xBF,0x39,
	0x39,0,19,0xB0,0x00,0x00,0x01,0xFD,0x02,0x44,0x02,0x8C,0x02,0xC3,0x03,0x31,0x03,0x8D,0x04,0x28,0x04,0xA7,
	0x39,0,19,0xB1,0x05,0x13,0x05,0x73,0x05,0xC5,0x06,0x17,0x06,0xA4,0x07,0x23,0x07,0x93,0x08,0x02,0x08,0x64,
	0x39,0,15,0xB2,0x08,0xC1,0x09,0x78,0x0A,0x22,0x0A,0x76,0x0A,0x9D,0x0A,0xCC,0x0A,0xCC,
	0x39,0,19,0xB3,0x00,0x00,0x01,0xE0,0x02,0x1E,0x02,0x45,0x02,0x77,0x02,0xDC,0x03,0x33,0x03,0xC1,0x04,0x31,
	0x39,0,19,0xB4,0x04,0x92,0x04,0xE7,0x05,0x2F,0x05,0x77,0x05,0xF2,0x06,0x62,0x06,0xC3,0x07,0x23,0x07,0x76,
	0x39,0,15,0xB5,0x07,0xC3,0x08,0x5B,0x08,0xE5,0x09,0x26,0x09,0x44,0x09,0x67,0x09,0x67,
	0x39,0,19,0xB6,0x00,0x00,0x01,0xE6,0x02,0x41,0x02,0x8E,0x02,0xD4,0x03,0x61,0x03,0xD5,0x04,0x8A,0x05,0x16,
	0x39,0,19,0xB7,0x05,0x8C,0x05,0xF4,0x06,0x4C,0x06,0xA3,0x07,0x39,0x07,0xC2,0x08,0x3C,0x08,0xB4,0x09,0x20,
	0x39,0,15,0xB8,0x09,0x86,0x0A,0x51,0x0B,0x14,0x0B,0x72,0x0B,0xA0,0x0B,0xCC,0x0B,0xCC,
	0x39,0,2,0xBF,0x38,
	0x39,0,19,0xB0,0x00,0x00,0x02,0x73,0x02,0xA1,0x02,0xCF,0x02,0xF7,0x03,0x45,0x03,0x8D,0x04,0x0E,0x04,0x7D,
	0x39,0,19,0xB1,0x04,0xDE,0x05,0x34,0x05,0x80,0x05,0xC9,0x06,0x4A,0x06,0xBD,0x07,0x26,0x07,0x85,0x07,0xE1,
	0x39,0,15,0xB2,0x08,0x35,0x08,0xD2,0x09,0x65,0x09,0xAD,0x09,0xD0,0x09,0xF5,0x09,0xF5,
	0x39,0,19,0xB3,0x00,0x00,0x02,0x81,0x02,0x9B,0x02,0xAB,0x02,0xC4,0x02,0xF6,0x03,0x32,0x03,0xA3,0x04,0x04,
	0x39,0,19,0xB4,0x04,0x5A,0x04,0xA7,0x04,0xEA,0x05,0x2B,0x05,0x9B,0x06,0x00,0x06,0x5C,0x06,0xAE,0x06,0xFD,
	0x39,0,15,0xB5,0x07,0x45,0x07,0xCA,0x08,0x44,0x08,0x80,0x08,0x9E,0x08,0xB9,0x08,0xB9,
	0x39,0,19,0xB6,0x00,0x00,0x02,0x70,0x02,0xA4,0x02,0xD0,0x03,0x01,0x03,0x63,0x03,0xC0,0x04,0x5F,0x04,0xDF,
	0x39,0,19,0xB7,0x05,0x4B,0x05,0xA9,0x05,0xFB,0x06,0x4B,0x06,0xD5,0x07,0x50,0x07,0xC1,0x08,0x28,0x08,0x8C,
	0x39,0,15,0xB8,0x08,0xE7,0x09,0x95,0x0A,0x3B,0x0A,0x8C,0x0A,0xB7,0x0A,0xDD,0x0A,0xDD,
	0x39,0,2,0xBF,0x37,
	0x39,0,19,0xB0,0x00,0x00,0x01,0xC4,0x02,0x8A,0x02,0xA8,0x02,0xC7,0x02,0xFC,0x03,0x2F,0x03,0x90,0x03,0xE4,
	0x39,0,19,0xB1,0x04,0x34,0x04,0x7D,0x04,0xBC,0x04,0xF9,0x05,0x64,0x05,0xC6,0x06,0x1C,0x06,0x6C,0x06,0xB8,
	0x39,0,15,0xB2,0x06,0xFD,0x07,0x7E,0x07,0xF7,0x08,0x2E,0x08,0x49,0x08,0x63,0x08,0x66,
	0x39,0,19,0xB3,0x00,0x00,0x01,0xCD,0x02,0x8E,0x02,0x9E,0x02,0xA9,0x02,0xC7,0x02,0xE8,0x03,0x34,0x03,0x7F,
	0x39,0,19,0xB4,0x03,0xC4,0x04,0x04,0x04,0x3C,0x04,0x72,0x04,0xD2,0x05,0x28,0x05,0x73,0x05,0xB9,0x05,0xFB,
	0x39,0,15,0xB5,0x06,0x38,0x06,0xA8,0x07,0x10,0x07,0x3F,0x07,0x56,0x07,0x6D,0x07,0x6F,
	0x39,0,19,0xB6,0x00,0x00,0x01,0xC1,0x02,0x89,0x02,0xAB,0x02,0xC8,0x03,0x07,0x03,0x48,0x03,0xC3,0x04,0x2C,
	0x39,0,19,0xB7,0x04,0x8A,0x04,0xDF,0x05,0x26,0x05,0x69,0x05,0xDD,0x06,0x47,0x06,0xA3,0x06,0xFA,0x07,0x4A,
	0x39,0,15,0xB8,0x07,0x95,0x08,0x21,0x08,0xA4,0x08,0xDF,0x08,0xFD,0x09,0x1A,0x09,0x1D,
	0x39,0,2,0xBF,0x36,
	0x39,0,19,0xB0,0x00,0x00,0x02,0x4D,0x02,0x68,0x02,0x83,0x02,0x9F,0x02,0xC7,0x02,0xEE,0x03,0x30,0x03,0x72,
	0x39,0,19,0xB1,0x03,0xAD,0x03,0xE7,0x04,0x1A,0x04,0x4C,0x04,0xA2,0x04,0xF7,0x05,0x3E,0x05,0x84,0x05,0xC0,
	0x39,0,15,0xB2,0x05,0xFC,0x06,0x67,0x06,0xC8,0x06,0xF6,0x07,0x0E,0x07,0x23,0x07,0x23,
	0x39,0,19,0xB3,0x00,0x00,0x02,0x8B,0x02,0x92,0x02,0x99,0x02,0x9E,0x02,0xA8,0x02,0xB7,0x02,0xE4,0x03,0x18,
	0x39,0,19,0xB4,0x03,0x4C,0x03,0x80,0x03,0xAE,0x03,0xDA,0x04,0x25,0x04,0x70,0x04,0xAF,0x04,0xED,0x05,0x22,
	0x39,0,15,0xB5,0x05,0x56,0x05,0xB4,0x06,0x09,0x06,0x31,0x06,0x45,0x06,0x58,0x06,0x58,
	0x39,0,19,0xB6,0x00,0x00,0x02,0x6B,0x02,0x80,0x02,0x96,0x02,0xA8,0x02,0xC9,0x02,0xF1,0x03,0x45,0x03,0x9B,
	0x39,0,19,0xB7,0x03,0xE8,0x04,0x2F,0x04,0x6C,0x04,0xA8,0x05,0x08,0x05,0x67,0x05,0xB4,0x06,0x00,0x06,0x41,
	0x39,0,15,0xB8,0x06,0x82,0x06,0xF4,0x07,0x5C,0x07,0x8E,0x07,0xA6,0x07,0xBE,0x07,0xBE,
	0x39,0,2,0xBF,0x35,
	0x39,0,19,0xB0,0x00,0x00,0x02,0x4D,0x02,0x60,0x02,0x74,0x02,0x87,0x02,0xB3,0x02,0xD9,0x03,0x25,0x03,0x69,
	0x39,0,19,0xB1,0x03,0xA6,0x03,0xE0,0x04,0x15,0x04,0x49,0x04,0x9F,0x04,0xF4,0x05,0x3C,0x05,0x82,0x05,0xBE,
	0x39,0,15,0xB2,0x05,0xFA,0x06,0x65,0x06,0xC8,0x06,0xF7,0x07,0x0D,0x07,0x20,0x07,0x20,
	0x39,0,19,0xB3,0x00,0x00,0x02,0x81,0x02,0x8B,0x02,0x96,0x02,0x9C,0x02,0xAA,0x02,0xB6,0x02,0xE4,0x03,0x17,
	0x39,0,19,0xB4,0x03,0x4A,0x03,0x7A,0x03,0xA9,0x03,0xD6,0x04,0x21,0x04,0x6C,0x04,0xAC,0x04,0xEA,0x05,0x1F,
	0x39,0,15,0xB5,0x05,0x54,0x05,0xB3,0x06,0x08,0x06,0x30,0x06,0x43,0x06,0x56,0x06,0x56,
	0x39,0,19,0xB6,0x00,0x00,0x02,0x68,0x02,0x7C,0x02,0x91,0x02,0xA2,0x02,0xC8,0x02,0xEC,0x03,0x47,0x03,0x9B,
	0x39,0,19,0xB7,0x03,0xE4,0x04,0x2B,0x04,0x69,0x04,0xA6,0x05,0x06,0x05,0x65,0x05,0xB3,0x05,0xFF,0x06,0x40,
	0x39,0,15,0xB8,0x06,0x80,0x06,0xF3,0x07,0x5C,0x07,0x8D,0x07,0xA5,0x07,0xBC,0x07,0xBC,
	0x39,0,2,0xBF,0x34,
	0x39,0,19,0xB0,0x00,0x00,0x02,0x72,0x02,0x83,0x02,0x95,0x02,0xA7,0x02,0xC8,0x02,0xEA,0x03,0x30,0x03,0x74,
	0x39,0,19,0xB1,0x03,0xB2,0x03,0xE8,0x04,0x1B,0x04,0x4C,0x04,0xA5,0x04,0xF5,0x05,0x3B,0x05,0x80,0x05,0xBB,
	0x39,0,15,0xB2,0x05,0xF6,0x06,0x60,0x06,0xC0,0x06,0xEF,0x07,0x04,0x07,0x18,0x07,0x18,
	0x39,0,19,0xB3,0x00,0x00,0x02,0xA6,0x02,0xB1,0x02,0xBD,0x02,0xC5,0x02,0xD1,0x02,0xDC,0x02,0xFC,0x03,0x2C,
	0x39,0,19,0xB4,0x03,0x5D,0x03,0x8B,0x03,0xB8,0x03,0xE4,0x04,0x31,0x04,0x76,0x04,0xB4,0x04,0xF1,0x05,0x25,
	0x39,0,15,0xB5,0x05,0x58,0x05,0xB4,0x06,0x08,0x06,0x30,0x06,0x41,0x06,0x55,0x06,0x55,
	0x39,0,19,0xB6,0x00,0x00,0x02,0x8D,0x02,0xA1,0x02,0xB6,0x02,0xC8,0x02,0xE7,0x03,0x06,0x03,0x52,0x03,0xA6,
	0x39,0,19,0xB7,0x03,0xF1,0x04,0x33,0x04,0x6F,0x04,0xA9,0x05,0x0C,0x05,0x65,0x05,0xB2,0x05,0xFD,0x06,0x3D,
	0x39,0,15,0xB8,0x06,0x7C,0x06,0xEE,0x07,0x55,0x07,0x87,0x07,0x9D,0x07,0xB4,0x07,0xB4,
	0x39,0,2,0xBF,0x33,
	0x39,0,19,0xB0,0x00,0x00,0x02,0xAE,0x02,0xBD,0x02,0xCD,0x02,0xDD,0x02,0xFD,0x03,0x1C,0x03,0x5A,0x03,0x91,
	0x39,0,19,0xB1,0x03,0xC5,0x03,0xFA,0x04,0x23,0x04,0x53,0x04,0xA5,0x04,0xEF,0x05,0x32,0x05,0x73,0x05,0xAD,
	0x39,0,15,0xB2,0x05,0xE5,0x06,0x4B,0x06,0xA8,0x06,0xD6,0x06,0xEC,0x06,0xFD,0x06,0xFD,
	0x39,0,19,0xB3,0x00,0x00,0x03,0x06,0x03,0x0D,0x03,0x15,0x03,0x1D,0x03,0x27,0x03,0x30,0x03,0x49,0x03,0x64,
	0x39,0,19,0xB4,0x03,0x88,0x03,0xB0,0x03,0xD2,0x03,0xF8,0x04,0x39,0x04,0x79,0x04,0xB3,0x04,0xEC,0x05,0x1E,
	0x39,0,15,0xB5,0x05,0x4E,0x05,0xA6,0x05,0xF6,0x06,0x1C,0x06,0x2E,0x06,0x3F,0x06,0x3F,
	0x39,0,19,0xB6,0x00,0x00,0x02,0xED,0x02,0xFA,0x03,0x08,0x03,0x16,0x03,0x2E,0x03,0x45,0x03,0x84,0x03,0xBF,
	0x39,0,19,0xB7,0x03,0xFF,0x04,0x3E,0x04,0x72,0x04,0xA9,0x05,0x06,0x05,0x5A,0x05,0xA4,0x05,0xED,0x06,0x2C,
	0x39,0,15,0xB8,0x06,0x69,0x06,0xD8,0x07,0x3B,0x07,0x6B,0x07,0x82,0x07,0x97,0x07,0x97,
	0x39,0,2,0xBF,0x32,
	0x39,0,19,0xB0,0x00,0x00,0x03,0x10,0x03,0x1A,0x03,0x24,0x03,0x2E,0x03,0x42,0x03,0x57,0x03,0x85,0x03,0xB1,
	0x39,0,19,0xB1,0x03,0xE4,0x04,0x0A,0x04,0x2F,0x04,0x57,0x04,0xA2,0x04,0xE4,0x05,0x22,0x05,0x5F,0x05,0x96,
	0x39,0,15,0xB2,0x05,0xCA,0x06,0x2A,0x06,0x83,0x06,0xAE,0x06,0xC3,0x06,0xD5,0x06,0xD5,
	0x39,0,19,0xB3,0x00,0x00,0x03,0x59,0x03,0x61,0x03,0x69,0x03,0x71,0x03,0x81,0x03,0x8C,0x03,0x9E,0x03,0xAE,
	0x39,0,19,0xB4,0x03,0xC5,0x03,0xDE,0x03,0xF6,0x04,0x11,0x04,0x4E,0x04,0x7E,0x04,0xB2,0x04,0xE4,0x05,0x13,
	0x39,0,15,0xB5,0x05,0x3F,0x05,0x90,0x05,0xDC,0x05,0xFF,0x06,0x10,0x06,0x21,0x06,0x21,
	0x39,0,19,0xB6,0x00,0x00,0x03,0x3F,0x03,0x4B,0x03,0x57,0x03,0x63,0x03,0x7B,0x03,0x90,0x03,0xBB,0x03,0xE5,
	0x39,0,19,0xB7,0x04,0x1B,0x04,0x49,0x04,0x75,0x04,0xA2,0x05,0x01,0x05,0x48,0x05,0x8F,0x05,0xD4,0x06,0x10,
	0x39,0,15,0xB8,0x06,0x4A,0x06,0xB3,0x07,0x14,0x07,0x41,0x07,0x56,0x07,0x6B,0x07,0x6B,
	0x39,0,2,0xBF,0x31,
	0x39,0,19,0xB0,0x00,0x00,0x03,0x5D,0x03,0x65,0x03,0x6D,0x03,0x75,0x03,0x85,0x03,0x95,0x03,0xB6,0x03,0xD6,
	0x39,0,19,0xB1,0x03,0xF4,0x04,0x18,0x04,0x39,0x04,0x5A,0x04,0x9A,0x04,0xD2,0x05,0x09,0x05,0x3F,0x05,0x71,
	0x39,0,15,0xB2,0x05,0x9E,0x05,0xF7,0x06,0x49,0x06,0x70,0x06,0x82,0x06,0x95,0x06,0x95,
	0x39,0,19,0xB3,0x00,0x00,0x03,0xBC,0x03,0xC1,0x03,0xC6,0x03,0xCB,0x03,0xD5,0x03,0xDF,0x03,0xEC,0x03,0xF7,
	0x39,0,19,0xB4,0x04,0x04,0x04,0x15,0x04,0x26,0x04,0x38,0x04,0x62,0x04,0x88,0x04,0xB3,0x04,0xDC,0x05,0x04,
	0x39,0,15,0xB5,0x05,0x29,0x05,0x70,0x05,0xB3,0x05,0xD5,0x05,0xE4,0x05,0xF2,0x05,0xF2,
	0x39,0,19,0xB6,0x00,0x00,0x03,0x9F,0x03,0xA7,0x03,0xAF,0x03,0xB7,0x03,0xC8,0x03,0xD9,0x03,0xF6,0x04,0x11,
	0x39,0,19,0xB7,0x04,0x31,0x04,0x59,0x04,0x7D,0x04,0xA2,0x04,0xEE,0x05,0x2E,0x05,0x6C,0x05,0xA9,0x05,0xE4,
	0x39,0,15,0xB8,0x06,0x16,0x06,0x7A,0x06,0xD4,0x06,0xFE,0x07,0x12,0x07,0x26,0x07,0x26,
	0x39,0,2,0xBF,0x30,
	0x39,0,19,0xB0,0x00,0x00,0x03,0xB3,0x03,0xB8,0x03,0xBD,0x03,0xC2,0x03,0xCC,0x03,0xD6,0x03,0xEA,0x03,0xFF,
	0x39,0,19,0xB1,0x04,0x14,0x04,0x27,0x04,0x3C,0x04,0x52,0x04,0x7D,0x04,0xA8,0x04,0xD2,0x04,0xFB,0x05,0x20,
	0x39,0,15,0xB2,0x05,0x47,0x05,0x8C,0x05,0xCD,0x05,0xF0,0x06,0x00,0x06,0x0E,0x06,0x0E,
	0x39,0,19,0xB3,0x00,0x00,0x04,0x1A,0x04,0x1D,0x04,0x20,0x04,0x23,0x04,0x2A,0x04,0x31,0x04,0x3E,0x04,0x47,
	0x39,0,19,0xB4,0x04,0x50,0x04,0x57,0x04,0x60,0x04,0x69,0x04,0x7D,0x04,0x91,0x04,0xAB,0x04,0xC7,0x04,0xE2,
	0x39,0,15,0xB5,0x04,0xFC,0x05,0x31,0x05,0x63,0x05,0x7C,0x05,0x87,0x05,0x94,0x05,0x94,
	0x39,0,19,0xB6,0x00,0x00,0x04,0x00,0x04,0x05,0x04,0x0A,0x04,0x0F,0x04,0x19,0x04,0x23,0x04,0x36,0x04,0x47,
	0x39,0,19,0xB7,0x04,0x5B,0x04,0x6C,0x04,0x81,0x04,0x97,0x04,0xC7,0x04,0xF4,0x05,0x25,0x05,0x55,0x05,0x81,
	0x39,0,15,0xB8,0x05,0xAE,0x06,0x00,0x06,0x4A,0x06,0x6F,0x06,0x80,0x06,0x92,0x06,0x92,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39,0,2,0xBF,0x42,
	0x39,0,19,0xB0,0x00,0x00,0x04,0x9E,0x04,0xD9,0x05,0x14,0x05,0x4F,0x05,0x9D,0x05,0xDD,0x06,0x48,0x06,0xAE,
	0x39,0,19,0xB1,0x07,0x03,0x07,0x57,0x07,0xA0,0x07,0xE6,0x08,0x62,0x08,0xD5,0x09,0x36,0x09,0x94,0x09,0xE3,
	0x39,0,15,0xB2,0x0A,0x35,0x0A,0xC4,0x0B,0x43,0x0B,0x81,0x0B,0x9F,0x0B,0xBA,0x0B,0xBA,
	0x39,0,19,0xB3,0x00,0x00,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xD9,0x05,0x16,0x05,0x95,0x06,0x05,
	0x39,0,19,0xB4,0x06,0x61,0x06,0xB3,0x06,0xF9,0x07,0x3A,0x07,0xA9,0x08,0x12,0x08,0x69,0x08,0xBE,0x09,0x07,
	0x39,0,15,0xB5,0x09,0x4F,0x09,0xCE,0x0A,0x3F,0x0A,0x75,0x0A,0x8E,0x0A,0xA6,0x0A,0xA6,
	0x39,0,19,0xB6,0x00,0x00,0x04,0x7B,0x04,0xA5,0x04,0xCF,0x04,0xF2,0x05,0x46,0x05,0xA5,0x06,0x4E,0x06,0xD9,
	0x39,0,19,0xB7,0x07,0x4F,0x07,0xB7,0x08,0x10,0x08,0x62,0x08,0xEB,0x09,0x6D,0x09,0xD5,0x0A,0x3B,0x0A,0x90,
	0x39,0,15,0xB8,0x0A,0xE8,0x0B,0x80,0x0C,0x07,0x0C,0x48,0x0C,0x67,0x0C,0x85,0x0C,0x85,
	0x39,0,2,0xBF,0x41,
	0x39,0,19,0xB0,0x00,0x00,0x03,0x85,0x04,0xC4,0x04,0xF1,0x05,0x1E,0x05,0x6A,0x05,0xA4,0x05,0xFF,0x06,0x50,
	0x39,0,19,0xB1,0x06,0x9E,0x06,0xE1,0x07,0x21,0x07,0x60,0x07,0xCD,0x08,0x2F,0x08,0x8A,0x08,0xE0,0x09,0x2A,
	0x39,0,15,0xB2,0x09,0x72,0x09,0xF0,0x0A,0x66,0x0A,0x9C,0x0A,0xB7,0x0A,0xD1,0x0A,0xD3,
	0x39,0,19,0xB3,0x00,0x00,0x03,0x9B,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xC5,0x04,0xE0,0x05,0x3E,0x05,0x9E,
	0x39,0,19,0xB4,0x05,0xF3,0x06,0x3C,0x06,0x7F,0x06,0xBC,0x07,0x23,0x07,0x7B,0x07,0xCE,0x08,0x1C,0x08,0x5E,
	0x39,0,15,0xB5,0x08,0x9F,0x09,0x12,0x09,0x7A,0x09,0xAB,0x09,0xC3,0x09,0xDA,0x09,0xDC,
	0x39,0,19,0xB6,0x00,0x00,0x03,0x6A,0x04,0x96,0x04,0xB6,0x04,0xD5,0x05,0x0F,0x05,0x50,0x05,0xDA,0x06,0x59,
	0x39,0,19,0xB7,0x06,0xC3,0x07,0x20,0x07,0x75,0x07,0xC2,0x08,0x45,0x08,0xB2,0x09,0x18,0x09,0x78,0x09,0xC8,
	0x39,0,15,0xB8,0x0A,0x16,0x0A,0x9E,0x0B,0x1C,0x0B,0x56,0x0B,0x73,0x0B,0x8E,0x0B,0x90,
	0x39,0,2,0xBF,0x40,
	0x39,0,19,0xB0,0x00,0x00,0x01,0x7F,0x04,0x7D,0x04,0xB0,0x04,0xC3,0x04,0xEA,0x05,0x10,0x05,0x58,0x05,0x8A,
	0x39,0,19,0xB1,0x05,0xB7,0x05,0xE0,0x06,0x03,0x06,0x25,0x06,0x69,0x06,0xAB,0x06,0xE3,0x07,0x1A,0x07,0x50,
	0x39,0,15,0xB2,0x07,0x80,0x07,0xDC,0x08,0x2E,0x08,0x56,0x08,0x6A,0x08,0x7C,0x08,0x7E,
	0x39,0,19,0xB3,0x00,0x00,0x01,0x88,0x04,0x99,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBE,0x04,0xD2,
	0x39,0,19,0xB4,0x04,0xF2,0x05,0x1A,0x05,0x43,0x05,0x6C,0x05,0xB9,0x06,0x02,0x06,0x3E,0x06,0x77,0x06,0xAC,
	0x39,0,15,0xB5,0x06,0xDB,0x07,0x31,0x07,0x7A,0x07,0x9E,0x07,0xB0,0x07,0xC1,0x07,0xC3,
	0x39,0,19,0xB6,0x00,0x00,0x01,0x74,0x04,0x5B,0x04,0x88,0x04,0x96,0x04,0xB1,0x04,0xCC,0x04,0xFC,0x05,0x32,
	0x39,0,19,0xB7,0x05,0x6D,0x05,0xAA,0x05,0xE1,0x06,0x17,0x06,0x7B,0x06,0xD5,0x07,0x22,0x07,0x6B,0x07,0xAF,
	0x39,0,15,0xB8,0x07,0xE9,0x08,0x57,0x08,0xB1,0x08,0xDE,0x08,0xF4,0x09,0x09,0x09,0x0B,
	0x39,0,2,0xCE,0x01,
	0x39,0,2,0xCC,0x00,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39,0,25,0xB9,0x00,0x04,0x00,0x0C,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x4C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,0x00,0xFC,
	0x39,0,25,0xBA,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x3C,0x02,0x7C,0x02,0xBC,0x02,0xFC,0x03,0x3C,0x03,0x7C,0x03,0xFC,0x03,0xFF,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x03,
	0x39,0,2,0x6F,0x1E,
	0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39,0,2,0x6F,0x24,
	0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39,0,2,0x6F,0x2A,
	0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39,0,2,0x6F,0x30,
	0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39,0,2,0x6F,0x36,
	0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39,0,6,0xB2,0x00,0x10,0x10,0x06,0x01,
	0x39,0,2,0x6F,0x05,
	0x39,0,13,0xB2,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,
	0x39,0,2,0x6F,0x11,
	0x39,0,9,0xB2,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,
	0x39,0,2,0x6F,0x19,
	0x39,0,2,0xB2,0x00,
	0x39,0,10,0xB4,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
	0x39,0,16,0xB6,0xB0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x0F,
	0x39,0,4,0xB6,0x1F,0x00,0x0A,
	0x39,0,2,0x6F,0x1A,
	0x39,0,4,0xB6,0x0F,0x00,0x0A,
	0x39,0,2,0x6F,0x25,
	0x39,0,4,0xB6,0x0F,0x00,0x0A,
	0x39,0,2,0x6F,0x30,
	0x39,0,4,0xB6,0x0F,0x00,0x0A,
	0x39,0,17,0xBB,0x11,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,
	0x39,0,17,0xBC,0x22,0x10,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x04,
	0x39,0,2,0xC2,0x14,
	0x39,0,2,0xB1,0x02,
	0x39,0,2,0xB2,0x40,
	0x39,0,2,0x6F,0x01,
	0x39,0,4,0xB2,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x04,
	0x39,0,4,0xB2,0x09,0xE3,0x40,
	0x39,0,2,0x6F,0x07,
	0x39,0,4,0xB2,0x09,0xE4,0x00,
	0x39,0,2,0x6F,0x0A,
	0x39,0,4,0xB2,0x09,0xE3,0x40,
	0x39,0,2,0xCB,0x86,
	0x39,0,6,0xD0,0x00,0x00,0x00,0x10,0x01,
	0x39,0,2,0x6F,0x01,
	0x39,0,6,0xCB,0x05,0x10,0x1F,0x3E,0x7C,
	0x39,0,2,0x6F,0x06,
	0x39,0,11,0xCB,0x00,0x08,0x00,0x62,0x01,0x47,0x07,0xFF,0x0F,0xFF,
	0x39,0,2,0x6F,0x00,
	0x39,0,6,0xD2,0x40,0x20,0x18,0x12,0x0A,
	0x39,0,2,0x6F,0x05,
	0x39,0,6,0xD2,0x40,0x20,0x18,0x0C,0x0B,
	0x39,0,2,0x6F,0x0A,
	0x39,0,6,0xD2,0x40,0x20,0x18,0x0F,0x0B,
	0x39,0,2,0x6F,0x0F,
	0x39,0,6,0xD2,0x40,0x10,0x14,0x10,0x0E,
	0x39,0,2,0x6F,0x14,
	0x39,0,6,0xD2,0x2F,0x20,0x20,0x10,0x12,
	0x39,0,2,0x6F,0x19,
	0x39,0,6,0xD2,0x80,0x30,0x15,0x10,0x0D,
	0x39,0,2,0x6F,0x1E,
	0x39,0,6,0xD2,0x80,0x30,0x28,0x10,0x08,
	0x39,0,2,0x6F,0x23,
	0x39,0,6,0xD2,0x80,0x20,0x18,0x0A,0x0A,
	0x39,0,2,0x6F,0x28,
	0x39,0,6,0xD2,0x68,0x20,0x1A,0x10,0x12,
	0x39,0,2,0x6F,0x2D,
	0x39,0,6,0xD2,0x60,0x20,0x20,0x10,0x1A,
	0x39,0,2,0x6F,0x32,
	0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0A,
	0x39,0,2,0x6F,0x37,
	0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0A,
	0x39,0,2,0x6F,0x3C,
	0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x08,
	0x39,0,2,0x6F,0x41,
	0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0D,
	0x39,0,2,0x6F,0x46,
	0x39,0,6,0xD2,0x2F,0x20,0x20,0x10,0x10,
	0x39,0,2,0x6F,0x00,
	0x39,0,6,0xD4,0x40,0x30,0x18,0x0A,0x09,
	0x39,0,2,0x6F,0x05,
	0x39,0,6,0xD4,0x40,0x28,0x22,0x0A,0x08,
	0x39,0,2,0x6F,0x0A,
	0x39,0,6,0xD4,0x40,0x20,0x10,0x10,0x06,
	0x39,0,2,0x6F,0x0F,
	0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04,
	0x39,0,2,0x6F,0x14,
	0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04,
	0x39,0,2,0x6F,0x19,
	0x39,0,6,0xD4,0x80,0x48,0x18,0x10,0x0D,
	0x39,0,2,0x6F,0x1E,
	0x39,0,6,0xD4,0x80,0x40,0x30,0x0D,0x10,
	0x39,0,2,0x6F,0x23,
	0x39,0,6,0xD4,0x80,0x30,0x20,0x14,0x0D,
	0x39,0,2,0x6F,0x28,
	0x39,0,6,0xD4,0xA8,0x28,0x20,0x10,0x0A,
	0x39,0,2,0x6F,0x2D,
	0x39,0,6,0xD4,0x60,0x28,0x20,0x10,0x08,
	0x39,0,2,0x6F,0x32,
	0x39,0,6,0xD4,0x40,0x30,0x18,0x0A,0x0A,
	0x39,0,2,0x6F,0x37,
	0x39,0,6,0xD4,0x40,0x28,0x20,0x0A,0x08,
	0x39,0,2,0x6F,0x3C,
	0x39,0,6,0xD4,0x40,0x20,0x10,0x10,0x06, 
	0x39,0,2,0x6F,0x41, 
	0x39,0,6,0xD4,0x20,0x20,0x10,0x10,0x04, 
	0x39,0,2,0x6F,0x46, 
	0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04, 
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x05, 
	0x39,0,3,0xC7,0x07,0x01, 
	0x39,0,4,0xB0,0x07,0x21,0x00,  
	0x39,0,3,0xB3,0x85,0x80, 
	0x39,0,3,0xB5,0x85,0x81, 
	0x39,0,5,0xB7,0x84,0x00,0x00,0x81, 
	0x39,0,5,0xB8,0x84,0x00,0x00,0x81, 
	0x39,0,5,0xB9,0x85,0x00,0x00,0x81, 
	0x39,0,4,0xD0,0x00,0x03,0x10, 
	0x39,0,5,0xE0,0x82,0x00,0x00,0x02,  
	0x39,0,4,0xD1,0x00,0x01,0x10, 
	0x39,0,5,0xE1,0x82,0x00,0x00,0x02, 
	0x39,0,3,0xEC,0x0D,0x01, 
	0x39,0,2,0x6F,0x02, 
	0x39,0,19,0xEC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, 
	0x39,0,2,0x6F,0x06, 
	0x39,0,3,0xEC,0x00,0xFF,
	0x39,0,2,0xCA,0x33,
	0x39,0,4,0xCB,0x33,0x33,0x33,
	0x39,0,2,0xD8,0x22,
	0x39,0,2,0xD9,0x01,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x06,
	0x39,0,6,0xB0,0x13,0x32,0x12,0x32,0x04,
	0x39,0,6,0xB1,0x32,0x31,0x0E,0x32,0x31,
	0x39,0,6,0xB2,0x32,0x00,0x32,0x31,0x32,
	0x39,0,2,0xB3,0x0F,
	0x39,0,6,0xB6,0x13,0x32,0x12,0x32,0x04,
	0x39,0,6,0xB7,0x32,0x31,0x0E,0x32,0x31,
	0x39,0,6,0xB8,0x32,0x00,0x32,0x31,0x32,
	0x39,0,2,0xB9,0x0F,
	0x39,0,2,0xD0,0x01,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x07,
	0x39,0,6,0xB0,0x84,0x40,0x78,0x70,0x00,
	0x39,0,7,0xB1,0x1C,0x0C,0x00,0x0C,0x1C,0x00,
	0x39,0,2,0xB2,0x20,
	0x39,0,2,0x6F,0x36,
	0x39,0,2,0xB2,0x32,
	0x39,0,2,0x6F,0x3F,
	0x39,0,2,0xB2,0x04,
	0x39,0,2,0x6F,0x09,
	0x39,0,2,0xB2,0x20,
	0x39,0,2,0x6F,0x48,
	0x39,0,2,0xB2,0x32,
	0x39,0,2,0x6F,0x51,
	0x39,0,2,0xB2,0x04,
	0x39,0,2,0x6F,0x12,
	0x39,0,2,0xB2,0xF0,
	0x39,0,2,0x6F,0x5A,
	0x39,0,2,0xB2,0x03,
	0x39,0,2,0x6F,0x63,
	0x39,0,2,0xB2,0x9B,
	0x39,0,2,0x6F,0x1B,
	0x39,0,2,0xB2,0x20,
	0x39,0,2,0x6F,0x6C,
	0x39,0,2,0xB2,0x32,
	0x39,0,2,0x6F,0x75,
	0x39,0,2,0xB2,0x04,
	0x39,0,2,0x6F,0x24,
	0x39,0,2,0xB2,0x20,
	0x39,0,2,0x6F,0x7E,
	0x39,0,2,0xB2,0x32,
	0x39,0,2,0x6F,0x87,
	0x39,0,2,0xB2,0x04,
	0x39,0,2,0x6F,0x2D,
	0x39,0,2,0xB2,0xCC,
	0x39,0,2,0x6F,0x90,
	0x39,0,2,0xB2,0x03,
	0x39,0,2,0x6F,0x99,
	0x39,0,2,0xB2,0x3A,
	0x39,0,2,0xB4,0xC0,
	0x39,0,3,0xB7,0x00,0x00,
	0x39,0,6,0xC0,0x01,0x01,0x00,0x00,0x55,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC1,0x30,0x0F,0x0A,0xF9,0x1E,0x40,0xDB,0x90,0x3F,0xF3,0xD3,0xC4,0x7F,0xE9,0x6E,0x2C,0x00,0x03,0x60,0x44,0xA4,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC1,0x00,0x18,0x00,0x00,0xA6,0x35,0x33,0x30,0x1D,0x66,0x0F,0xCB,0x72,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC1,0x00,0x10,0x30,0x00,0x17,0x35,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC2,0x38,0x0F,0x02,0x71,0x02,0x11,0xFB,0x82,0x3F,0xFB,0x9C,0x6A,0xFF,0xFE,0x3D,0x86,0x00,0x00,0x5F,0xE6,0xF9,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC2,0x00,0x00,0x36,0x00,0x17,0xA3,0x33,0xD0,0x09,0xCB,0x0F,0x93,0xE9,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC2,0x90,0x10,0x2A,0x90,0x13,0x35,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC3,0x3C,0x00,0x0A,0xF9,0x22,0x84,0x26,0xEC,0x3F,0xEB,0x6D,0x20,0x00,0x0A,0x17,0xC0,0x80,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC3,0x90,0x14,0x2A,0x90,0xA6,0x5F,0x33,0x10,0x00,0x00,0x0C,0xCB,0x92,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC3,0x94,0x24,0x2A,0x94,0x2B,0x35,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC4,0x3C,0x00,0x02,0x40,0x01,0x69,0x03,0x90,0x3F,0xFA,0xCB,0x54,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC4,0x80,0x00,0xBB,0x90,0x13,0x29,0x33,0xE0,0x00,0x00,0x0C,0x92,0x13,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC4,0x04,0x20,0x30,0x04,0x27,0x35,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC5,0x2A,0x0F,0x0A,0xF9,0x22,0x84,0xD9,0x14,0x00,0x08,0x0E,0xDC,0x00,0x20,0x4A,0x58,0xFF,0xF7,0xD5,0xE1,0x64,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC5,0x93,0x91,0x2A,0x94,0x23,0x5F,0x33,0x1F,0xE1,0xC6,0x00,0x35,0x92,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC6,0x2A,0x0F,0x02,0x11,0x01,0x69,0xFC,0x96,0x00,0x04,0xBE,0xAA,0xC0,0x00,0x40,0xDE,0x7F,0xFF,0xA2,0xEF,0x69,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC6,0x84,0x24,0xBC,0x94,0x37,0x29,0x33,0xDF,0xF7,0xE9,0x00,0x6D,0x13,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC7,0x26,0x00,0x0A,0xF9,0x1E,0x40,0x24,0x70,0x00,0x00,0x00,0x00,0x7F,0xD5,0x38,0x0C,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC7,0x03,0x91,0x00,0x04,0x1F,0x35,0x33,0x30,0x00,0x00,0x03,0x35,0x72,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC8,0x2E,0x00,0x02,0x71,0x02,0x11,0x04,0x7E,0x00,0x03,0xF3,0x48,0xFF,0xFD,0xD6,0x34,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC8,0x04,0x20,0x36,0x04,0x37,0xA3,0x33,0xD0,0x00,0x00,0x03,0x6D,0xE9,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC9,0x21,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x3F,0xE0,0x8E,0xC6,0x80,0x06,0x33,0xD5,0xF1,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC9,0x00,0x16,0x13,0x00,0x7B,0x78,0x33,0xD0,0x27,0xD9,0x0F,0x9B,0x9B,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCA,0x27,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCA,0x00,0x7C,0x13,0x00,0xE1,0x78,0x33,0xD0,0x00,0x00,0x03,0x65,0x9B,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCB,0x2D,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCB,0x00,0x16,0x79,0x00,0x7B,0xDE,0x33,0x70,0x00,0x00,0x0C,0x9B,0x65,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCC,0x2B,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xCC,0x2A,0x0F,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCC,0x00,0x7C,0x79,0x00,0xE1,0xDE,0x33,0x7F,0xD8,0x27,0x00,0x65,0x65,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCD,0x21,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x3F,0xFF,0x1E,0xC4,0x00,0x00,0x0D,0x32,0x84,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCD,0x01,0xFC,0x17,0x02,0x1B,0x35,0x33,0x90,0x03,0xA2,0x0F,0xE2,0xE1,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCD,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCE,0x2D,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCE,0x01,0xFC,0x36,0x02,0x1B,0x54,0x33,0x40,0x00,0x00,0x0C,0xE2,0x1F,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCF,0x27,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x3A,0xE4,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCF,0x02,0x1C,0x17,0x02,0x39,0x35,0x33,0x80,0x00,0x00,0x03,0x1E,0xE3,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD0,0x2B,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xF4,0x73,0x5C,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD0,0x02,0x1C,0x36,0x02,0x39,0x54,0x33,0x5F,0xFC,0x9A,0x00,0x1E,0x1D,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x07,
	0x39,0,6,0xC0,0x01,0x01,0x00,0x00,0x55,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xC9,0x21,0x00,0x29,0x71,0x29,0x71,0x00,0x00,0x3F,0xDE,0xA7,0x12,0x3F,0xDE,0xA7,0x12,0x80,0x06,0xB5,0x63,0xE1,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xC9,0x81,0xB5,0x0D,0x82,0x1C,0x74,0x33,0xE0,0x29,0x71,0x0F,0x99,0x99,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCA,0x27,0x00,0x29,0x71,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xDF,0xEF,0x62,0x80,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCA,0x82,0x1D,0x0D,0x82,0x82,0x74,0x33,0xD0,0x00,0x00,0x03,0x67,0x9B,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCB,0x2D,0x00,0x28,0xA4,0x29,0x71,0x00,0x00,0x3F,0xDF,0x4C,0x08,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCB,0x81,0xB5,0x75,0x82,0x1C,0xDB,0x33,0x70,0x00,0x00,0x0C,0x9A,0x67,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0x6F,0x00,
	0x39,0,22,0xCC,0x2B,0x00,0x28,0xA4,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xAC,0x90,0xFC,
	0x39,0,2,0x6F,0x15,
	0x39,0,16,0xCC,0x82,0x1D,0x75,0x82,0x82,0xDB,0x33,0x8F,0xD7,0xC2,0x00,0x66,0x65,0x00,0x00,
	0x39,0,2,0x6F,0x24,
	0x39,0,8,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39,0,2,0xD9,0x40,
	0x39,0,5,0x3B,0x00,0x14,0x09,0xAC,   //Leo
	0x39,0,2,0x03,0x00,
	0x39,0,2,0x90,0x02,
	0x39,0,19,0x91,0x89,0x28,0x00,0x0C,0xC2,0x00,0x03,0x1C,0x01,0x7E,0x00,0x0F,0x08,0xBB,0x04,0x3D,0x10,0xF0,
	0x39,0,1,0x2C,
	0x39,0,5,0x51,0x07,0xFF,0x0F,0xFF,
	0x39,0,5,0xFF,0xAA,0x55,0xA5,0x80,
	0x39,0,2,0x6F,0x1D,
	0x39,0,2,0xF2,0x05,
	0x39,0,2,0x53,0x20,
	0x39,0,1,0x35,
	0x39,0,5,0x2A,0x00,0x00,0x04,0x37,
	0x39,0,5,0x2B,0x00,0x00,0x09,0x5F,
	0x39,0,2,0x2F,0x01,
	0x39,0,2,0x26,0x04,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39,0,2,0xC0,0x65,
	0x39,0,5,0x3B,0x00,0x10,0x00,0x20,    //Leo
	0x39,0,2,0x90,0x00,
	0x39,0,1,0x2C,
	0x39,0,3,0x51,0x03,0x00,
	0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39,0,3,0xB5,0x94,0x42,
	0x39,0,2,0x6F,0x05,
	0x39,0,5,0xB5,0x7F,0x2B,0x12,0x33,
	0x39,0,2,0x6F,0x0B,
	0x39,0,4,0xB5,0x2B,0x1A,0x33,
#endif

#if 0   //SU2_video - 303315
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
0x39,0,9,0xBA,0x01,0xAF,0x00,0x14,0x09,0xAC,0x00,0x01,
0x39,0,2,0x6F,0x08,
0x39,0,9,0xBA,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x00,
0x39,0,2,0x6F,0x10,
0x39,0,8,0xBA,0x01,0xAF,0x00,0x14,0x03,0x4C,0x00,
0x39,0,9,0xBB,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x41,
0x39,0,2,0x6F,0x06,
0x39,0,4,0xB5,0x2B,0x1C,0x32,
0x39,0,2,0x6F,0x0B,
0x39,0,4,0xB5,0x33,0x2B,0x23,
0x39,0,2,0x6F,0x10,
0x39,0,6,0xB5,0x1C,0x1C,0x1C,0x1C,0x1C,
0x39,0,3,0xB5,0x86,0x02,
0x39,0,2,0x6F,0x02,
0x39,0,14,0xB6,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,
0x39,0,14,0xB7,0x00,0xFE,0xDC,0xBA,0x98,0x76,0x54,0x32,0x10,0x00,0x00,0x00,0x05,
0x39,0,2,0x6F,0x0D,
0x39,0,7,0xB7,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x13,
0x39,0,13,0xB7,0x17,0x89,0x9A,0xAB,0xBC,0xCD,0xDE,0xEF,0xFF,0xFF,0xFF,0xFF,
0x39,0,2,0x6F,0x1F,
0x39,0,25,0xB7,0x47,0xFF,0x88,0x10,0x99,0x21,0xAA,0x32,0xBB,0x43,0xCC,0x54,0xDD,0x65,0xEE,0x76,0xB0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x39,0,5,0xB2,0x18,0x63,0x08,0x08,
0x39,0,2,0x6F,0x09,
0x39,0,2,0xB2,0x40,
0x39,0,2,0x6F,0x0F,
//0x39,0,9,0xB2,0x30,0x20,0x81,0x46,0x21,0x46,0x20,0x00,
0x39,0,9,0xB2,0x30,0x20,0x80,0x00,0x21,0x46,0x20,0x00,
0x39,0,13,0xB3,0x00,0x08,0x00,0x18,0x00,0x18,0x00,0x31,0x00,0x31,0x00,0x62,
0x39,0,2,0x6F,0x0C,
0x39,0,13,0xB3,0x00,0x62,0x00,0xC0,0x00,0xC0,0x01,0x46,0x01,0x46,0x01,0x47,
0x39,0,2,0x6F,0x18,
0x39,0,13,0xB3,0x01,0x47,0x03,0x33,0x03,0x33,0x07,0xFF,0x07,0xFF,0x0F,0xFF,
0x39,0,2,0x6F,0x24,
0x39,0,9,0xB3,0x01,0x55,0x08,0xCC,0x08,0xCC,0x0F,0xFF,
0x39,0,2,0x6F,0x2C,

//0x39,0,15,0xB3,0x09,0x90,0x08,0xE0,0x08,0x70,0x08,0x70,0x07,0xC0,0x07,0xC0,0x06,0x6C,
//0x39,0,2,0x6F,0x3A,
//0x39,0,13,0xB3,0x06,0x6C,0x03,0xDC,0x03,0xDC,0x00,0x34,0x00,0x34,0x00,0x30,
//0x39,0,2,0x6F,0x46,
//0x39,0,13,0xB3,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
//0x39,0,15,0xB4,0x13,0x20,0x11,0xC0,0x10,0xE0,0x10,0xE0,0x0F,0x80,0x0F,0x80,0x0C,0xD8,
//0x39,0,2,0x6F,0x0E,
//0x39,0,13,0xB4,0x0C,0xD8,0x07,0xB8,0x07,0xB8,0x00,0x68,0x00,0x68,0x00,0x60,
//0x39,0,2,0x6F,0x1A,
//0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
//0x39,0,2,0x6F,0x30,
//0x39,0,15,0xB4,0x0C,0xBC,0x0B,0xD8,0x0B,0x40,0x0B,0x40,0x0A,0x54,0x0A,0x54,0x08,0x90,
//0x39,0,2,0x6F,0x3E,
//0x39,0,13,0xB4,0x08,0x90,0x05,0x24,0x05,0x24,0x00,0x44,0x00,0x44,0x00,0x40,
//0x39,0,2,0x6F,0x4A,
//0x39,0,13,0xB4,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,

0x39,0,15,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x3A,
0x39,0,13,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x46,
0x39,0,13,0xB3,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,15,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x0E,
0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x1A,
0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x30,
0x39,0,15,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x3E,
0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
0x39,0,2,0x6F,0x4A,
0x39,0,13,0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,

0x39,0,2,0x6F,0x26,
0x39,0,11,0xB4,0x09,0x90,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
0x39,0,3,0xB9,0x00,0x96,
0x39,0,3,0xBD,0x04,0xB0,
//0x39,0,4,0xC0,0x45,0xF3,0xC1,
0x39,0,4,0xC0,0x46,0xF3,0xC1,
0x39,0,2,0x6F,0x08,
0x39,0,2,0xC0,0x40,
0x39,0,2,0x6F,0x09,
0x39,0,3,0xC0,0x20,0x81,
0x39,0,2,0x6F,0x02,
0x39,0,2,0xC1,0x24,
0x39,0,2,0x6F,0x02,
0x39,0,9,0xC1,0x24,0x57,0x00,0x57,0x00,0x57,0x00,0x57,
0x39,0,2,0x6F,0x0A,
0x39,0,3,0xC1,0x00,0x57,
0x39,0,2,0x6F,0x01,
0x39,0,2,0xC3,0x00,
0x39,0,2,0x6F,0x08,
0x39,0,2,0xC3,0x00,
0x39,0,2,0xC5,0x10,
0x39,0,2,0xC8,0x0D,
0x39,0,2,0xC9,0x84,
0x39,0,5,0xCA,0x12,0x00,0x82,0xBC,
0x39,0,2,0xCB,0x88,
0x39,0,2,0x6F,0x02,
0x39,0,3,0xEC,0x80,0x10,
0x39,0,2,0xB9,0x00,
0x39,0,5,0xBE,0x0E,0x0B,0x14,0x13,
0x39,0,2,0x6F,0x05,
0x39,0,2,0xBE,0x8A,
0x39,0,2,0x6F,0x29,
0x39,0,2,0xD9,0x00,
0x39,0,2,0x6F,0x01,
0x39,0,2,0xD9,0x80,
0x39,0,2,0x6F,0x07,
0x39,0,3,0xB2,0x07,0xFF,
0x39,0,2,0x6F,0x17,
0x39,0,3,0xB2,0x07,0xFF,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
0x39,0,2,0x6F,0x2A,
0x39,0,2,0xD9,0x43,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x01,
0x39,0,11,0xB5,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,
0x39,0,11,0xB6,0x01,0x48,0x00,0xC0,0x00,0xC0,0x01,0x48,0x00,0xC0,
0x39,0,3,0xB0,0x04,0x04,
0x39,0,3,0xB3,0x13,0x13,
0x39,0,7,0xB7,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,
0x39,0,3,0xB1,0x08,0x08,
0x39,0,3,0xB4,0x13,0x13,
0x39,0,7,0xB8,0x46,0x46,0x46,0x46,0x46,0x46,
0x39,0,29,0xB9,0x00,0x1F,0x00,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x1F,0x1F,0x1F,0x00,0x00,0x00,0x00,0x00,
0x39,0,5,0xBA,0x10,0x10,0x10,0x10,
0x39,0,13,0xC2,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,
0x39,0,2,0xBB,0x03,
0x39,0,2,0x6F,0x05,
0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
0x39,0,2,0x6F,0x18,
0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
0x39,0,2,0x6F,0x2B,
0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
0x39,0,2,0x6F,0x3E,
0x39,0,20,0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
0x39,0,3,0xC4,0x80,0x03,
0x39,0,3,0xCD,0x05,0x81,
0x39,0,2,0xC7,0x01,
0x39,0,2,0xCF,0x5C,
0x39,0,6,0xCE,0x00,0x00,0x01,0x00,0x04,
0x39,0,2,0x6F,0x01,
0x39,0,4,0xD2,0x00,0x00,0x11,
0x39,0,2,0x6F,0x06,
0x39,0,2,0xD2,0x05,
0x39,0,2,0x6F,0x0F,
0x39,0,2,0xD2,0x00,
0x39,0,2,0x6F,0x09,
0x39,0,2,0xD2,0x00,
0x39,0,2,0x6F,0x10,
0x39,0,2,0xD8,0x0C,
0x39,0,2,0xD1,0x07,
0x39,0,2,0x6F,0x02,
0x39,0,2,0xD1,0x06,
0x39,0,2,0x6F,0x05,
0x39,0,2,0xD1,0x06,
0x39,0,3,0xD6,0x00,0x20,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
0x39,0,25,0xB9,0x00,0x04,0x00,0x0C,0x00,0x14,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x4C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,
0x39,0,25,0xBA,0x00,0xFC,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x7C,0x02,0xFC,0x03,0x7C,0x03,0xBC,0x03,0xDC,0x03,0xFC,0x03,0xFF,
0x39,0,2,0xBC,0x11,
0x39,0,17,0xBD,0x96,0x00,0x69,0x00,0x00,0x96,0x00,0x69,0xBB,0x44,0x44,0xBB,0xEE,0x11,0x11,0xEE,
0x39,0,2,0xC1,0x02,
0x39,0,9,0xC2,0x91,0x00,0x19,0x00,0x91,0x00,0x19,0x00,
0x39,0,3,0xC0,0x00,0x00,
0x39,0,2,0x6F,0x02,
0x39,0,2,0xBF,0x13,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
0x39,0,2,0xCC,0x30,
0x39,0,2,0xBF,0x29,
0x39,0,19,0xB0,0x00,0x00,0x00,0xF0,0x01,0x31,0x01,0xAD,0x02,0x1E,0x02,0x9B,0x02,0xF4,0x03,0x33,0x03,0xAE,
0x39,0,19,0xB1,0x04,0x27,0x04,0x80,0x04,0xDE,0x05,0x3C,0x05,0xCB,0x06,0x4C,0x06,0xCD,0x07,0x39,0x07,0xA4,
0x39,0,15,0xB2,0x08,0x0E,0x08,0x77,0x08,0xDB,0x09,0x43,0x09,0xAB,0x0A,0x8F,0x0A,0x92,
0x39,0,19,0xB3,0x00,0x00,0x00,0xAE,0x00,0xE6,0x01,0x51,0x01,0xBB,0x02,0x27,0x02,0x79,0x02,0xB2,0x03,0x24,
0x39,0,19,0xB4,0x03,0x96,0x03,0xE5,0x04,0x34,0x04,0x83,0x05,0x01,0x05,0x72,0x05,0xE4,0x06,0x44,0x06,0xA3,
0x39,0,15,0xB5,0x07,0x02,0x07,0x57,0x07,0xAC,0x08,0x02,0x08,0x58,0x09,0x09,0x09,0x0D,
0x39,0,19,0xB6,0x00,0x00,0x00,0xC8,0x01,0x1A,0x01,0xB8,0x02,0x4C,0x02,0xE0,0x03,0x4D,0x03,0x96,0x04,0x23,
0x39,0,19,0xB7,0x04,0xAC,0x05,0x0C,0x05,0x6C,0x05,0xCC,0x06,0x61,0x06,0xE9,0x07,0x71,0x07,0xE4,0x08,0x56,
0x39,0,15,0xB8,0x08,0xC8,0x09,0x39,0x09,0xAA,0x0A,0x1F,0x0A,0x94,0x0B,0x92,0x0B,0x97,
0x39,0,2,0xBF,0x28,
0x39,0,19,0xB0,0x00,0x00,0x01,0x2D,0x01,0x53,0x01,0xD0,0x02,0x44,0x02,0x8E,0x02,0xD4,0x03,0x1A,0x03,0xA6,
0x39,0,19,0xB1,0x04,0x13,0x04,0x6F,0x04,0xBE,0x05,0x0D,0x05,0x90,0x06,0x05,0x06,0x75,0x06,0xDD,0x07,0x45,
0x39,0,15,0xB2,0x07,0xA2,0x07,0xFF,0x08,0x5C,0x08,0xB9,0x09,0x1A,0x09,0xF6,0x09,0xFD,
0x39,0,19,0xB3,0x00,0x00,0x01,0x17,0x01,0x2E,0x01,0x75,0x01,0xD6,0x02,0x17,0x02,0x58,0x02,0x99,0x03,0x13,
0x39,0,19,0xB4,0x03,0x75,0x03,0xC8,0x04,0x0E,0x04,0x54,0x04,0xCB,0x05,0x34,0x05,0x98,0x05,0xF3,0x06,0x4E,
0x39,0,15,0xB5,0x06,0x9E,0x06,0xEE,0x07,0x3E,0x07,0x8E,0x07,0xE0,0x08,0x9E,0x08,0xA0,
0x39,0,19,0xB6,0x00,0x00,0x01,0x2D,0x01,0x55,0x01,0xD5,0x02,0x65,0x02,0xC3,0x03,0x1A,0x03,0x6C,0x04,0x11,
0x39,0,19,0xB7,0x04,0x8E,0x04,0xEE,0x05,0x41,0x05,0x94,0x06,0x24,0x06,0xA6,0x07,0x1D,0x07,0x8B,0x07,0xF9,
0x39,0,15,0xB8,0x08,0x5C,0x08,0xBF,0x09,0x22,0x09,0x85,0x09,0xF0,0x0A,0xFB,0x0B,0x03,
0x39,0,2,0xBF,0x27,
0x39,0,19,0xB0,0x00,0x00,0x01,0x24,0x01,0x2E,0x01,0x85,0x01,0xD7,0x02,0x24,0x02,0x5F,0x02,0x91,0x02,0xED,
0x39,0,19,0xB1,0x03,0x4A,0x03,0xA6,0x03,0xED,0x04,0x1F,0x04,0x8E,0x05,0x09,0x05,0x60,0x05,0xB3,0x06,0x00,
0x39,0,15,0xB2,0x06,0x4A,0x06,0x92,0x06,0xD6,0x07,0x1A,0x07,0x5A,0x07,0xD7,0x07,0xDA,
0x39,0,19,0xB3,0x00,0x00,0x01,0x08,0x01,0x28,0x01,0x4B,0x01,0x7B,0x01,0xBB,0x01,0xEE,0x02,0x1A,0x02,0x6F,
0x39,0,19,0xB4,0x02,0xC2,0x03,0x13,0x03,0x52,0x03,0x7E,0x03,0xDF,0x04,0x51,0x04,0xA0,0x04,0xEA,0x05,0x2F,
0x39,0,15,0xB5,0x05,0x71,0x05,0xB1,0x05,0xED,0x06,0x28,0x06,0x60,0x06,0xCC,0x06,0xCE,
0x39,0,19,0xB6,0x00,0x00,0x01,0x36,0x01,0x41,0x01,0x89,0x01,0xDE,0x02,0x3D,0x02,0x89,0x02,0xC7,0x03,0x38,
0x39,0,19,0xB7,0x03,0xA4,0x04,0x11,0x04,0x60,0x04,0x98,0x05,0x10,0x05,0x90,0x05,0xF0,0x06,0x4A,0x06,0xA0,
0x39,0,15,0xB8,0x06,0xEF,0x07,0x3B,0x07,0x84,0x07,0xCB,0x08,0x10,0x08,0x95,0x08,0x98,
0x39,0,2,0xBF,0x26,
0x39,0,19,0xB0,0x00,0x00,0x01,0x22,0x01,0x2D,0x01,0x51,0x01,0x8A,0x01,0xC2,0x01,0xF4,0x02,0x26,0x02,0x6E,
0x39,0,19,0xB1,0x02,0xAF,0x02,0xED,0x03,0x28,0x03,0x65,0x03,0xCC,0x04,0x1D,0x04,0x65,0x04,0xB2,0x04,0xFD,
0x39,0,15,0xB2,0x05,0x3A,0x05,0x72,0x05,0xAB,0x05,0xE0,0x06,0x12,0x06,0x73,0x06,0x75,
0x39,0,19,0xB3,0x00,0x00,0x01,0x03,0x01,0x1A,0x01,0x39,0x01,0x4E,0x01,0x6B,0x01,0x92,0x01,0xBD,0x01,0xFE,
0x39,0,19,0xB4,0x02,0x37,0x02,0x6F,0x02,0xA4,0x02,0xDB,0x03,0x34,0x03,0x7C,0x03,0xBC,0x04,0x01,0x04,0x47,
0x39,0,15,0xB5,0x04,0x7D,0x04,0xB0,0x04,0xE3,0x05,0x13,0x05,0x3F,0x05,0x95,0x05,0x97,
0x39,0,19,0xB6,0x00,0x00,0x01,0x33,0x01,0x3F,0x01,0x5E,0x01,0x8E,0x01,0xC6,0x02,0x02,0x02,0x40,0x02,0x9F,
0x39,0,19,0xB7,0x02,0xED,0x03,0x38,0x03,0x7F,0x03,0xC6,0x04,0x3C,0x04,0x95,0x04,0xE4,0x05,0x36,0x05,0x85,
0x39,0,15,0xB8,0x05,0xC7,0x06,0x04,0x06,0x42,0x06,0x7D,0x06,0xB4,0x07,0x1A,0x07,0x1C,
0x39,0,2,0xBF,0x25,
0x39,0,19,0xB0,0x00,0x00,0x01,0x22,0x01,0x2D,0x01,0x51,0x01,0x8A,0x01,0xC2,0x01,0xF4,0x02,0x24,0x02,0x6E,
0x39,0,19,0xB1,0x02,0xAE,0x02,0xEC,0x03,0x27,0x03,0x64,0x03,0xCB,0x04,0x1C,0x04,0x64,0x04,0xB1,0x04,0xFC,
0x39,0,15,0xB2,0x05,0x39,0x05,0x71,0x05,0xAA,0x05,0xDF,0x06,0x11,0x06,0x72,0x06,0x74,
0x39,0,19,0xB3,0x00,0x00,0x01,0x03,0x01,0x1A,0x01,0x39,0x01,0x4E,0x01,0x6B,0x01,0x92,0x01,0xBC,0x01,0xFE,
0x39,0,19,0xB4,0x02,0x37,0x02,0x6E,0x02,0xA3,0x02,0xDA,0x03,0x33,0x03,0x7B,0x03,0xBB,0x04,0x00,0x04,0x46,
0x39,0,15,0xB5,0x04,0x7C,0x04,0xAF,0x04,0xE2,0x05,0x12,0x05,0x3E,0x05,0x94,0x05,0x96,
0x39,0,19,0xB6,0x00,0x00,0x01,0x32,0x01,0x3F,0x01,0x5E,0x01,0x8E,0x01,0xC6,0x02,0x02,0x02,0x3E,0x02,0x9E,
0x39,0,19,0xB7,0x02,0xEC,0x03,0x37,0x03,0x7E,0x03,0xC5,0x04,0x3B,0x04,0x94,0x04,0xE3,0x05,0x35,0x05,0x84,
0x39,0,15,0xB8,0x05,0xC6,0x06,0x03,0x06,0x41,0x06,0x7C,0x06,0xB3,0x07,0x19,0x07,0x1B,
0x39,0,2,0xBF,0x24,
0x39,0,19,0xB0,0x00,0x00,0x01,0x20,0x01,0x29,0x01,0x44,0x01,0x69,0x01,0x95,0x01,0xC1,0x01,0xE9,0x02,0x2F,
0x39,0,19,0xB1,0x02,0x6A,0x02,0x9D,0x02,0xCF,0x02,0xFF,0x03,0x5E,0x03,0xAF,0x03,0xF5,0x04,0x32,0x04,0x6D,
0x39,0,15,0xB2,0x04,0xA8,0x04,0xE3,0x05,0x18,0x05,0x47,0x05,0x73,0x05,0xC9,0x05,0xCB,
0x39,0,19,0xB3,0x00,0x00,0x00,0xF4,0x01,0x13,0x01,0x2D,0x01,0x42,0x01,0x54,0x01,0x6B,0x01,0x89,0x01,0xC7,
0x39,0,19,0xB4,0x01,0xFB,0x02,0x27,0x02,0x54,0x02,0x7F,0x02,0xD4,0x03,0x1B,0x03,0x59,0x03,0x90,0x03,0xC5,
0x39,0,15,0xB5,0x03,0xF8,0x04,0x2F,0x04,0x5F,0x04,0x88,0x04,0xB1,0x04,0xFE,0x05,0x00,
0x39,0,19,0xB6,0x00,0x00,0x01,0x2D,0x01,0x3B,0x01,0x4F,0x01,0x72,0x01,0x99,0x01,0xC5,0x01,0xF5,0x02,0x4F,
0x39,0,19,0xB7,0x02,0x9A,0x02,0xD8,0x03,0x14,0x03,0x4F,0x03,0xBE,0x04,0x1C,0x04,0x69,0x04,0xAC,0x04,0xED,
0x39,0,15,0xB8,0x05,0x2B,0x05,0x6A,0x05,0xA2,0x05,0xD5,0x06,0x05,0x06,0x64,0x06,0x66,
0x39,0,2,0xBF,0x23,
0x39,0,19,0xB0,0x00,0x00,0x01,0x1F,0x01,0x2A,0x01,0x38,0x01,0x4E,0x01,0x6A,0x01,0x8A,0x01,0xAA,0x01,0xE7,
0x39,0,19,0xB1,0x02,0x1B,0x02,0x4A,0x02,0x74,0x02,0x99,0x02,0xE2,0x03,0x29,0x03,0x6A,0x03,0xA8,0x03,0xDC,
0x39,0,15,0xB2,0x04,0x0C,0x04,0x3E,0x04,0x6B,0x04,0x9A,0x04,0xBC,0x05,0x0E,0x05,0x0F,
0x39,0,19,0xB3,0x00,0x00,0x00,0xEE,0x01,0x09,0x01,0x21,0x01,0x33,0x01,0x42,0x01,0x4F,0x01,0x5F,0x01,0x88,
0x39,0,19,0xB4,0x01,0xB5,0x01,0xDF,0x02,0x03,0x02,0x24,0x02,0x65,0x02,0xA4,0x02,0xE0,0x03,0x15,0x03,0x43,
0x39,0,15,0xB5,0x03,0x6E,0x03,0x9A,0x03,0xC3,0x03,0xE9,0x04,0x11,0x04,0x56,0x04,0x57,
0x39,0,19,0xB6,0x00,0x00,0x01,0x2D,0x01,0x3A,0x01,0x46,0x01,0x59,0x01,0x73,0x01,0x8F,0x01,0xAE,0x01,0xF3,
0x39,0,19,0xB7,0x02,0x36,0x02,0x71,0x02,0xA6,0x02,0xD4,0x03,0x2C,0x03,0x80,0x03,0xCE,0x04,0x14,0x04,0x4E,
0x39,0,15,0xB8,0x04,0x83,0x04,0xB9,0x04,0xEA,0x05,0x1C,0x05,0x4B,0x05,0x97,0x05,0x99,
0x39,0,2,0xBF,0x22,
0x39,0,19,0xB0,0x00,0x00,0x01,0x1E,0x01,0x26,0x01,0x33,0x01,0x37,0x01,0x4E,0x01,0x62,0x01,0x78,0x01,0xA7,
0x39,0,19,0xB1,0x01,0xD5,0x01,0xFC,0x02,0x22,0x02,0x44,0x02,0x80,0x02,0xB6,0x02,0xEB,0x03,0x1F,0x03,0x4F,
0x39,0,15,0xB2,0x03,0x7D,0x03,0xAA,0x03,0xD0,0x03,0xF4,0x04,0x1A,0x04,0x5D,0x04,0x5F,
0x39,0,19,0xB3,0x00,0x00,0x00,0xBE,0x00,0xFE,0x01,0x17,0x01,0x2A,0x01,0x33,0x01,0x3E,0x01,0x48,0x01,0x5D,
0x39,0,19,0xB4,0x01,0x7B,0x01,0x9A,0x01,0xBB,0x01,0xDA,0x02,0x0E,0x02,0x3E,0x02,0x6D,0x02,0x9B,0x02,0xC7,
0x39,0,15,0xB5,0x02,0xF1,0x03,0x17,0x03,0x39,0x03,0x59,0x03,0x79,0x03,0xB6,0x03,0xB8,
0x39,0,19,0xB6,0x00,0x00,0x01,0x29,0x01,0x35,0x01,0x42,0x01,0x46,0x01,0x59,0x01,0x6C,0x01,0x7F,0x01,0xAB,
0x39,0,19,0xB7,0x01,0xDD,0x02,0x0F,0x02,0x3E,0x02,0x69,0x02,0xB5,0x02,0xF7,0x03,0x37,0x03,0x74,0x03,0xAE,
0x39,0,15,0xB8,0x03,0xE4,0x04,0x17,0x04,0x41,0x04,0x69,0x04,0x92,0x04,0xDB,0x04,0xDD,
0x39,0,2,0xBF,0x21,
0x39,0,19,0xB0,0x00,0x00,0x01,0x1D,0x01,0x27,0x01,0x31,0x01,0x34,0x01,0x37,0x01,0x47,0x01,0x57,0x01,0x76,
0x39,0,19,0xB1,0x01,0x98,0x01,0xBD,0x01,0xDB,0x01,0xF7,0x02,0x2D,0x02,0x5C,0x02,0x87,0x02,0xAE,0x02,0xD9,
0x39,0,15,0xB2,0x02,0xFE,0x03,0x23,0x03,0x46,0x03,0x66,0x03,0x87,0x03,0xC4,0x03,0xC5,
0x39,0,19,0xB3,0x00,0x00,0x00,0x00,0x00,0xE6,0x01,0x0D,0x01,0x1C,0x01,0x2A,0x01,0x30,0x01,0x38,0x01,0x47,
0x39,0,19,0xB4,0x01,0x56,0x01,0x67,0x01,0x7F,0x01,0x95,0x01,0xC4,0x01,0xEC,0x02,0x14,0x02,0x37,0x02,0x5B,
0x39,0,15,0xB5,0x02,0x7D,0x02,0x9E,0x02,0xBE,0x02,0xDC,0x02,0xFA,0x03,0x2E,0x03,0x2F,
0x39,0,19,0xB6,0x00,0x00,0x01,0x28,0x01,0x34,0x01,0x40,0x01,0x43,0x01,0x46,0x01,0x54,0x01,0x61,0x01,0x7D,
0x39,0,19,0xB7,0x01,0x9D,0x01,0xC0,0x01,0xE4,0x02,0x09,0x02,0x4C,0x02,0x87,0x02,0xBD,0x02,0xED,0x03,0x20,
0x39,0,15,0xB8,0x03,0x4E,0x03,0x79,0x03,0xA3,0x03,0xC9,0x03,0xF0,0x04,0x34,0x04,0x35,
0x39,0,2,0xBF,0x20,
0x39,0,19,0xB0,0x00,0x00,0x01,0x19,0x01,0x21,0x01,0x2E,0x01,0x31,0x01,0x32,0x01,0x33,0x01,0x34,0x01,0x46,
0x39,0,19,0xB1,0x01,0x59,0x01,0x6C,0x01,0x80,0x01,0x95,0x01,0xC1,0x01,0xE3,0x02,0x02,0x02,0x25,0x02,0x43,
0x39,0,15,0xB2,0x02,0x5F,0x02,0x7A,0x02,0x93,0x02,0xAB,0x02,0xC6,0x02,0xF4,0x02,0xF5,
0x39,0,19,0xB3,0x00,0x00,0x00,0x00,0x00,0x5E,0x00,0xF4,0x01,0x0B,0x01,0x15,0x01,0x1E,0x01,0x26,0x01,0x30,
0x39,0,19,0xB4,0x01,0x38,0x01,0x42,0x01,0x4B,0x01,0x55,0x01,0x69,0x01,0x85,0x01,0x9E,0x01,0xBC,0x01,0xD6,
0x39,0,15,0xB5,0x01,0xEE,0x02,0x08,0x02,0x1E,0x02,0x33,0x02,0x4B,0x02,0x74,0x02,0x75,
0x39,0,19,0xB6,0x00,0x00,0x01,0x25,0x01,0x2D,0x01,0x3C,0x01,0x3F,0x01,0x40,0x01,0x41,0x01,0x42,0x01,0x53,
0x39,0,19,0xB7,0x01,0x62,0x01,0x74,0x01,0x87,0x01,0x9A,0x01,0xC4,0x01,0xEF,0x02,0x17,0x02,0x42,0x02,0x68,
0x39,0,15,0xB8,0x02,0x8B,0x02,0xAD,0x02,0xCC,0x02,0xE9,0x03,0x0A,0x03,0x42,0x03,0x43,
0x39,0,2,0xBF,0x39,
0x39,0,19,0xB0,0x00,0x00,0x01,0xFD,0x02,0x44,0x02,0x8C,0x02,0xC3,0x03,0x31,0x03,0x8D,0x04,0x28,0x04,0xA7,
0x39,0,19,0xB1,0x05,0x13,0x05,0x73,0x05,0xC5,0x06,0x17,0x06,0xA4,0x07,0x23,0x07,0x93,0x08,0x02,0x08,0x64,
0x39,0,15,0xB2,0x08,0xC1,0x09,0x78,0x0A,0x22,0x0A,0x76,0x0A,0x9D,0x0A,0xCC,0x0A,0xCC,
0x39,0,19,0xB3,0x00,0x00,0x01,0xE0,0x02,0x1E,0x02,0x45,0x02,0x77,0x02,0xDC,0x03,0x33,0x03,0xC1,0x04,0x31,
0x39,0,19,0xB4,0x04,0x92,0x04,0xE7,0x05,0x2F,0x05,0x77,0x05,0xF2,0x06,0x62,0x06,0xC3,0x07,0x23,0x07,0x76,
0x39,0,15,0xB5,0x07,0xC3,0x08,0x5B,0x08,0xE5,0x09,0x26,0x09,0x44,0x09,0x67,0x09,0x67,
0x39,0,19,0xB6,0x00,0x00,0x01,0xE6,0x02,0x41,0x02,0x8E,0x02,0xD4,0x03,0x61,0x03,0xD5,0x04,0x8A,0x05,0x16,
0x39,0,19,0xB7,0x05,0x8C,0x05,0xF4,0x06,0x4C,0x06,0xA3,0x07,0x39,0x07,0xC2,0x08,0x3C,0x08,0xB4,0x09,0x20,
0x39,0,15,0xB8,0x09,0x86,0x0A,0x51,0x0B,0x14,0x0B,0x72,0x0B,0xA0,0x0B,0xCC,0x0B,0xCC,
0x39,0,2,0xBF,0x38,
0x39,0,19,0xB0,0x00,0x00,0x02,0x73,0x02,0xA1,0x02,0xCF,0x02,0xF7,0x03,0x45,0x03,0x8D,0x04,0x0E,0x04,0x7D,
0x39,0,19,0xB1,0x04,0xDE,0x05,0x34,0x05,0x80,0x05,0xC9,0x06,0x4A,0x06,0xBD,0x07,0x26,0x07,0x85,0x07,0xE1,
0x39,0,15,0xB2,0x08,0x35,0x08,0xD2,0x09,0x65,0x09,0xAD,0x09,0xD0,0x09,0xF5,0x09,0xF5,
0x39,0,19,0xB3,0x00,0x00,0x02,0x81,0x02,0x9B,0x02,0xAB,0x02,0xC4,0x02,0xF6,0x03,0x32,0x03,0xA3,0x04,0x04,
0x39,0,19,0xB4,0x04,0x5A,0x04,0xA7,0x04,0xEA,0x05,0x2B,0x05,0x9B,0x06,0x00,0x06,0x5C,0x06,0xAE,0x06,0xFD,
0x39,0,15,0xB5,0x07,0x45,0x07,0xCA,0x08,0x44,0x08,0x80,0x08,0x9E,0x08,0xB9,0x08,0xB9,
0x39,0,19,0xB6,0x00,0x00,0x02,0x70,0x02,0xA4,0x02,0xD0,0x03,0x01,0x03,0x63,0x03,0xC0,0x04,0x5F,0x04,0xDF,
0x39,0,19,0xB7,0x05,0x4B,0x05,0xA9,0x05,0xFB,0x06,0x4B,0x06,0xD5,0x07,0x50,0x07,0xC1,0x08,0x28,0x08,0x8C,
0x39,0,15,0xB8,0x08,0xE7,0x09,0x95,0x0A,0x3B,0x0A,0x8C,0x0A,0xB7,0x0A,0xDD,0x0A,0xDD,
0x39,0,2,0xBF,0x37,
0x39,0,19,0xB0,0x00,0x00,0x01,0xC4,0x02,0x8A,0x02,0xA8,0x02,0xC7,0x02,0xFC,0x03,0x2F,0x03,0x90,0x03,0xE4,
0x39,0,19,0xB1,0x04,0x34,0x04,0x7D,0x04,0xBC,0x04,0xF9,0x05,0x64,0x05,0xC6,0x06,0x1C,0x06,0x6C,0x06,0xB8,
0x39,0,15,0xB2,0x06,0xFD,0x07,0x7E,0x07,0xF7,0x08,0x2E,0x08,0x49,0x08,0x63,0x08,0x66,
0x39,0,19,0xB3,0x00,0x00,0x01,0xCD,0x02,0x8E,0x02,0x9E,0x02,0xA9,0x02,0xC7,0x02,0xE8,0x03,0x34,0x03,0x7F,
0x39,0,19,0xB4,0x03,0xC4,0x04,0x04,0x04,0x3C,0x04,0x72,0x04,0xD2,0x05,0x28,0x05,0x73,0x05,0xB9,0x05,0xFB,
0x39,0,15,0xB5,0x06,0x38,0x06,0xA8,0x07,0x10,0x07,0x3F,0x07,0x56,0x07,0x6D,0x07,0x6F,
0x39,0,19,0xB6,0x00,0x00,0x01,0xC1,0x02,0x89,0x02,0xAB,0x02,0xC8,0x03,0x07,0x03,0x48,0x03,0xC3,0x04,0x2C,
0x39,0,19,0xB7,0x04,0x8A,0x04,0xDF,0x05,0x26,0x05,0x69,0x05,0xDD,0x06,0x47,0x06,0xA3,0x06,0xFA,0x07,0x4A,
0x39,0,15,0xB8,0x07,0x95,0x08,0x21,0x08,0xA4,0x08,0xDF,0x08,0xFD,0x09,0x1A,0x09,0x1D,
0x39,0,2,0xBF,0x36,
0x39,0,19,0xB0,0x00,0x00,0x02,0x4D,0x02,0x68,0x02,0x83,0x02,0x9F,0x02,0xC7,0x02,0xEE,0x03,0x30,0x03,0x72,
0x39,0,19,0xB1,0x03,0xAD,0x03,0xE7,0x04,0x1A,0x04,0x4C,0x04,0xA2,0x04,0xF7,0x05,0x3E,0x05,0x84,0x05,0xC0,
0x39,0,15,0xB2,0x05,0xFC,0x06,0x67,0x06,0xC8,0x06,0xF6,0x07,0x0E,0x07,0x23,0x07,0x23,
0x39,0,19,0xB3,0x00,0x00,0x02,0x8B,0x02,0x92,0x02,0x99,0x02,0x9E,0x02,0xA8,0x02,0xB7,0x02,0xE4,0x03,0x18,
0x39,0,19,0xB4,0x03,0x4C,0x03,0x80,0x03,0xAE,0x03,0xDA,0x04,0x25,0x04,0x70,0x04,0xAF,0x04,0xED,0x05,0x22,
0x39,0,15,0xB5,0x05,0x56,0x05,0xB4,0x06,0x09,0x06,0x31,0x06,0x45,0x06,0x58,0x06,0x58,
0x39,0,19,0xB6,0x00,0x00,0x02,0x6B,0x02,0x80,0x02,0x96,0x02,0xA8,0x02,0xC9,0x02,0xF1,0x03,0x45,0x03,0x9B,
0x39,0,19,0xB7,0x03,0xE8,0x04,0x2F,0x04,0x6C,0x04,0xA8,0x05,0x08,0x05,0x67,0x05,0xB4,0x06,0x00,0x06,0x41,
0x39,0,15,0xB8,0x06,0x82,0x06,0xF4,0x07,0x5C,0x07,0x8E,0x07,0xA6,0x07,0xBE,0x07,0xBE,
0x39,0,2,0xBF,0x35,
0x39,0,19,0xB0,0x00,0x00,0x02,0x4D,0x02,0x60,0x02,0x74,0x02,0x87,0x02,0xB3,0x02,0xD9,0x03,0x25,0x03,0x69,
0x39,0,19,0xB1,0x03,0xA6,0x03,0xE0,0x04,0x15,0x04,0x49,0x04,0x9F,0x04,0xF4,0x05,0x3C,0x05,0x82,0x05,0xBE,
0x39,0,15,0xB2,0x05,0xFA,0x06,0x65,0x06,0xC8,0x06,0xF7,0x07,0x0D,0x07,0x20,0x07,0x20,
0x39,0,19,0xB3,0x00,0x00,0x02,0x81,0x02,0x8B,0x02,0x96,0x02,0x9C,0x02,0xAA,0x02,0xB6,0x02,0xE4,0x03,0x17,
0x39,0,19,0xB4,0x03,0x4A,0x03,0x7A,0x03,0xA9,0x03,0xD6,0x04,0x21,0x04,0x6C,0x04,0xAC,0x04,0xEA,0x05,0x1F,
0x39,0,15,0xB5,0x05,0x54,0x05,0xB3,0x06,0x08,0x06,0x30,0x06,0x43,0x06,0x56,0x06,0x56,
0x39,0,19,0xB6,0x00,0x00,0x02,0x68,0x02,0x7C,0x02,0x91,0x02,0xA2,0x02,0xC8,0x02,0xEC,0x03,0x47,0x03,0x9B,
0x39,0,19,0xB7,0x03,0xE4,0x04,0x2B,0x04,0x69,0x04,0xA6,0x05,0x06,0x05,0x65,0x05,0xB3,0x05,0xFF,0x06,0x40,
0x39,0,15,0xB8,0x06,0x80,0x06,0xF3,0x07,0x5C,0x07,0x8D,0x07,0xA5,0x07,0xBC,0x07,0xBC,
0x39,0,2,0xBF,0x34,
0x39,0,19,0xB0,0x00,0x00,0x02,0x72,0x02,0x83,0x02,0x95,0x02,0xA7,0x02,0xC8,0x02,0xEA,0x03,0x30,0x03,0x74,
0x39,0,19,0xB1,0x03,0xB2,0x03,0xE8,0x04,0x1B,0x04,0x4C,0x04,0xA5,0x04,0xF5,0x05,0x3B,0x05,0x80,0x05,0xBB,
0x39,0,15,0xB2,0x05,0xF6,0x06,0x60,0x06,0xC0,0x06,0xEF,0x07,0x04,0x07,0x18,0x07,0x18,
0x39,0,19,0xB3,0x00,0x00,0x02,0xA6,0x02,0xB1,0x02,0xBD,0x02,0xC5,0x02,0xD1,0x02,0xDC,0x02,0xFC,0x03,0x2C,
0x39,0,19,0xB4,0x03,0x5D,0x03,0x8B,0x03,0xB8,0x03,0xE4,0x04,0x31,0x04,0x76,0x04,0xB4,0x04,0xF1,0x05,0x25,
0x39,0,15,0xB5,0x05,0x58,0x05,0xB4,0x06,0x08,0x06,0x30,0x06,0x41,0x06,0x55,0x06,0x55,
0x39,0,19,0xB6,0x00,0x00,0x02,0x8D,0x02,0xA1,0x02,0xB6,0x02,0xC8,0x02,0xE7,0x03,0x06,0x03,0x52,0x03,0xA6,
0x39,0,19,0xB7,0x03,0xF1,0x04,0x33,0x04,0x6F,0x04,0xA9,0x05,0x0C,0x05,0x65,0x05,0xB2,0x05,0xFD,0x06,0x3D,
0x39,0,15,0xB8,0x06,0x7C,0x06,0xEE,0x07,0x55,0x07,0x87,0x07,0x9D,0x07,0xB4,0x07,0xB4,
0x39,0,2,0xBF,0x33,
0x39,0,19,0xB0,0x00,0x00,0x02,0xAE,0x02,0xBD,0x02,0xCD,0x02,0xDD,0x02,0xFD,0x03,0x1C,0x03,0x5A,0x03,0x91,
0x39,0,19,0xB1,0x03,0xC5,0x03,0xFA,0x04,0x23,0x04,0x53,0x04,0xA5,0x04,0xEF,0x05,0x32,0x05,0x73,0x05,0xAD,
0x39,0,15,0xB2,0x05,0xE5,0x06,0x4B,0x06,0xA8,0x06,0xD6,0x06,0xEC,0x06,0xFD,0x06,0xFD,
0x39,0,19,0xB3,0x00,0x00,0x03,0x06,0x03,0x0D,0x03,0x15,0x03,0x1D,0x03,0x27,0x03,0x30,0x03,0x49,0x03,0x64,
0x39,0,19,0xB4,0x03,0x88,0x03,0xB0,0x03,0xD2,0x03,0xF8,0x04,0x39,0x04,0x79,0x04,0xB3,0x04,0xEC,0x05,0x1E,
0x39,0,15,0xB5,0x05,0x4E,0x05,0xA6,0x05,0xF6,0x06,0x1C,0x06,0x2E,0x06,0x3F,0x06,0x3F,
0x39,0,19,0xB6,0x00,0x00,0x02,0xED,0x02,0xFA,0x03,0x08,0x03,0x16,0x03,0x2E,0x03,0x45,0x03,0x84,0x03,0xBF,
0x39,0,19,0xB7,0x03,0xFF,0x04,0x3E,0x04,0x72,0x04,0xA9,0x05,0x06,0x05,0x5A,0x05,0xA4,0x05,0xED,0x06,0x2C,
0x39,0,15,0xB8,0x06,0x69,0x06,0xD8,0x07,0x3B,0x07,0x6B,0x07,0x82,0x07,0x97,0x07,0x97,
0x39,0,2,0xBF,0x32,
0x39,0,19,0xB0,0x00,0x00,0x03,0x10,0x03,0x1A,0x03,0x24,0x03,0x2E,0x03,0x42,0x03,0x57,0x03,0x85,0x03,0xB1,
0x39,0,19,0xB1,0x03,0xE4,0x04,0x0A,0x04,0x2F,0x04,0x57,0x04,0xA2,0x04,0xE4,0x05,0x22,0x05,0x5F,0x05,0x96,
0x39,0,15,0xB2,0x05,0xCA,0x06,0x2A,0x06,0x83,0x06,0xAE,0x06,0xC3,0x06,0xD5,0x06,0xD5,
0x39,0,19,0xB3,0x00,0x00,0x03,0x59,0x03,0x61,0x03,0x69,0x03,0x71,0x03,0x81,0x03,0x8C,0x03,0x9E,0x03,0xAE,
0x39,0,19,0xB4,0x03,0xC5,0x03,0xDE,0x03,0xF6,0x04,0x11,0x04,0x4E,0x04,0x7E,0x04,0xB2,0x04,0xE4,0x05,0x13,
0x39,0,15,0xB5,0x05,0x3F,0x05,0x90,0x05,0xDC,0x05,0xFF,0x06,0x10,0x06,0x21,0x06,0x21,
0x39,0,19,0xB6,0x00,0x00,0x03,0x3F,0x03,0x4B,0x03,0x57,0x03,0x63,0x03,0x7B,0x03,0x90,0x03,0xBB,0x03,0xE5,
0x39,0,19,0xB7,0x04,0x1B,0x04,0x49,0x04,0x75,0x04,0xA2,0x05,0x01,0x05,0x48,0x05,0x8F,0x05,0xD4,0x06,0x10,
0x39,0,15,0xB8,0x06,0x4A,0x06,0xB3,0x07,0x14,0x07,0x41,0x07,0x56,0x07,0x6B,0x07,0x6B,
0x39,0,2,0xBF,0x31,
0x39,0,19,0xB0,0x00,0x00,0x03,0x5D,0x03,0x65,0x03,0x6D,0x03,0x75,0x03,0x85,0x03,0x95,0x03,0xB6,0x03,0xD6,
0x39,0,19,0xB1,0x03,0xF4,0x04,0x18,0x04,0x39,0x04,0x5A,0x04,0x9A,0x04,0xD2,0x05,0x09,0x05,0x3F,0x05,0x71,
0x39,0,15,0xB2,0x05,0x9E,0x05,0xF7,0x06,0x49,0x06,0x70,0x06,0x82,0x06,0x95,0x06,0x95,
0x39,0,19,0xB3,0x00,0x00,0x03,0xBC,0x03,0xC1,0x03,0xC6,0x03,0xCB,0x03,0xD5,0x03,0xDF,0x03,0xEC,0x03,0xF7,
0x39,0,19,0xB4,0x04,0x04,0x04,0x15,0x04,0x26,0x04,0x38,0x04,0x62,0x04,0x88,0x04,0xB3,0x04,0xDC,0x05,0x04,
0x39,0,15,0xB5,0x05,0x29,0x05,0x70,0x05,0xB3,0x05,0xD5,0x05,0xE4,0x05,0xF2,0x05,0xF2,
0x39,0,19,0xB6,0x00,0x00,0x03,0x9F,0x03,0xA7,0x03,0xAF,0x03,0xB7,0x03,0xC8,0x03,0xD9,0x03,0xF6,0x04,0x11,
0x39,0,19,0xB7,0x04,0x31,0x04,0x59,0x04,0x7D,0x04,0xA2,0x04,0xEE,0x05,0x2E,0x05,0x6C,0x05,0xA9,0x05,0xE4,
0x39,0,15,0xB8,0x06,0x16,0x06,0x7A,0x06,0xD4,0x06,0xFE,0x07,0x12,0x07,0x26,0x07,0x26,
0x39,0,2,0xBF,0x30,
0x39,0,19,0xB0,0x00,0x00,0x03,0xB3,0x03,0xB8,0x03,0xBD,0x03,0xC2,0x03,0xCC,0x03,0xD6,0x03,0xEA,0x03,0xFF,
0x39,0,19,0xB1,0x04,0x14,0x04,0x27,0x04,0x3C,0x04,0x52,0x04,0x7D,0x04,0xA8,0x04,0xD2,0x04,0xFB,0x05,0x20,
0x39,0,15,0xB2,0x05,0x47,0x05,0x8C,0x05,0xCD,0x05,0xF0,0x06,0x00,0x06,0x0E,0x06,0x0E,
0x39,0,19,0xB3,0x00,0x00,0x04,0x1A,0x04,0x1D,0x04,0x20,0x04,0x23,0x04,0x2A,0x04,0x31,0x04,0x3E,0x04,0x47,
0x39,0,19,0xB4,0x04,0x50,0x04,0x57,0x04,0x60,0x04,0x69,0x04,0x7D,0x04,0x91,0x04,0xAB,0x04,0xC7,0x04,0xE2,
0x39,0,15,0xB5,0x04,0xFC,0x05,0x31,0x05,0x63,0x05,0x7C,0x05,0x87,0x05,0x94,0x05,0x94,
0x39,0,19,0xB6,0x00,0x00,0x04,0x00,0x04,0x05,0x04,0x0A,0x04,0x0F,0x04,0x19,0x04,0x23,0x04,0x36,0x04,0x47,
0x39,0,19,0xB7,0x04,0x5B,0x04,0x6C,0x04,0x81,0x04,0x97,0x04,0xC7,0x04,0xF4,0x05,0x25,0x05,0x55,0x05,0x81,
0x39,0,15,0xB8,0x05,0xAE,0x06,0x00,0x06,0x4A,0x06,0x6F,0x06,0x80,0x06,0x92,0x06,0x92,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
0x39,0,2,0xBF,0x42,
0x39,0,19,0xB0,0x00,0x00,0x04,0x9E,0x04,0xD9,0x05,0x14,0x05,0x4F,0x05,0x9D,0x05,0xDD,0x06,0x48,0x06,0xAE,
0x39,0,19,0xB1,0x07,0x03,0x07,0x57,0x07,0xA0,0x07,0xE6,0x08,0x62,0x08,0xD5,0x09,0x36,0x09,0x94,0x09,0xE3,
0x39,0,15,0xB2,0x0A,0x35,0x0A,0xC4,0x0B,0x43,0x0B,0x81,0x0B,0x9F,0x0B,0xBA,0x0B,0xBA,
0x39,0,19,0xB3,0x00,0x00,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xD9,0x05,0x16,0x05,0x95,0x06,0x05,
0x39,0,19,0xB4,0x06,0x61,0x06,0xB3,0x06,0xF9,0x07,0x3A,0x07,0xA9,0x08,0x12,0x08,0x69,0x08,0xBE,0x09,0x07,
0x39,0,15,0xB5,0x09,0x4F,0x09,0xCE,0x0A,0x3F,0x0A,0x75,0x0A,0x8E,0x0A,0xA6,0x0A,0xA6,
0x39,0,19,0xB6,0x00,0x00,0x04,0x7B,0x04,0xA5,0x04,0xCF,0x04,0xF2,0x05,0x46,0x05,0xA5,0x06,0x4E,0x06,0xD9,
0x39,0,19,0xB7,0x07,0x4F,0x07,0xB7,0x08,0x10,0x08,0x62,0x08,0xEB,0x09,0x6D,0x09,0xD5,0x0A,0x3B,0x0A,0x90,
0x39,0,15,0xB8,0x0A,0xE8,0x0B,0x80,0x0C,0x07,0x0C,0x48,0x0C,0x67,0x0C,0x85,0x0C,0x85,
0x39,0,2,0xBF,0x41,
0x39,0,19,0xB0,0x00,0x00,0x03,0x85,0x04,0xC4,0x04,0xF1,0x05,0x1E,0x05,0x6A,0x05,0xA4,0x05,0xFF,0x06,0x50,
0x39,0,19,0xB1,0x06,0x9E,0x06,0xE1,0x07,0x21,0x07,0x60,0x07,0xCD,0x08,0x2F,0x08,0x8A,0x08,0xE0,0x09,0x2A,
0x39,0,15,0xB2,0x09,0x72,0x09,0xF0,0x0A,0x66,0x0A,0x9C,0x0A,0xB7,0x0A,0xD1,0x0A,0xD3,
0x39,0,19,0xB3,0x00,0x00,0x03,0x9B,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xC5,0x04,0xE0,0x05,0x3E,0x05,0x9E,
0x39,0,19,0xB4,0x05,0xF3,0x06,0x3C,0x06,0x7F,0x06,0xBC,0x07,0x23,0x07,0x7B,0x07,0xCE,0x08,0x1C,0x08,0x5E,
0x39,0,15,0xB5,0x08,0x9F,0x09,0x12,0x09,0x7A,0x09,0xAB,0x09,0xC3,0x09,0xDA,0x09,0xDC,
0x39,0,19,0xB6,0x00,0x00,0x03,0x6A,0x04,0x96,0x04,0xB6,0x04,0xD5,0x05,0x0F,0x05,0x50,0x05,0xDA,0x06,0x59,
0x39,0,19,0xB7,0x06,0xC3,0x07,0x20,0x07,0x75,0x07,0xC2,0x08,0x45,0x08,0xB2,0x09,0x18,0x09,0x78,0x09,0xC8,
0x39,0,15,0xB8,0x0A,0x16,0x0A,0x9E,0x0B,0x1C,0x0B,0x56,0x0B,0x73,0x0B,0x8E,0x0B,0x90,
0x39,0,2,0xBF,0x40,
0x39,0,19,0xB0,0x00,0x00,0x01,0x7F,0x04,0x7D,0x04,0xB0,0x04,0xC3,0x04,0xEA,0x05,0x10,0x05,0x58,0x05,0x8A,
0x39,0,19,0xB1,0x05,0xB7,0x05,0xE0,0x06,0x03,0x06,0x25,0x06,0x69,0x06,0xAB,0x06,0xE3,0x07,0x1A,0x07,0x50,
0x39,0,15,0xB2,0x07,0x80,0x07,0xDC,0x08,0x2E,0x08,0x56,0x08,0x6A,0x08,0x7C,0x08,0x7E,
0x39,0,19,0xB3,0x00,0x00,0x01,0x88,0x04,0x99,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBE,0x04,0xD2,
0x39,0,19,0xB4,0x04,0xF2,0x05,0x1A,0x05,0x43,0x05,0x6C,0x05,0xB9,0x06,0x02,0x06,0x3E,0x06,0x77,0x06,0xAC,
0x39,0,15,0xB5,0x06,0xDB,0x07,0x31,0x07,0x7A,0x07,0x9E,0x07,0xB0,0x07,0xC1,0x07,0xC3,
0x39,0,19,0xB6,0x00,0x00,0x01,0x74,0x04,0x5B,0x04,0x88,0x04,0x96,0x04,0xB1,0x04,0xCC,0x04,0xFC,0x05,0x32,
0x39,0,19,0xB7,0x05,0x6D,0x05,0xAA,0x05,0xE1,0x06,0x17,0x06,0x7B,0x06,0xD5,0x07,0x22,0x07,0x6B,0x07,0xAF,
0x39,0,15,0xB8,0x07,0xE9,0x08,0x57,0x08,0xB1,0x08,0xDE,0x08,0xF4,0x09,0x09,0x09,0x0B,
0x39,0,2,0xCE,0x01,
0x39,0,2,0xCC,0x00,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x02,
0x39,0,25,0xB9,0x00,0x04,0x00,0x0C,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x4C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,0x00,0xFC,
0x39,0,25,0xBA,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x3C,0x02,0x7C,0x02,0xBC,0x02,0xFC,0x03,0x3C,0x03,0x7C,0x03,0xFC,0x03,0xFF,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x03,
0x39,0,2,0x6F,0x1E,
0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
0x39,0,2,0x6F,0x24,
0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
0x39,0,2,0x6F,0x2A,
0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
0x39,0,2,0x6F,0x30,
0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
0x39,0,2,0x6F,0x36,
0x39,0,7,0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
0x39,0,6,0xB2,0x00,0x10,0x10,0x06,0x01,
0x39,0,2,0x6F,0x05,
0x39,0,13,0xB2,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,
0x39,0,2,0x6F,0x11,
0x39,0,9,0xB2,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,
0x39,0,2,0x6F,0x19,
0x39,0,2,0xB2,0x00,
0x39,0,10,0xB4,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x39,0,16,0xB6,0xB0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x0F,
0x39,0,4,0xB6,0x1F,0x00,0x0A,
0x39,0,2,0x6F,0x1A,
0x39,0,4,0xB6,0x0F,0x00,0x0A,
0x39,0,2,0x6F,0x25,
0x39,0,4,0xB6,0x0F,0x00,0x0A,
0x39,0,2,0x6F,0x30,
0x39,0,4,0xB6,0x0F,0x00,0x0A,
0x39,0,17,0xBB,0x11,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,
0x39,0,17,0xBC,0x22,0x10,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x04,
0x39,0,2,0xC2,0x14,
0x39,0,2,0xB1,0x02,
0x39,0,2,0xB2,0x40,
0x39,0,2,0x6F,0x01,
0x39,0,4,0xB2,0x00,0x00,0x00,
0x39,0,2,0x6F,0x04,
0x39,0,4,0xB2,0x09,0xE3,0x40,
0x39,0,2,0x6F,0x07,
0x39,0,4,0xB2,0x09,0xE4,0x00,
0x39,0,2,0x6F,0x0A,
0x39,0,4,0xB2,0x09,0xE3,0x40,
0x39,0,2,0xCB,0x86,
0x39,0,6,0xD0,0x00,0x00,0x00,0x10,0x01,
0x39,0,2,0x6F,0x01,
0x39,0,6,0xCB,0x05,0x10,0x1F,0x3E,0x7C,
0x39,0,2,0x6F,0x06,
0x39,0,11,0xCB,0x00,0x08,0x00,0x62,0x01,0x47,0x07,0xFF,0x0F,0xFF,
0x39,0,2,0x6F,0x00,
0x39,0,6,0xD2,0x40,0x20,0x18,0x12,0x0A,
0x39,0,2,0x6F,0x05,
0x39,0,6,0xD2,0x40,0x20,0x18,0x0C,0x0B,
0x39,0,2,0x6F,0x0A,
0x39,0,6,0xD2,0x40,0x20,0x18,0x0F,0x0B,
0x39,0,2,0x6F,0x0F,
0x39,0,6,0xD2,0x40,0x10,0x14,0x10,0x0E,
0x39,0,2,0x6F,0x14,
0x39,0,6,0xD2,0x2F,0x20,0x20,0x10,0x12,
0x39,0,2,0x6F,0x19,
0x39,0,6,0xD2,0x80,0x30,0x15,0x10,0x0D,
0x39,0,2,0x6F,0x1E,
0x39,0,6,0xD2,0x80,0x30,0x28,0x10,0x08,
0x39,0,2,0x6F,0x23,
0x39,0,6,0xD2,0x80,0x20,0x18,0x0A,0x0A,
0x39,0,2,0x6F,0x28,
0x39,0,6,0xD2,0x68,0x20,0x1A,0x10,0x12,
0x39,0,2,0x6F,0x2D,
0x39,0,6,0xD2,0x60,0x20,0x20,0x10,0x1A,
0x39,0,2,0x6F,0x32,
0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0A,
0x39,0,2,0x6F,0x37,
0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0A,
0x39,0,2,0x6F,0x3C,
0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x08,
0x39,0,2,0x6F,0x41,
0x39,0,6,0xD2,0x40,0x10,0x18,0x10,0x0D,
0x39,0,2,0x6F,0x46,
0x39,0,6,0xD2,0x2F,0x20,0x20,0x10,0x10,
0x39,0,2,0x6F,0x00,
0x39,0,6,0xD4,0x40,0x30,0x18,0x0A,0x09,
0x39,0,2,0x6F,0x05,
0x39,0,6,0xD4,0x40,0x28,0x22,0x0A,0x08,
0x39,0,2,0x6F,0x0A,
0x39,0,6,0xD4,0x40,0x20,0x10,0x10,0x06,
0x39,0,2,0x6F,0x0F,
0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04,
0x39,0,2,0x6F,0x14,
0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04,
0x39,0,2,0x6F,0x19,
0x39,0,6,0xD4,0x80,0x48,0x18,0x10,0x0D,
0x39,0,2,0x6F,0x1E,
0x39,0,6,0xD4,0x80,0x40,0x30,0x0D,0x10,
0x39,0,2,0x6F,0x23,
0x39,0,6,0xD4,0x80,0x30,0x20,0x14,0x0D,
0x39,0,2,0x6F,0x28,
0x39,0,6,0xD4,0xA8,0x28,0x20,0x10,0x0A,
0x39,0,2,0x6F,0x2D,
0x39,0,6,0xD4,0x60,0x28,0x20,0x10,0x08,
0x39,0,2,0x6F,0x32,
0x39,0,6,0xD4,0x40,0x30,0x18,0x0A,0x0A,
0x39,0,2,0x6F,0x37,
0x39,0,6,0xD4,0x40,0x28,0x20,0x0A,0x08,
0x39,0,2,0x6F,0x3C,
0x39,0,6,0xD4,0x40,0x20,0x10,0x10,0x06,
0x39,0,2,0x6F,0x41,
0x39,0,6,0xD4,0x20,0x20,0x10,0x10,0x04,
0x39,0,2,0x6F,0x46,
0x39,0,6,0xD4,0x30,0x20,0x10,0x10,0x04,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x05,
0x39,0,3,0xC7,0x07,0x01,
0x39,0,4,0xB0,0x07,0x21,0x00,
0x39,0,3,0xB3,0x85,0x80,
0x39,0,3,0xB5,0x85,0x81,
0x39,0,5,0xB7,0x84,0x00,0x00,0x81,
0x39,0,5,0xB8,0x84,0x00,0x00,0x81,
0x39,0,5,0xB9,0x85,0x00,0x00,0x81,
0x39,0,4,0xD0,0x00,0x03,0x10,
0x39,0,5,0xE0,0x82,0x00,0x00,0x02,
0x39,0,4,0xD1,0x00,0x01,0x10,
0x39,0,5,0xE1,0x82,0x00,0x00,0x02,
0x39,0,3,0xEC,0x0D,0x01,
0x39,0,2,0x6F,0x02,
0x39,0,19,0xEC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x06,
0x39,0,3,0xEC,0x00,0xFF,
0x39,0,2,0xCA,0x33,
0x39,0,4,0xCB,0x33,0x33,0x33,
0x39,0,2,0xD8,0x22,
0x39,0,2,0xD9,0x01,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x06,
0x39,0,6,0xB0,0x13,0x32,0x12,0x32,0x04,
0x39,0,6,0xB1,0x32,0x31,0x0E,0x32,0x31,
0x39,0,6,0xB2,0x32,0x00,0x32,0x31,0x32,
0x39,0,2,0xB3,0x0F,
0x39,0,6,0xB6,0x13,0x32,0x12,0x32,0x04,
0x39,0,6,0xB7,0x32,0x31,0x0E,0x32,0x31,
0x39,0,6,0xB8,0x32,0x00,0x32,0x31,0x32,
0x39,0,2,0xB9,0x0F,
0x39,0,2,0xD0,0x01,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x07,
0x39,0,6,0xB0,0x84,0x40,0x78,0x70,0x00,
0x39,0,7,0xB1,0x1C,0x0C,0x00,0x0C,0x1C,0x00,
0x39,0,2,0xB2,0x20,
0x39,0,2,0x6F,0x36,
0x39,0,2,0xB2,0x32,
0x39,0,2,0x6F,0x3F,
0x39,0,2,0xB2,0x04,
0x39,0,2,0x6F,0x09,
0x39,0,2,0xB2,0x20,
0x39,0,2,0x6F,0x48,
0x39,0,2,0xB2,0x32,
0x39,0,2,0x6F,0x51,
0x39,0,2,0xB2,0x04,
0x39,0,2,0x6F,0x12,
0x39,0,2,0xB2,0xF0,
0x39,0,2,0x6F,0x5A,
0x39,0,2,0xB2,0x03,
0x39,0,2,0x6F,0x63,
0x39,0,2,0xB2,0x9B,
0x39,0,2,0x6F,0x1B,
0x39,0,2,0xB2,0x20,
0x39,0,2,0x6F,0x6C,
0x39,0,2,0xB2,0x32,
0x39,0,2,0x6F,0x75,
0x39,0,2,0xB2,0x04,
0x39,0,2,0x6F,0x24,
0x39,0,2,0xB2,0x20,
0x39,0,2,0x6F,0x7E,
0x39,0,2,0xB2,0x32,
0x39,0,2,0x6F,0x87,
0x39,0,2,0xB2,0x04,
0x39,0,2,0x6F,0x2D,
0x39,0,2,0xB2,0xCC,
0x39,0,2,0x6F,0x90,
0x39,0,2,0xB2,0x03,
0x39,0,2,0x6F,0x99,
0x39,0,2,0xB2,0x3A,
0x39,0,2,0xB4,0xC0,
0x39,0,3,0xB7,0x00,0x00,
0x39,0,6,0xC0,0x01,0x01,0x00,0x00,0x55,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC1,0x30,0x0F,0x0A,0xF9,0x1E,0x40,0xDB,0x90,0x3F,0xF3,0xD3,0xC4,0x7F,0xE9,0x6E,0x2C,0x00,0x03,0x60,0x44,0xA4,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC1,0x00,0x18,0x00,0x00,0xA6,0x35,0x33,0x30,0x1D,0x66,0x0F,0xCB,0x72,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC1,0x00,0x10,0x30,0x00,0x17,0x35,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC2,0x38,0x0F,0x02,0x71,0x02,0x11,0xFB,0x82,0x3F,0xFB,0x9C,0x6A,0xFF,0xFE,0x3D,0x86,0x00,0x00,0x5F,0xE6,0xF9,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC2,0x00,0x00,0x36,0x00,0x17,0xA3,0x33,0xD0,0x09,0xCB,0x0F,0x93,0xE9,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC2,0x90,0x10,0x2A,0x90,0x13,0x35,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC3,0x3C,0x00,0x0A,0xF9,0x22,0x84,0x26,0xEC,0x3F,0xEB,0x6D,0x20,0x00,0x0A,0x17,0xC0,0x80,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC3,0x90,0x14,0x2A,0x90,0xA6,0x5F,0x33,0x10,0x00,0x00,0x0C,0xCB,0x92,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC3,0x94,0x24,0x2A,0x94,0x2B,0x35,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC4,0x3C,0x00,0x02,0x40,0x01,0x69,0x03,0x90,0x3F,0xFA,0xCB,0x54,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC4,0x80,0x00,0xBB,0x90,0x13,0x29,0x33,0xE0,0x00,0x00,0x0C,0x92,0x13,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC4,0x04,0x20,0x30,0x04,0x27,0x35,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC5,0x2A,0x0F,0x0A,0xF9,0x22,0x84,0xD9,0x14,0x00,0x08,0x0E,0xDC,0x00,0x20,0x4A,0x58,0xFF,0xF7,0xD5,0xE1,0x64,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC5,0x93,0x91,0x2A,0x94,0x23,0x5F,0x33,0x1F,0xE1,0xC6,0x00,0x35,0x92,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC6,0x2A,0x0F,0x02,0x11,0x01,0x69,0xFC,0x96,0x00,0x04,0xBE,0xAA,0xC0,0x00,0x40,0xDE,0x7F,0xFF,0xA2,0xEF,0x69,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC6,0x84,0x24,0xBC,0x94,0x37,0x29,0x33,0xDF,0xF7,0xE9,0x00,0x6D,0x13,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC7,0x26,0x00,0x0A,0xF9,0x1E,0x40,0x24,0x70,0x00,0x00,0x00,0x00,0x7F,0xD5,0x38,0x0C,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC7,0x03,0x91,0x00,0x04,0x1F,0x35,0x33,0x30,0x00,0x00,0x03,0x35,0x72,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC8,0x2E,0x00,0x02,0x71,0x02,0x11,0x04,0x7E,0x00,0x03,0xF3,0x48,0xFF,0xFD,0xD6,0x34,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC8,0x04,0x20,0x36,0x04,0x37,0xA3,0x33,0xD0,0x00,0x00,0x03,0x6D,0xE9,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC9,0x21,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x3F,0xE0,0x8E,0xC6,0x80,0x06,0x33,0xD5,0xF1,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC9,0x00,0x16,0x13,0x00,0x7B,0x78,0x33,0xD0,0x27,0xD9,0x0F,0x9B,0x9B,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCA,0x27,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCA,0x00,0x7C,0x13,0x00,0xE1,0x78,0x33,0xD0,0x00,0x00,0x03,0x65,0x9B,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCB,0x2D,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCB,0x00,0x16,0x79,0x00,0x7B,0xDE,0x33,0x70,0x00,0x00,0x0C,0x9B,0x65,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCC,0x2B,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xCC,0x2A,0x0F,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCC,0x00,0x7C,0x79,0x00,0xE1,0xDE,0x33,0x7F,0xD8,0x27,0x00,0x65,0x65,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCD,0x21,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x3F,0xFF,0x1E,0xC4,0x00,0x00,0x0D,0x32,0x84,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCD,0x01,0xFC,0x17,0x02,0x1B,0x35,0x33,0x90,0x03,0xA2,0x0F,0xE2,0xE1,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCD,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCE,0x2D,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCE,0x01,0xFC,0x36,0x02,0x1B,0x54,0x33,0x40,0x00,0x00,0x0C,0xE2,0x1F,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCF,0x27,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x3A,0xE4,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCF,0x02,0x1C,0x17,0x02,0x39,0x35,0x33,0x80,0x00,0x00,0x03,0x1E,0xE3,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD0,0x2B,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xF4,0x73,0x5C,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD0,0x02,0x1C,0x36,0x02,0x39,0x54,0x33,0x5F,0xFC,0x9A,0x00,0x1E,0x1D,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x07,
0x39,0,6,0xC0,0x01,0x01,0x00,0x00,0x55,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xC9,0x21,0x00,0x29,0x71,0x29,0x71,0x00,0x00,0x3F,0xDE,0xA7,0x12,0x3F,0xDE,0xA7,0x12,0x80,0x06,0xB5,0x63,0xE1,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xC9,0x81,0xB5,0x0D,0x82,0x1C,0x74,0x33,0xE0,0x29,0x71,0x0F,0x99,0x99,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCA,0x27,0x00,0x29,0x71,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xDF,0xEF,0x62,0x80,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCA,0x82,0x1D,0x0D,0x82,0x82,0x74,0x33,0xD0,0x00,0x00,0x03,0x67,0x9B,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCB,0x2D,0x00,0x28,0xA4,0x29,0x71,0x00,0x00,0x3F,0xDF,0x4C,0x08,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCB,0x81,0xB5,0x75,0x82,0x1C,0xDB,0x33,0x70,0x00,0x00,0x0C,0x9A,0x67,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0x6F,0x00,
0x39,0,22,0xCC,0x2B,0x00,0x28,0xA4,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xAC,0x90,0xFC,
0x39,0,2,0x6F,0x15,
0x39,0,16,0xCC,0x82,0x1D,0x75,0x82,0x82,0xDB,0x33,0x8F,0xD7,0xC2,0x00,0x66,0x65,0x00,0x00,
0x39,0,2,0x6F,0x24,
0x39,0,8,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x39,0,2,0xD9,0x40,
0x39,0,5,0x3B,0x00,0x14,0x09,0xAC,
0x39,0,2,0x03,0x00,
0x39,0,2,0x90,0x02,
0x39,0,19,0x91,0x89,0x28,0x00,0x0C,0xC2,0x00,0x03,0x1C,0x01,0x7E,0x00,0x0F,0x08,0xBB,0x04,0x3D,0x10,0xF0,
0x39,0,1,0x2C,
0x39,0,5,0x51,0x07,0xFF,0x0F,0xFF,
0x39,0,5,0xFF,0xAA,0x55,0xA5,0x80,
0x39,0,2,0x6F,0x1D,
0x39,0,2,0xF2,0x05,
0x39,0,2,0x53,0x20,
0x39,0,1,0x35,
0x39,0,5,0x2A,0x00,0x00,0x04,0x37,
0x39,0,5,0x2B,0x00,0x00,0x09,0x5F,
0x39,0,2,0x2F,0x01,
0x39,0,2,0x26,0x04,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
0x39,0,2,0xC0,0x65,
0x39,0,5,0x3B,0x00,0x10,0x00,0x20,
0x39,0,2,0x90,0x00,
0x39,0,1,0x2C,
0x39,0,3,0x51,0x03,0x00,
0x39,0,6,0xF0,0x55,0xAA,0x52,0x08,0x00,
0x39,0,3,0xB5,0x94,0x42,
0x39,0,2,0x6F,0x05,
0x39,0,5,0xB5,0x7F,0x2B,0x12,0x33,
0x39,0,2,0x6F,0x0B,
0x39,0,4,0xB5,0x2B,0x1A,0x33,
#endif
	
#if 0
//#if AMOLED_NT37701_HX628
//S9-2_initial_V02.mcr

	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39, 0, 9, 0xBA,0x01,0xAF,0x00,0x14,0x09,0xAC,0x00,0x01,
	0x39, 0, 2, 0x6F,0x08,
	0x39, 0, 9, 0xBA,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x00,
	0x39, 0, 2, 0x6F,0x10,
	0x39, 0, 8, 0xBA,0x01,0xAF,0x00,0x14,0x03,0x4C,0x00,
	0x39, 0, 9, 0xBB,0x01,0xAF,0x00,0x14,0x00,0x1C,0x00,0x41,
	0x39, 0, 2, 0x6F,0x06,
	0x39, 0, 4, 0xB5,0x2B,0x1C,0x32,
	0x39, 0, 2, 0x6F,0x0B,
	0x39, 0, 4, 0xB5,0x33,0x2B,0x23,
	0x39, 0, 2, 0x6F,0x10,
	0x39, 0, 6, 0xB5,0x1C,0x1C,0x1C,0x1C,0x1C,
	0x39, 0, 3, 0xB5,0x86,0x02,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 14, 0xB6,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,0x2F,
	0x39, 0, 14, 0xB7,0x00,0xFE,0xDC,0xBA,0x98,0x76,0x54,0x32,0x10,0x00,0x00,0x00,0x05,
	0x39, 0, 2, 0x6F,0x0D,
	0x39, 0, 7, 0xB7,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x13,
	0x39, 0, 13, 0xB7,0x17,0x89,0x9A,0xAB,0xBC,0xCD,0xDE,0xEF,0xFF,0xFF,0xFF,0xFF,
	0x39, 0, 2, 0x6F,0x1F,
	0x39, 0, 25, 0xB7,0x47,0xFF,0x88,0x10,0x99,0x21,0xAA,0x32,0xBB,0x43,0xCC,0x54,0xDD,0x65,0xEE,0x76,0xB0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x39, 0, 5, 0xB2,0x18,0x63,0x08,0x08,
	0x39, 0, 2, 0x6F,0x09,
	0x39, 0, 2, 0xB2,0x40,
	0x39, 0, 2, 0x6F,0x0F,
	0x39, 0, 9, 0xB2,0x30,0x20,0x81,0x46,0x21,0x46,0x20,0x00,
	0x39, 0, 13, 0xB3,0x00,0x08,0x00,0x18,0x00,0x18,0x00,0x31,0x00,0x31,0x00,0x62,
	0x39, 0, 2, 0x6F,0x0C,
	0x39, 0, 13, 0xB3,0x00,0x62,0x00,0xC0,0x00,0xC0,0x01,0x46,0x01,0x46,0x01,0x47,
	0x39, 0, 2, 0x6F,0x18,
	0x39, 0, 13, 0xB3,0x01,0x47,0x03,0x33,0x03,0x33,0x07,0xFF,0x07,0xFF,0x0F,0xFF,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 9, 0xB3,0x01,0x55,0x08,0xCC,0x08,0xCC,0x0F,0xFF,
	0x39, 0, 2, 0x6F,0x2C,
	0x39, 0, 15, 0xB3,0x09,0x90,0x08,0xE0,0x08,0x70,0x08,0x70,0x07,0xC0,0x07,0xC0,0x06,0x6C,
	0x39, 0, 2, 0x6F,0x3A,
	0x39, 0, 13, 0xB3,0x06,0x6C,0x03,0xDC,0x03,0xDC,0x00,0x34,0x00,0x34,0x00,0x30,
	0x39, 0, 2, 0x6F,0x46,
	0x39, 0, 13, 0xB3,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
	0x39, 0, 15, 0xB4,0x13,0x20,0x11,0xC0,0x10,0xE0,0x10,0xE0,0x0F,0x80,0x0F,0x80,0x0C,0xD8,
	0x39, 0, 2, 0x6F,0x0E,
	0x39, 0, 13, 0xB4,0x0C,0xD8,0x07,0xB8,0x07,0xB8,0x00,0x68,0x00,0x68,0x00,0x60,
	0x39, 0, 2, 0x6F,0x1A,
	0x39, 0, 13, 0xB4,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,
	0x39, 0, 2, 0x6F,0x30,
	0x39, 0, 15, 0xB4,0x0C,0xBC,0x0B,0xD8,0x0B,0x40,0x0B,0x40,0x0A,0x54,0x0A,0x54,0x08,0x90,
	0x39, 0, 2, 0x6F,0x3E,
	0x39, 0, 13, 0xB4,0x08,0x90,0x05,0x24,0x05,0x24,0x00,0x44,0x00,0x44,0x00,0x40,
	0x39, 0, 2, 0x6F,0x4A,
	0x39, 0, 13, 0xB4,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,0x00,0x40,
	0x39, 0, 2, 0x6F,0x26,
	0x39, 0, 11, 0xB4,0x09,0x90,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0x30,
	0x39, 0, 3, 0xB9,0x00,0x96,
	0x39, 0, 3, 0xBD,0x04,0xB0,
//		0x39, 0, 4, 0xC0,0x45,0xF3,0xC1,
	0x39, 0, 4, 0xC0,0x46,0xF3,0xC1,
	0x39, 0, 2, 0x6F,0x08,
	0x39, 0, 2, 0xC0,0x40,
	0x39, 0, 2, 0x6F,0x09,
	0x39, 0, 3, 0xC0,0x20,0x81,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 2, 0xC1,0x24,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 9, 0xC1,0x24,0x57,0x00,0x57,0x00,0x57,0x00,0x57,
	0x39, 0, 2, 0x6F,0x0A,
	0x39, 0, 3, 0xC1,0x00,0x57,
	0x39, 0, 2, 0x6F,0x01,
	0x39, 0, 2, 0xC3,0x00,
	0x39, 0, 2, 0x6F,0x08,
	0x39, 0, 2, 0xC3,0x00,
	0x39, 0, 2, 0xC5,0x10,
	0x39, 0, 2, 0xC8,0x0D,
	0x39, 0, 2, 0xC9,0x84,
	0x39, 0, 5, 0xCA,0x12,0x00,0x82,0xBC,
	0x39, 0, 2, 0xCB,0x88,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 3, 0xEC,0x80,0x10,
	0x39, 0, 2, 0xB9,0x00,
	0x39, 0, 5, 0xBE,0x0E,0x0B,0x14,0x13,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 2, 0xBE,0x8A,
	0x39, 0, 2, 0x6F,0x29,
	0x39, 0, 2, 0xD9,0x00,
	0x39, 0, 2, 0x6F,0x01,
	0x39, 0, 2, 0xD9,0x80,
	0x39, 0, 2, 0x6F,0x07,
	0x39, 0, 3, 0xB2,0x07,0xFF,
	0x39, 0, 2, 0x6F,0x17,
	0x39, 0, 3, 0xB2,0x07,0xFF,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39, 0, 2, 0x6F,0x2A,
	0x39, 0, 2, 0xD9,0x43,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x01,
	0x39, 0, 11, 0xB5,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,0x00,0xB0,
	0x39, 0, 11, 0xB6,0x01,0x48,0x00,0xC0,0x00,0xC0,0x01,0x48,0x00,0xC0,
	0x39, 0, 3, 0xB0,0x04,0x04,
	0x39, 0, 3, 0xB3,0x13,0x13,
	0x39, 0, 7, 0xB7,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,
	0x39, 0, 3, 0xB1,0x08,0x08,
	0x39, 0, 3, 0xB4,0x13,0x13,
	0x39, 0, 7, 0xB8,0x46,0x46,0x46,0x46,0x46,0x46,
	0x39, 0, 29, 0xB9,0x00,0x1F,0x00,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x1F,0x1F,0x1F,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 5, 0xBA,0x10,0x10,0x10,0x10,
	0x39, 0, 13, 0xC2,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,0x00,0xB0,0x01,0x48,
	0x39, 0, 2, 0xBB,0x03,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 20, 0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39, 0, 2, 0x6F,0x18,
	0x39, 0, 20, 0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39, 0, 2, 0x6F,0x2B,
	0x39, 0, 20, 0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39, 0, 2, 0x6F,0x3E,
	0x39, 0, 20, 0xBB,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x1B,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
	0x39, 0, 3, 0xC4,0x80,0x03,
	0x39, 0, 3, 0xCD,0x05,0x81,
	0x39, 0, 2, 0xC7,0xF8,
	0x39, 0, 2, 0xCF,0x5C,
	0x39, 0, 6, 0xCE,0x00,0x00,0x01,0x00,0x04,
	0x39, 0, 2, 0x6F,0x01,
	0x39, 0, 4, 0xD2,0x00,0x00,0x11,
	0x39, 0, 2, 0x6F,0x06,
	0x39, 0, 2, 0xD2,0x05,
	0x39, 0, 2, 0x6F,0x0F,
	0x39, 0, 2, 0xD2,0x00,
	0x39, 0, 2, 0x6F,0x09,
	0x39, 0, 2, 0xD2,0x00,
	0x39, 0, 2, 0x6F,0x10,
	0x39, 0, 2, 0xD8,0x0C,
	0x39, 0, 2, 0xD1,0x07,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 2, 0xD1,0x06,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 2, 0xD1,0x06,
	0x39, 0, 3, 0xD6,0x00,0x20,
	
//////////////////////////////////////////////////////		
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 25, 0xB9,0x00,0x04,0x00,0x0C,0x00,0x14,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x4C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,
	0x39, 0, 25, 0xBA,0x00,0xFC,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x7C,0x02,0xFC,0x03,0x7C,0x03,0xBC,0x03,0xDC,0x03,0xFC,0x03,0xFF,
	0x39, 0, 2, 0xBC,0x11,
	0x39, 0, 17, 0xBD,0x96,0x00,0x69,0x00,0x00,0x96,0x00,0x69,0xBB,0x44,0x44,0xBB,0xEE,0x11,0x11,0xEE,
	0x39, 0, 2, 0xC1,0x02,
	0x39, 0, 9, 0xC2,0x91,0x00,0x19,0x00,0x91,0x00,0x19,0x00,
	0x39, 0, 3, 0xC0,0x00,0x00,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 2, 0xBF,0x13,
#if 1	
//////////////////////1 GAMMA.mcr//////////////////////////////////	
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xCC,0x30,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xBF,0x09,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x63,0x01,0xB3,0x02,0x03,0x02,0x45,0x02,0xBB,0x03,0x1B,0x03,0xBD,0x04,0x41,
	0x39, 0, 19, 0xB1,0x04,0xAF,0x05,0x10,0x05,0x64,0x05,0xB7,0x06,0x48,0x06,0xC8,0x07,0x3D,0x07,0xB1,0x08,0x1B,
	0x39, 0, 15, 0xB2,0x08,0x83,0x09,0x54,0x0A,0x21,0x0A,0x89,0x0A,0xBC,0x0A,0xF6,0x0A,0xF6,
	0x39, 0, 19, 0xB3,0x00,0x00,0x00,0xC2,0x01,0x3E,0x01,0x8C,0x01,0xDF,0x02,0x60,0x02,0xBB,0x03,0x51,0x03,0xC7,
	0x39, 0, 19, 0xB4,0x04,0x2A,0x04,0x81,0x04,0xCC,0x05,0x15,0x05,0x94,0x06,0x06,0x06,0x6C,0x06,0xD0,0x07,0x2A,
	0x39, 0, 15, 0xB5,0x07,0x84,0x08,0x36,0x08,0xE2,0x09,0x3A,0x09,0x64,0x09,0x91,0x09,0x91,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x16,0x01,0x8F,0x01,0xF4,0x02,0x56,0x02,0xF0,0x03,0x66,0x04,0x21,0x04,0xB1,
	0x39, 0, 19, 0xB7,0x05,0x28,0x05,0x91,0x05,0xEB,0x06,0x43,0x06,0xDD,0x07,0x67,0x07,0xE5,0x08,0x62,0x08,0xD5,
	0x39, 0, 15, 0xB8,0x09,0x48,0x0A,0x2C,0x0B,0x10,0x0B,0x86,0x0B,0xC0,0x0B,0xFD,0x0B,0xFD,
	0x39, 0, 2, 0xBF,0x08,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xA5,0x01,0xEA,0x02,0x2F,0x02,0x5F,0x02,0xBC,0x03,0x0E,0x03,0x9A,0x04,0x10,
	0x39, 0, 19, 0xB1,0x04,0x75,0x04,0xCE,0x05,0x1B,0x05,0x67,0x05,0xEA,0x06,0x60,0x06,0xC9,0x07,0x2B,0x07,0x8C,
	0x39, 0, 15, 0xB2,0x07,0xE6,0x08,0x95,0x09,0x3D,0x09,0x90,0x09,0xB9,0x09,0xE8,0x09,0xE8,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x9A,0x01,0xB8,0x01,0xCB,0x01,0xFB,0x02,0x59,0x02,0xA6,0x03,0x28,0x03,0x93,
	0x39, 0, 19, 0xB4,0x03,0xED,0x04,0x3D,0x04,0x82,0x04,0xC6,0x05,0x3A,0x05,0xA1,0x05,0xFE,0x06,0x54,0x06,0xA8,
	0x39, 0, 15, 0xB5,0x06,0xF6,0x07,0x8D,0x08,0x1D,0x08,0x64,0x08,0x87,0x08,0xAB,0x08,0xAB,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x8B,0x01,0xD5,0x02,0x13,0x02,0x57,0x02,0xDB,0x03,0x45,0x03,0xEF,0x04,0x76,
	0x39, 0, 19, 0xB7,0x04,0xE5,0x05,0x45,0x05,0x98,0x05,0xEA,0x06,0x76,0x06,0xF3,0x07,0x64,0x07,0xCD,0x08,0x35,
	0x39, 0, 15, 0xB8,0x08,0x98,0x09,0x57,0x0A,0x13,0x0A,0x6F,0x0A,0x9E,0x0A,0xCA,0x0A,0xCA,
	0x39, 0, 2, 0xBF,0x07,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x16,0x01,0xC7,0x01,0xF4,0x02,0x22,0x02,0x65,0x02,0xA2,0x03,0x11,0x03,0x6D,
	0x39, 0, 19, 0xB1,0x03,0xC2,0x04,0x10,0x04,0x52,0x04,0x91,0x04,0xFF,0x05,0x64,0x05,0xBA,0x06,0x0D,0x06,0x5B,
	0x39, 0, 15, 0xB2,0x06,0xA1,0x07,0x24,0x07,0xA3,0x07,0xDE,0x07,0xFB,0x08,0x18,0x08,0x1B,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x0E,0x01,0xA9,0x01,0xBB,0x01,0xC7,0x02,0x01,0x02,0x3F,0x02,0xA9,0x02,0xFE,
	0x39, 0, 19, 0xB4,0x03,0x4C,0x03,0x93,0x03,0xCE,0x04,0x06,0x04,0x69,0x04,0xC3,0x05,0x10,0x05,0x58,0x05,0x9C,
	0x39, 0, 15, 0xB5,0x05,0xDA,0x06,0x4E,0x06,0xBC,0x06,0xEF,0x07,0x08,0x07,0x21,0x07,0x23,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x04,0x01,0xAF,0x01,0xDE,0x02,0x07,0x02,0x5F,0x02,0xB6,0x03,0x48,0x03,0xB9,
	0x39, 0, 19, 0xB7,0x04,0x1D,0x04,0x76,0x04,0xBF,0x05,0x03,0x05,0x7A,0x05,0xE6,0x06,0x43,0x06,0x9B,0x06,0xED,
	0x39, 0, 15, 0xB8,0x07,0x38,0x07,0xC6,0x08,0x4E,0x08,0x8F,0x08,0xAF,0x08,0xCE,0x08,0xD1,
	0x39, 0, 2, 0xBF,0x06,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x6F,0x01,0x9A,0x01,0xC5,0x01,0xF0,0x02,0x27,0x02,0x55,0x02,0xA5,0x02,0xEF,
	0x39, 0, 19, 0xB1,0x03,0x33,0x03,0x70,0x03,0xA8,0x03,0xDE,0x04,0x38,0x04,0x90,0x04,0xD9,0x05,0x20,0x05,0x5F,
	0x39, 0, 15, 0xB2,0x05,0x9C,0x06,0x08,0x06,0x6B,0x06,0x9B,0x06,0xB0,0x06,0xC7,0x06,0xC7,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xAB,0x01,0xAF,0x01,0xB3,0x01,0xB6,0x01,0xC9,0x01,0xF2,0x02,0x40,0x02,0x87,
	0x39, 0, 19, 0xB4,0x02,0xC6,0x03,0x03,0x03,0x35,0x03,0x65,0x03,0xB6,0x04,0x05,0x04,0x46,0x04,0x86,0x04,0xBD,
	0x39, 0, 15, 0xB5,0x04,0xF3,0x05,0x54,0x05,0xAB,0x05,0xD5,0x05,0xE8,0x05,0xFB,0x05,0xFB,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x88,0x01,0xA4,0x01,0xC0,0x01,0xD8,0x02,0x0C,0x02,0x4C,0x02,0xBC,0x03,0x1E,
	0x39, 0, 19, 0xB7,0x03,0x72,0x03,0xBE,0x03,0xFE,0x04,0x3D,0x04,0xA0,0x05,0x02,0x05,0x51,0x05,0x9E,0x05,0xE1,
	0x39, 0, 15, 0xB8,0x06,0x22,0x06,0x96,0x07,0x00,0x07,0x33,0x07,0x49,0x07,0x62,0x07,0x62,
	0x39, 0, 2, 0xBF,0x05,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x0A,0x01,0x3A,0x01,0x6A,0x01,0x9A,0x01,0xE8,0x02,0x2B,0x02,0x93,0x02,0xE0,
	0x39, 0, 19, 0xB1,0x03,0x25,0x03,0x68,0x03,0xA1,0x03,0xD9,0x04,0x33,0x04,0x8C,0x04,0xD5,0x05,0x1D,0x05,0x5D,
	0x39, 0, 15, 0xB2,0x05,0x9B,0x06,0x06,0x06,0x6A,0x06,0x9B,0x06,0xB2,0x06,0xC5,0x06,0xC5,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xB0,0x01,0xB9,0x01,0xC2,0x01,0xC8,0x01,0xD8,0x01,0xF5,0x02,0x3A,0x02,0x83,
	0x39, 0, 19, 0xB4,0x02,0xC0,0x02,0xFB,0x03,0x2D,0x03,0x5E,0x03,0xB0,0x04,0x00,0x04,0x42,0x04,0x83,0x04,0xBB,
	0x39, 0, 15, 0xB5,0x04,0xF1,0x05,0x52,0x05,0xA9,0x05,0xD3,0x05,0xE6,0x05,0xF9,0x05,0xF9,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x7A,0x01,0x99,0x01,0xB8,0x01,0xD2,0x02,0x08,0x02,0x48,0x02,0xB9,0x03,0x1A,
	0x39, 0, 19, 0xB7,0x03,0x6B,0x03,0xBA,0x03,0xFA,0x04,0x39,0x04,0x9D,0x04,0xFF,0x05,0x4E,0x05,0x9C,0x05,0xE0,
	0x39, 0, 15, 0xB8,0x06,0x22,0x06,0x95,0x06,0xFF,0x07,0x32,0x07,0x4A,0x07,0x61,0x07,0x61,
	0x39, 0, 2, 0xBF,0x04,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x67,0x01,0x83,0x01,0x9F,0x01,0xBB,0x01,0xEF,0x02,0x24,0x02,0x88,0x02,0xE0,
	0x39, 0, 19, 0xB1,0x03,0x2B,0x03,0x69,0x03,0xA2,0x03,0xDA,0x04,0x35,0x04,0x8A,0x04,0xD3,0x05,0x1A,0x05,0x58,
	0x39, 0, 15, 0xB2,0x05,0x94,0x05,0xFF,0x06,0x62,0x06,0x92,0x06,0xA9,0x06,0xBD,0x06,0xBD,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xA2,0x01,0xB2,0x01,0xC2,0x01,0xCC,0x01,0xDC,0x01,0xF4,0x02,0x2A,0x02,0x75,
	0x39, 0, 19, 0xB4,0x02,0xBE,0x02,0xFD,0x03,0x32,0x03,0x65,0x03,0xBB,0x04,0x05,0x04,0x46,0x04,0x86,0x04,0xBD,
	0x39, 0, 15, 0xB5,0x04,0xF2,0x05,0x51,0x05,0xA8,0x05,0xD0,0x05,0xE3,0x05,0xF7,0x05,0xF7,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x89,0x01,0xA7,0x01,0xC5,0x01,0xDE,0x02,0x0C,0x02,0x44,0x02,0xAC,0x03,0x16,
	0x39, 0, 19, 0xB7,0x03,0x70,0x03,0xBC,0x03,0xFC,0x04,0x3A,0x04,0xA1,0x04,0xFD,0x05,0x4C,0x05,0x99,0x05,0xDB,
	0x39, 0, 15, 0xB8,0x06,0x1B,0x06,0x8E,0x06,0xF8,0x07,0x2A,0x07,0x41,0x07,0x59,0x07,0x59,
	0x39, 0, 2, 0xBF,0x03,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x9E,0x01,0xB4,0x01,0xCA,0x01,0xE0,0x02,0x0C,0x02,0x36,0x02,0x8F,0x02,0xE3,
	0x39, 0, 19, 0xB1,0x03,0x2A,0x03,0x6A,0x03,0xA0,0x03,0xD0,0x04,0x2C,0x04,0x7D,0x04,0xC3,0x05,0x08,0x05,0x45,
	0x39, 0, 15, 0xB2,0x05,0x80,0x05,0xE9,0x06,0x48,0x06,0x78,0x06,0x8E,0x06,0xA0,0x06,0xA0,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xD7,0x01,0xE4,0x01,0xF1,0x01,0xFE,0x02,0x0F,0x02,0x1E,0x02,0x49,0x02,0x83,
	0x39, 0, 19, 0xB4,0x02,0xC2,0x02,0xFF,0x03,0x34,0x03,0x62,0x03,0xB5,0x03,0xFD,0x04,0x3C,0x04,0x7A,0x04,0xAF,
	0x39, 0, 15, 0xB5,0x04,0xE3,0x05,0x40,0x05,0x93,0x05,0xBB,0x05,0xCD,0x05,0xDF,0x05,0xDF,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xBF,0x01,0xD8,0x01,0xF1,0x02,0x0A,0x02,0x35,0x02,0x5E,0x02,0xBE,0x03,0x1A,
	0x39, 0, 19, 0xB7,0x03,0x6B,0x03,0xB6,0x03,0xF4,0x04,0x2E,0x04,0x96,0x04,0xED,0x05,0x3A,0x05,0x86,0x05,0xC7,
	0x39, 0, 15, 0xB8,0x06,0x06,0x06,0x77,0x06,0xDC,0x07,0x0E,0x07,0x25,0x07,0x3B,0x07,0x3B,
	0x39, 0, 2, 0xBF,0x02,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xCA,0x01,0xDD,0x01,0xF0,0x02,0x03,0x02,0x29,0x02,0x4F,0x02,0x99,0x02,0xE1,
	0x39, 0, 19, 0xB1,0x03,0x24,0x03,0x60,0x03,0x95,0x03,0xC4,0x04,0x18,0x04,0x67,0x04,0xAA,0x04,0xEC,0x05,0x26,
	0x39, 0, 15, 0xB2,0x05,0x5F,0x05,0xC4,0x06,0x1F,0x06,0x4D,0x06,0x62,0x06,0x74,0x06,0x74,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x12,0x02,0x1B,0x02,0x24,0x02,0x2D,0x02,0x40,0x02,0x4C,0x02,0x76,0x02,0x9F,
	0x39, 0, 19, 0xB4,0x02,0xCE,0x03,0x04,0x03,0x32,0x03,0x5D,0x03,0xA9,0x03,0xF5,0x04,0x2E,0x04,0x66,0x04,0x9A,
	0x39, 0, 15, 0xB5,0x04,0xCC,0x05,0x22,0x05,0x72,0x05,0x98,0x05,0xA9,0x05,0xBB,0x05,0xBB,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xF4,0x02,0x08,0x02,0x1C,0x02,0x30,0x02,0x58,0x02,0x7A,0x02,0xCC,0x03,0x1D,
	0x39, 0, 19, 0xB7,0x03,0x62,0x03,0xA7,0x03,0xE3,0x04,0x1A,0x04,0x79,0x04,0xD6,0x05,0x1F,0x05,0x66,0x05,0xA5,
	0x39, 0, 15, 0xB8,0x05,0xE2,0x06,0x4F,0x06,0xB1,0x06,0xE1,0x06,0xF7,0x07,0x0C,0x07,0x0C,
	0x39, 0, 2, 0xBF,0x01,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x02,0x02,0x11,0x02,0x20,0x02,0x2F,0x02,0x4E,0x02,0x6D,0x02,0xAC,0x02,0xE4,
	0x39, 0, 19, 0xB1,0x03,0x1B,0x03,0x4E,0x03,0x7E,0x03,0xAC,0x03,0xFD,0x04,0x44,0x04,0x83,0x04,0xC0,0x04,0xF5,
	0x39, 0, 15, 0xB2,0x05,0x29,0x05,0x88,0x05,0xE0,0x06,0x0A,0x06,0x1D,0x06,0x2F,0x06,0x2F,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x34,0x02,0x3F,0x02,0x4A,0x02,0x55,0x02,0x6B,0x02,0x81,0x02,0x9D,0x02,0xBA,
	0x39, 0, 19, 0xB4,0x02,0xE5,0x03,0x07,0x03,0x2F,0x03,0x56,0x03,0x9D,0x03,0xD8,0x04,0x11,0x04,0x49,0x04,0x79,
	0x39, 0, 15, 0xB5,0x04,0xA5,0x04,0xF5,0x05,0x3F,0x05,0x62,0x05,0x72,0x05,0x83,0x05,0x83,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x21,0x02,0x33,0x02,0x45,0x02,0x57,0x02,0x7B,0x02,0x9F,0x02,0xDC,0x03,0x18,
	0x39, 0, 19, 0xB7,0x03,0x5C,0x03,0x93,0x03,0xC9,0x03,0xFE,0x04,0x59,0x04,0xA7,0x04,0xEE,0x05,0x33,0x05,0x6F,
	0x39, 0, 15, 0xB8,0x05,0xA9,0x06,0x0F,0x06,0x6D,0x06,0x99,0x06,0xAD,0x06,0xC3,0x06,0xC3,
	
#if 1	
	0x39, 0, 2, 0xBF,0x00,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x70,0x02,0x77,0x02,0x7E,0x02,0x85,0x02,0x94,0x02,0xA3,0x02,0xC2,0x02,0xE1,
	0x39, 0, 19, 0xB1,0x03,0x0E,0x03,0x2F,0x03,0x52,0x03,0x73,0x03,0xB4,0x03,0xEE,0x04,0x25,0x04,0x5C,0x04,0x86,
	0x39, 0, 15, 0xB2,0x04,0xB5,0x05,0x07,0x05,0x52,0x05,0x78,0x05,0x89,0x05,0x97,0x05,0x97,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x60,0x02,0x69,0x02,0x72,0x02,0x7B,0x02,0x8E,0x02,0xA1,0x02,0xC7,0x02,0xDF,
	0x39, 0, 19, 0xB4,0x02,0xF1,0x03,0x09,0x03,0x20,0x03,0x3E,0x03,0x70,0x03,0xA1,0x03,0xCF,0x03,0xFB,0x04,0x23,
	0x39, 0, 15, 0xB5,0x04,0x4C,0x04,0x91,0x04,0xD1,0x04,0xEF,0x04,0xFD,0x05,0x0B,0x05,0x0B,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x76,0x02,0x80,0x02,0x8A,0x02,0x94,0x02,0xA9,0x02,0xBE,0x02,0xE9,0x03,0x0D,
	0x39, 0, 19, 0xB7,0x03,0x38,0x03,0x62,0x03,0x8D,0x03,0xBA,0x04,0x05,0x04,0x47,0x04,0x86,0x04,0xBF,0x04,0xF2,
	0x39, 0, 15, 0xB8,0x05,0x26,0x05,0x80,0x05,0xD4,0x05,0xFC,0x06,0x0E,0x06,0x1F,0x06,0x1F,
#else   
    //ԣV2ĲGammaȫΪ0
	0x39, 0, 2, 0xBF,0x00,
	0x39, 0, 19, 0xB0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 19, 0xB1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 15, 0xB2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 19, 0xB3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 19, 0xB4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 15, 0xB5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 19, 0xB6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 19, 0xB7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 15, 0xB8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
#endif
	
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xBF,0x19,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x92,0x01,0xDB,0x02,0x24,0x02,0x5D,0x02,0xCC,0x03,0x29,0x03,0xC5,0x04,0x45,
	0x39, 0, 19, 0xB1,0x04,0xB1,0x05,0x11,0x05,0x64,0x05,0xB6,0x06,0x45,0x06,0xC5,0x07,0x39,0x07,0xAC,0x08,0x15,
	0x39, 0, 15, 0xB2,0x08,0x7E,0x09,0x4E,0x0A,0x19,0x0A,0x83,0x0A,0xB7,0x0A,0xED,0x0A,0xED,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x75,0x01,0xB5,0x01,0xDD,0x02,0x11,0x02,0x77,0x02,0xCF,0x03,0x5E,0x03,0xCF,
	0x39, 0, 19, 0xB4,0x04,0x30,0x04,0x85,0x04,0xCE,0x05,0x16,0x05,0x93,0x06,0x04,0x06,0x69,0x06,0xCD,0x07,0x27,
	0x39, 0, 15, 0xB5,0x07,0x80,0x08,0x31,0x08,0xDB,0x09,0x33,0x09,0x5E,0x09,0x88,0x09,0x88,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x7B,0x01,0xD8,0x02,0x26,0x02,0x6E,0x02,0xFC,0x03,0x71,0x04,0x27,0x04,0xB4,
	0x39, 0, 19, 0xB7,0x05,0x2A,0x05,0x92,0x05,0xEB,0x06,0x42,0x06,0xDA,0x07,0x64,0x07,0xE2,0x08,0x5E,0x08,0xD1,
	0x39, 0, 15, 0xB8,0x09,0x43,0x0A,0x27,0x0B,0x09,0x0B,0x7F,0x0B,0xB9,0x0B,0xED,0x0B,0xED,
	0x39, 0, 2, 0xBF,0x18,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x0B,0x02,0x3A,0x02,0x69,0x02,0x92,0x02,0xE0,0x03,0x29,0x03,0xAB,0x04,0x1A,
	0x39, 0, 19, 0xB1,0x04,0x7C,0x04,0xD2,0x05,0x1E,0x05,0x68,0x05,0xEA,0x06,0x5E,0x06,0xC8,0x07,0x2A,0x07,0x8A,
	0x39, 0, 15, 0xB2,0x07,0xE3,0x08,0x90,0x09,0x38,0x09,0x8B,0x09,0xB4,0x09,0xE0,0x09,0xE0,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x19,0x02,0x34,0x02,0x45,0x02,0x5F,0x02,0x91,0x02,0xCE,0x03,0x40,0x03,0xA1,
	0x39, 0, 19, 0xB4,0x03,0xF8,0x04,0x45,0x04,0x88,0x04,0xCA,0x05,0x3B,0x05,0xA1,0x05,0xFE,0x06,0x53,0x06,0xA6,
	0x39, 0, 15, 0xB5,0x06,0xF3,0x07,0x88,0x08,0x17,0x08,0x5D,0x08,0x82,0x08,0xA4,0x08,0xA4,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x07,0x02,0x3D,0x02,0x6A,0x02,0x9C,0x02,0xFE,0x03,0x5C,0x03,0xFC,0x04,0x7C,
	0x39, 0, 19, 0xB7,0x04,0xE9,0x05,0x47,0x05,0x99,0x05,0xEA,0x06,0x75,0x06,0xF1,0x07,0x63,0x07,0xCD,0x08,0x35,
	0x39, 0, 15, 0xB8,0x08,0x95,0x09,0x53,0x0A,0x0E,0x0A,0x6A,0x0A,0x9A,0x0A,0xC7,0x0A,0xC7,
	0x39, 0, 2, 0xBF,0x17,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x59,0x02,0x22,0x02,0x41,0x02,0x60,0x02,0x97,0x02,0xCA,0x03,0x2C,0x03,0x81,
	0x39, 0, 19, 0xB1,0x03,0xD1,0x04,0x1A,0x04,0x5A,0x04,0x97,0x05,0x02,0x05,0x65,0x05,0xBB,0x06,0x0C,0x06,0x59,
	0x39, 0, 15, 0xB2,0x06,0x9F,0x07,0x23,0x07,0xA0,0x07,0xDB,0x07,0xF8,0x08,0x14,0x08,0x17,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x62,0x02,0x26,0x02,0x37,0x02,0x42,0x02,0x62,0x02,0x83,0x02,0xD0,0x03,0x1C,
	0x39, 0, 19, 0xB4,0x03,0x61,0x03,0xA1,0x03,0xDA,0x04,0x10,0x04,0x70,0x04,0xC7,0x05,0x12,0x05,0x59,0x05,0x9C,
	0x39, 0, 15, 0xB5,0x05,0xDA,0x06,0x4D,0x06,0xB9,0x06,0xEC,0x07,0x05,0x07,0x1E,0x07,0x20,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x56,0x02,0x21,0x02,0x44,0x02,0x61,0x02,0xA2,0x02,0xE3,0x03,0x5F,0x03,0xC9,
	0x39, 0, 19, 0xB7,0x04,0x27,0x04,0x7C,0x04,0xC4,0x05,0x07,0x05,0x7B,0x05,0xE6,0x06,0x42,0x06,0x9A,0x06,0xEB,
	0x39, 0, 15, 0xB8,0x07,0x37,0x07,0xC6,0x08,0x4D,0x08,0x8C,0x08,0xAC,0x08,0xCB,0x08,0xCE,
	0x39, 0, 2, 0xBF,0x16,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xE4,0x02,0x00,0x02,0x1C,0x02,0x38,0x02,0x60,0x02,0x88,0x02,0xCB,0x03,0x0E,
	0x39, 0, 19, 0xB1,0x03,0x49,0x03,0x84,0x03,0xB7,0x03,0xE9,0x04,0x40,0x04,0x95,0x04,0xDC,0x05,0x22,0x05,0x5F,
	0x39, 0, 15, 0xB2,0x05,0x9B,0x06,0x07,0x06,0x69,0x06,0x98,0x06,0xB0,0x06,0xC5,0x06,0xC5,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x22,0x02,0x2A,0x02,0x32,0x02,0x37,0x02,0x41,0x02,0x51,0x02,0x7F,0x02,0xB4,
	0x39, 0, 19, 0xB4,0x02,0xE8,0x03,0x1D,0x03,0x4B,0x03,0x77,0x03,0xC3,0x04,0x0E,0x04,0x4D,0x04,0x8B,0x04,0xC1,
	0x39, 0, 15, 0xB5,0x04,0xF5,0x05,0x54,0x05,0xAA,0x05,0xD3,0x05,0xE7,0x05,0xFA,0x05,0xFA,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x02,0x02,0x18,0x02,0x2E,0x02,0x41,0x02,0x62,0x02,0x8B,0x02,0xE0,0x03,0x37,
	0x39, 0, 19, 0xB7,0x03,0x84,0x03,0xCC,0x04,0x09,0x04,0x45,0x04,0xA6,0x05,0x05,0x05,0x52,0x05,0x9E,0x05,0xE0,
	0x39, 0, 15, 0xB8,0x06,0x21,0x06,0x94,0x06,0xFD,0x07,0x30,0x07,0x48,0x07,0x60,0x07,0x60,
	0x39, 0, 2, 0xBF,0x15,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xE4,0x01,0xF8,0x02,0x0C,0x02,0x20,0x02,0x4C,0x02,0x73,0x02,0xC0,0x03,0x05,
	0x39, 0, 19, 0xB1,0x03,0x42,0x03,0x7D,0x03,0xB2,0x03,0xE6,0x04,0x3D,0x04,0x92,0x04,0xDA,0x05,0x20,0x05,0x5D,
	0x39, 0, 15, 0xB2,0x05,0x99,0x06,0x05,0x06,0x69,0x06,0x99,0x06,0xAF,0x06,0xC2,0x06,0xC2,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x18,0x02,0x23,0x02,0x2E,0x02,0x35,0x02,0x43,0x02,0x50,0x02,0x7F,0x02,0xB3,
	0x39, 0, 19, 0xB4,0x02,0xE6,0x03,0x17,0x03,0x46,0x03,0x73,0x03,0xBF,0x04,0x0A,0x04,0x4A,0x04,0x88,0x04,0xBE,
	0x39, 0, 15, 0xB5,0x04,0xF3,0x05,0x53,0x05,0xA9,0x05,0xD2,0x05,0xE5,0x05,0xF8,0x05,0xF8,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xFF,0x02,0x14,0x02,0x29,0x02,0x3B,0x02,0x61,0x02,0x86,0x02,0xE2,0x03,0x37,
	0x39, 0, 19, 0xB7,0x03,0x80,0x03,0xC8,0x04,0x06,0x04,0x43,0x04,0xA4,0x05,0x03,0x05,0x51,0x05,0x9D,0x05,0xDF,
	0x39, 0, 15, 0xB8,0x06,0x1F,0x06,0x93,0x06,0xFD,0x07,0x2F,0x07,0x47,0x07,0x5E,0x07,0x5E,
	0x39, 0, 2, 0xBF,0x14,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x0A,0x02,0x1C,0x02,0x2E,0x02,0x40,0x02,0x62,0x02,0x85,0x02,0xCB,0x03,0x10,
	0x39, 0, 19, 0xB1,0x03,0x4E,0x03,0x85,0x03,0xB8,0x03,0xE9,0x04,0x43,0x04,0x93,0x04,0xD9,0x05,0x1E,0x05,0x5A,
	0x39, 0, 15, 0xB2,0x05,0x95,0x06,0x00,0x06,0x61,0x06,0x90,0x06,0xA6,0x06,0xBA,0x06,0xBA,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x3E,0x02,0x4A,0x02,0x56,0x02,0x5E,0x02,0x6B,0x02,0x77,0x02,0x97,0x02,0xC8,
	0x39, 0, 19, 0xB4,0x02,0xF9,0x03,0x28,0x03,0x55,0x03,0x81,0x03,0xCF,0x04,0x14,0x04,0x52,0x04,0x8F,0x04,0xC4,
	0x39, 0, 15, 0xB5,0x04,0xF7,0x05,0x54,0x05,0xA9,0x05,0xD1,0x05,0xE3,0x05,0xF7,0x05,0xF7,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x25,0x02,0x3A,0x02,0x4F,0x02,0x61,0x02,0x81,0x02,0xA1,0x02,0xED,0x03,0x42,
	0x39, 0, 19, 0xB7,0x03,0x8D,0x03,0xD0,0x04,0x0C,0x04,0x46,0x04,0xAA,0x05,0x03,0x05,0x50,0x05,0x9B,0x05,0xDC,
	0x39, 0, 15, 0xB8,0x06,0x1B,0x06,0x8E,0x06,0xF6,0x07,0x28,0x07,0x3F,0x07,0x56,0x07,0x56,
	0x39, 0, 2, 0xBF,0x13,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x48,0x02,0x58,0x02,0x68,0x02,0x78,0x02,0x98,0x02,0xB7,0x02,0xF6,0x03,0x2D,
	0x39, 0, 19, 0xB1,0x03,0x61,0x03,0x97,0x03,0xC0,0x03,0xF0,0x04,0x43,0x04,0x8D,0x04,0xD0,0x05,0x11,0x05,0x4B,
	0x39, 0, 15, 0xB2,0x05,0x84,0x05,0xEB,0x06,0x49,0x06,0x77,0x06,0x8D,0x06,0x9F,0x06,0x9F,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0xA0,0x02,0xA8,0x02,0xB0,0x02,0xB8,0x02,0xC2,0x02,0xCB,0x02,0xE5,0x03,0x00,
	0x39, 0, 19, 0xB4,0x03,0x24,0x03,0x4D,0x03,0x6F,0x03,0x95,0x03,0xD7,0x04,0x17,0x04,0x51,0x04,0x8A,0x04,0xBC,
	0x39, 0, 15, 0xB5,0x04,0xED,0x05,0x46,0x05,0x97,0x05,0xBD,0x05,0xCF,0x05,0xE1,0x05,0xE1,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x87,0x02,0x95,0x02,0xA3,0x02,0xB1,0x02,0xC9,0x02,0xE0,0x03,0x20,0x03,0x5B,
	0x39, 0, 19, 0xB7,0x03,0x9B,0x03,0xDB,0x04,0x0F,0x04,0x46,0x04,0xA4,0x04,0xF8,0x05,0x42,0x05,0x8B,0x05,0xCA,
	0x39, 0, 15, 0xB8,0x06,0x08,0x06,0x78,0x06,0xDC,0x07,0x0C,0x07,0x23,0x07,0x39,0x07,0x39,
	0x39, 0, 2, 0xBF,0x12,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0xAB,0x02,0xB5,0x02,0xBF,0x02,0xC9,0x02,0xDE,0x02,0xF3,0x03,0x21,0x03,0x4D,
	0x39, 0, 19, 0xB1,0x03,0x80,0x03,0xA7,0x03,0xCC,0x03,0xF4,0x04,0x40,0x04,0x82,0x04,0xC0,0x04,0xFD,0x05,0x34,
	0x39, 0, 15, 0xB2,0x05,0x69,0x05,0xCA,0x06,0x23,0x06,0x4F,0x06,0x64,0x06,0x76,0x06,0x76,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0xF4,0x02,0xFC,0x03,0x04,0x03,0x0C,0x03,0x1D,0x03,0x28,0x03,0x3A,0x03,0x4A,
	0x39, 0, 19, 0xB4,0x03,0x61,0x03,0x7B,0x03,0x93,0x03,0xAE,0x03,0xEC,0x04,0x1C,0x04,0x50,0x04,0x82,0x04,0xB1,
	0x39, 0, 15, 0xB5,0x04,0xDE,0x05,0x30,0x05,0x7C,0x05,0xA0,0x05,0xB1,0x05,0xC2,0x05,0xC2,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0xDA,0x02,0xE6,0x02,0xF2,0x02,0xFE,0x03,0x17,0x03,0x2C,0x03,0x57,0x03,0x81,
	0x39, 0, 19, 0xB7,0x03,0xB7,0x03,0xE6,0x04,0x12,0x04,0x3F,0x04,0x9F,0x04,0xE6,0x05,0x2D,0x05,0x72,0x05,0xAE,
	0x39, 0, 15, 0xB8,0x05,0xE9,0x06,0x53,0x06,0xB4,0x06,0xE2,0x06,0xF7,0x07,0x0C,0x07,0x0C,
	0x39, 0, 2, 0xBF,0x11,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0xF9,0x03,0x01,0x03,0x09,0x03,0x11,0x03,0x21,0x03,0x31,0x03,0x52,0x03,0x72,
	0x39, 0, 19, 0xB1,0x03,0x91,0x03,0xB5,0x03,0xD6,0x03,0xF7,0x04,0x38,0x04,0x70,0x04,0xA7,0x04,0xDD,0x05,0x0F,
	0x39, 0, 15, 0xB2,0x05,0x3C,0x05,0x96,0x05,0xE9,0x06,0x10,0x06,0x22,0x06,0x35,0x06,0x35,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0x58,0x03,0x5D,0x03,0x62,0x03,0x67,0x03,0x71,0x03,0x7B,0x03,0x88,0x03,0x93,
	0x39, 0, 19, 0xB4,0x03,0xA1,0x03,0xB2,0x03,0xC3,0x03,0xD5,0x04,0x00,0x04,0x26,0x04,0x51,0x04,0x7A,0x04,0xA2,
	0x39, 0, 15, 0xB5,0x04,0xC7,0x05,0x0F,0x05,0x53,0x05,0x75,0x05,0x84,0x05,0x92,0x05,0x92,
	0x39, 0, 19, 0xB6,0x00,0x00,0x03,0x3B,0x03,0x43,0x03,0x4B,0x03,0x53,0x03,0x64,0x03,0x75,0x03,0x92,0x03,0xAD,
	0x39, 0, 19, 0xB7,0x03,0xCE,0x03,0xF6,0x04,0x1A,0x04,0x3F,0x04,0x8B,0x04,0xCC,0x05,0x0A,0x05,0x47,0x05,0x82,
	0x39, 0, 15, 0xB8,0x05,0xB4,0x06,0x19,0x06,0x74,0x06,0x9E,0x06,0xB2,0x06,0xC6,0x06,0xC6,
	0x39, 0, 2, 0xBF,0x10,
	0x39, 0, 19, 0xB0,0x00,0x00,0x03,0x4F,0x03,0x54,0x03,0x59,0x03,0x5E,0x03,0x68,0x03,0x72,0x03,0x87,0x03,0x9C,
	0x39, 0, 19, 0xB1,0x03,0xB1,0x03,0xC4,0x03,0xD9,0x03,0xEF,0x04,0x1A,0x04,0x46,0x04,0x70,0x04,0x99,0x04,0xBE,
	0x39, 0, 15, 0xB2,0x04,0xE5,0x05,0x2A,0x05,0x6C,0x05,0x8F,0x05,0x9F,0x05,0xAD,0x05,0xAD,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0xB6,0x03,0xB9,0x03,0xBC,0x03,0xBF,0x03,0xC6,0x03,0xCD,0x03,0xDB,0x03,0xE4,
	0x39, 0, 19, 0xB4,0x03,0xED,0x03,0xF4,0x03,0xFD,0x04,0x06,0x04,0x1A,0x04,0x2F,0x04,0x49,0x04,0x65,0x04,0x80,
	0x39, 0, 15, 0xB5,0x04,0x9A,0x04,0xCF,0x05,0x02,0x05,0x1B,0x05,0x26,0x05,0x33,0x05,0x33,
	0x39, 0, 19, 0xB6,0x00,0x00,0x03,0x9C,0x03,0xA1,0x03,0xA6,0x03,0xAB,0x03,0xB5,0x03,0xBF,0x03,0xD3,0x03,0xE4,
	0x39, 0, 19, 0xB7,0x03,0xF8,0x04,0x09,0x04,0x1E,0x04,0x34,0x04,0x64,0x04,0x92,0x04,0xC3,0x04,0xF3,0x05,0x1F,
	0x39, 0, 15, 0xB8,0x05,0x4C,0x05,0x9E,0x05,0xE9,0x06,0x0E,0x06,0x1F,0x06,0x31,0x06,0x31,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xBF,0x29,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xCF,0x02,0x1E,0x02,0x6C,0x02,0xAC,0x03,0x20,0x03,0x7F,0x04,0x20,0x04,0xA3,
	0x39, 0, 19, 0xB1,0x05,0x11,0x05,0x72,0x05,0xC5,0x06,0x18,0x06,0xA7,0x07,0x26,0x07,0x97,0x08,0x06,0x08,0x69,
	0x39, 0, 15, 0xB2,0x08,0xC5,0x09,0x7C,0x0A,0x28,0x0A,0x7B,0x0A,0xA1,0x0A,0xCE,0x0A,0xCE,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x2E,0x01,0xA9,0x01,0xF5,0x02,0x46,0x02,0xC5,0x03,0x1F,0x03,0xB4,0x04,0x29,
	0x39, 0, 19, 0xB4,0x04,0x8C,0x04,0xE3,0x05,0x2D,0x05,0x76,0x05,0xF3,0x06,0x64,0x06,0xC6,0x07,0x25,0x07,0x78,
	0x39, 0, 15, 0xB5,0x07,0xC6,0x08,0x5E,0x08,0xE9,0x09,0x2C,0x09,0x49,0x09,0x69,0x09,0x69,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x82,0x01,0xFA,0x02,0x5D,0x02,0xBD,0x03,0x55,0x03,0xCA,0x04,0x84,0x05,0x13,
	0x39, 0, 19, 0xB7,0x05,0x8A,0x05,0xF3,0x06,0x4C,0x06,0xA4,0x07,0x3C,0x07,0xC5,0x08,0x3F,0x08,0xB7,0x09,0x23,
	0x39, 0, 15, 0xB8,0x09,0x8B,0x0A,0x55,0x0B,0x17,0x0B,0x78,0x0B,0xA5,0x0B,0xD6,0x0B,0xD6,
	0x39, 0, 2, 0xBF,0x28,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x10,0x02,0x53,0x02,0x97,0x02,0xC6,0x03,0x21,0x03,0x72,0x03,0xFD,0x04,0x73,
	0x39, 0, 19, 0xB1,0x04,0xD7,0x05,0x30,0x05,0x7D,0x05,0xC8,0x06,0x4A,0x06,0xBF,0x07,0x27,0x07,0x86,0x07,0xE3,
	0x39, 0, 15, 0xB2,0x08,0x38,0x08,0xD7,0x09,0x6A,0x09,0xB0,0x09,0xD5,0x09,0xFD,0x09,0xFD,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x05,0x02,0x21,0x02,0x33,0x02,0x62,0x02,0xBE,0x03,0x0A,0x03,0x8B,0x03,0xF6,
	0x39, 0, 19, 0xB4,0x04,0x4F,0x04,0x9F,0x04,0xE4,0x05,0x27,0x05,0x9A,0x06,0x00,0x06,0x5C,0x06,0xAF,0x06,0xFF,
	0x39, 0, 15, 0xB5,0x07,0x48,0x07,0xCF,0x08,0x4A,0x08,0x84,0x08,0xA3,0x08,0xC0,0x08,0xC0,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xF6,0x02,0x3E,0x02,0x7B,0x02,0xBE,0x03,0x40,0x03,0xA9,0x04,0x52,0x04,0xD9,
	0x39, 0, 19, 0xB7,0x05,0x47,0x05,0xA7,0x05,0xFA,0x06,0x4B,0x06,0xD6,0x07,0x52,0x07,0xC2,0x08,0x28,0x08,0x8C,
	0x39, 0, 15, 0xB8,0x08,0xEA,0x09,0x99,0x0A,0x40,0x0A,0x8F,0x0A,0xBA,0x0A,0xDF,0x0A,0xDF,
	0x39, 0, 2, 0xBF,0x27,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x82,0x02,0x31,0x02,0x5D,0x02,0x8A,0x02,0xCC,0x03,0x07,0x03,0x75,0x03,0xD1,
	0x39, 0, 19, 0xB1,0x04,0x25,0x04,0x73,0x04,0xB4,0x04,0xF3,0x05,0x61,0x05,0xC5,0x06,0x1B,0x06,0x6D,0x06,0xBA,
	0x39, 0, 15, 0xB2,0x06,0xFF,0x07,0x7F,0x07,0xF8,0x08,0x31,0x08,0x4C,0x08,0x67,0x08,0x6A,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x7A,0x02,0x13,0x02,0x24,0x02,0x2F,0x02,0x68,0x02,0xA4,0x03,0x0D,0x03,0x62,
	0x39, 0, 19, 0xB4,0x03,0xAF,0x03,0xF6,0x04,0x30,0x04,0x68,0x04,0xCB,0x05,0x24,0x05,0x71,0x05,0xB8,0x05,0xFB,
	0x39, 0, 15, 0xB5,0x06,0x38,0x06,0xA9,0x07,0x11,0x07,0x42,0x07,0x59,0x07,0x70,0x07,0x71,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x70,0x02,0x19,0x02,0x47,0x02,0x70,0x02,0xC6,0x03,0x1B,0x03,0xAC,0x04,0x1D,
	0x39, 0, 19, 0xB7,0x04,0x80,0x04,0xD9,0x05,0x21,0x05,0x65,0x05,0xDC,0x06,0x47,0x06,0xA4,0x06,0xFB,0x07,0x4C,
	0x39, 0, 15, 0xB8,0x07,0x96,0x08,0x21,0x08,0xA3,0x08,0xE2,0x09,0x00,0x09,0x1D,0x09,0x20,
	0x39, 0, 2, 0xBF,0x26,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xDA,0x02,0x05,0x02,0x2F,0x02,0x59,0x02,0x8F,0x02,0xBC,0x03,0x0A,0x03,0x53,
	0x39, 0, 19, 0xB1,0x03,0x97,0x03,0xD4,0x04,0x0B,0x04,0x41,0x04,0x9A,0x04,0xF2,0x05,0x3B,0x05,0x82,0x05,0xC0,
	0x39, 0, 15, 0xB2,0x05,0xFD,0x06,0x68,0x06,0xCA,0x06,0xF9,0x07,0x0E,0x07,0x25,0x07,0x25,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x16,0x02,0x1A,0x02,0x1D,0x02,0x1F,0x02,0x31,0x02,0x59,0x02,0xA5,0x02,0xEB,
	0x39, 0, 19, 0xB4,0x03,0x2A,0x03,0x67,0x03,0x98,0x03,0xC8,0x04,0x18,0x04,0x67,0x04,0xA8,0x04,0xE8,0x05,0x1E,
	0x39, 0, 15, 0xB5,0x05,0x54,0x05,0xB4,0x06,0x0A,0x06,0x33,0x06,0x46,0x06,0x59,0x06,0x59,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xF3,0x02,0x0F,0x02,0x2A,0x02,0x41,0x02,0x74,0x02,0xB3,0x03,0x21,0x03,0x82,
	0x39, 0, 19, 0xB7,0x03,0xD6,0x04,0x22,0x04,0x61,0x04,0xA0,0x05,0x02,0x05,0x64,0x05,0xB3,0x06,0x00,0x06,0x42,
	0x39, 0, 15, 0xB8,0x06,0x83,0x06,0xF6,0x07,0x5F,0x07,0x91,0x07,0xA7,0x07,0xC0,0x07,0xC0,
	0x39, 0, 2, 0xBF,0x25,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x75,0x01,0xA5,0x01,0xD4,0x02,0x03,0x02,0x50,0x02,0x92,0x02,0xF8,0x03,0x44,
	0x39, 0, 19, 0xB1,0x03,0x89,0x03,0xCC,0x04,0x04,0x04,0x3C,0x04,0x95,0x04,0xEE,0x05,0x37,0x05,0x7F,0x05,0xBE,
	0x39, 0, 15, 0xB2,0x05,0xFC,0x06,0x66,0x06,0xC9,0x06,0xF9,0x07,0x10,0x07,0x23,0x07,0x23,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x1B,0x02,0x24,0x02,0x2C,0x02,0x31,0x02,0x40,0x02,0x5C,0x02,0x9F,0x02,0xE7,
	0x39, 0, 19, 0xB4,0x03,0x24,0x03,0x5F,0x03,0x90,0x03,0xC1,0x04,0x12,0x04,0x62,0x04,0xA4,0x04,0xE5,0x05,0x1C,
	0x39, 0, 15, 0xB5,0x05,0x52,0x05,0xB2,0x06,0x08,0x06,0x31,0x06,0x44,0x06,0x57,0x06,0x57,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xE5,0x02,0x04,0x02,0x22,0x02,0x3B,0x02,0x70,0x02,0xAF,0x03,0x1E,0x03,0x7E,
	0x39, 0, 19, 0xB7,0x03,0xCF,0x04,0x1E,0x04,0x5D,0x04,0x9C,0x04,0xFF,0x05,0x61,0x05,0xB0,0x05,0xFE,0x06,0x41,
	0x39, 0, 15, 0xB8,0x06,0x83,0x06,0xF5,0x07,0x5E,0x07,0x90,0x07,0xA8,0x07,0xBF,0x07,0xBF,
	0x39, 0, 2, 0xBF,0x24,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xD2,0x01,0xED,0x02,0x09,0x02,0x24,0x02,0x57,0x02,0x8B,0x02,0xED,0x03,0x44,
	0x39, 0, 19, 0xB1,0x03,0x8F,0x03,0xCD,0x04,0x05,0x04,0x3D,0x04,0x97,0x04,0xEC,0x05,0x35,0x05,0x7C,0x05,0xB9,
	0x39, 0, 15, 0xB2,0x05,0xF5,0x06,0x5F,0x06,0xC1,0x06,0xF0,0x07,0x07,0x07,0x1B,0x07,0x1B,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x0D,0x02,0x1C,0x02,0x2C,0x02,0x35,0x02,0x44,0x02,0x5B,0x02,0x8F,0x02,0xD9,
	0x39, 0, 19, 0xB4,0x03,0x22,0x03,0x61,0x03,0x95,0x03,0xC8,0x04,0x1D,0x04,0x67,0x04,0xA8,0x04,0xE8,0x05,0x1E,
	0x39, 0, 15, 0xB5,0x05,0x53,0x05,0xB1,0x06,0x07,0x06,0x2E,0x06,0x41,0x06,0x55,0x06,0x55,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xF4,0x02,0x11,0x02,0x2F,0x02,0x47,0x02,0x74,0x02,0xAB,0x03,0x11,0x03,0x7A,
	0x39, 0, 19, 0xB7,0x03,0xD4,0x04,0x20,0x04,0x5F,0x04,0x9D,0x05,0x03,0x05,0x5F,0x05,0xAE,0x05,0xFB,0x06,0x3C,
	0x39, 0, 15, 0xB8,0x06,0x7C,0x06,0xEE,0x07,0x57,0x07,0x88,0x07,0x9F,0x07,0xB7,0x07,0xB7,
	0x39, 0, 2, 0xBF,0x23,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x08,0x02,0x1D,0x02,0x33,0x02,0x48,0x02,0x73,0x02,0x9D,0x02,0xF4,0x03,0x47,
	0x39, 0, 19, 0xB1,0x03,0x8E,0x03,0xCE,0x04,0x03,0x04,0x33,0x04,0x8E,0x04,0xDF,0x05,0x25,0x05,0x6A,0x05,0xA7,
	0x39, 0, 15, 0xB2,0x05,0xE1,0x06,0x49,0x06,0xA7,0x06,0xD7,0x06,0xED,0x06,0xFE,0x06,0xFE,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x41,0x02,0x4D,0x02,0x5A,0x02,0x66,0x02,0x76,0x02,0x85,0x02,0xAE,0x02,0xE7,
	0x39, 0, 19, 0xB4,0x03,0x26,0x03,0x63,0x03,0x97,0x03,0xC5,0x04,0x17,0x04,0x5F,0x04,0x9E,0x04,0xDC,0x05,0x11,
	0x39, 0, 15, 0xB5,0x05,0x44,0x05,0xA0,0x05,0xF2,0x06,0x1A,0x06,0x2C,0x06,0x3D,0x06,0x3D,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x29,0x02,0x41,0x02,0x5A,0x02,0x72,0x02,0x9C,0x02,0xC5,0x03,0x23,0x03,0x7E,
	0x39, 0, 19, 0xB7,0x03,0xCF,0x04,0x1A,0x04,0x57,0x04,0x91,0x04,0xF8,0x05,0x4F,0x05,0x9C,0x05,0xE8,0x06,0x29,
	0x39, 0, 15, 0xB8,0x06,0x67,0x06,0xD7,0x07,0x3B,0x07,0x6D,0x07,0x84,0x07,0x99,0x07,0x99,
	0x39, 0, 2, 0xBF,0x22,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x33,0x02,0x45,0x02,0x58,0x02,0x6A,0x02,0x90,0x02,0xB5,0x02,0xFE,0x03,0x45,
	0x39, 0, 19, 0xB1,0x03,0x88,0x03,0xC4,0x03,0xF8,0x04,0x27,0x04,0x7B,0x04,0xC9,0x05,0x0C,0x05,0x4E,0x05,0x88,
	0x39, 0, 15, 0xB2,0x05,0xC0,0x06,0x25,0x06,0x7F,0x06,0xAC,0x06,0xC1,0x06,0xD3,0x06,0xD3,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x7B,0x02,0x83,0x02,0x8C,0x02,0x94,0x02,0xA7,0x02,0xB2,0x02,0xDB,0x03,0x03,
	0x39, 0, 19, 0xB4,0x03,0x32,0x03,0x68,0x03,0x95,0x03,0xC0,0x04,0x0C,0x04,0x57,0x04,0x90,0x04,0xC8,0x04,0xFC,
	0x39, 0, 15, 0xB5,0x05,0x2D,0x05,0x83,0x05,0xD2,0x05,0xF7,0x06,0x08,0x06,0x1A,0x06,0x1A,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x5D,0x02,0x70,0x02,0x84,0x02,0x97,0x02,0xBF,0x02,0xE0,0x03,0x31,0x03,0x81,
	0x39, 0, 19, 0xB7,0x03,0xC6,0x04,0x0B,0x04,0x46,0x04,0x7D,0x04,0xDC,0x05,0x38,0x05,0x81,0x05,0xC8,0x06,0x07,
	0x39, 0, 15, 0xB8,0x06,0x43,0x06,0xB0,0x07,0x11,0x07,0x40,0x07,0x56,0x07,0x6B,0x07,0x6B,
	0x39, 0, 2, 0xBF,0x21,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x6A,0x02,0x78,0x02,0x87,0x02,0x96,0x02,0xB4,0x02,0xD2,0x03,0x11,0x03,0x48,
	0x39, 0, 19, 0xB1,0x03,0x7F,0x03,0xB2,0x03,0xE1,0x04,0x0F,0x04,0x60,0x04,0xA6,0x04,0xE5,0x05,0x22,0x05,0x57,
	0x39, 0, 15, 0xB2,0x05,0x8B,0x05,0xE9,0x06,0x40,0x06,0x6A,0x06,0x7D,0x06,0x8F,0x06,0x8F,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x9C,0x02,0xA6,0x02,0xB1,0x02,0xBC,0x02,0xD1,0x02,0xE6,0x03,0x02,0x03,0x1E,
	0x39, 0, 19, 0xB4,0x03,0x49,0x03,0x6B,0x03,0x92,0x03,0xB9,0x04,0x00,0x04,0x3A,0x04,0x73,0x04,0xAB,0x04,0xDB,
	0x39, 0, 15, 0xB5,0x05,0x07,0x05,0x56,0x05,0x9F,0x05,0xC2,0x05,0xD2,0x05,0xE3,0x05,0xE3,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x89,0x02,0x9A,0x02,0xAC,0x02,0xBE,0x02,0xE1,0x03,0x04,0x03,0x41,0x03,0x7C,
	0x39, 0, 19, 0xB7,0x03,0xC0,0x03,0xF7,0x04,0x2C,0x04,0x61,0x04,0xBC,0x05,0x09,0x05,0x50,0x05,0x95,0x05,0xD1,
	0x39, 0, 15, 0xB8,0x06,0x0B,0x06,0x70,0x06,0xCD,0x06,0xF9,0x07,0x0D,0x07,0x23,0x07,0x23,
	0x39, 0, 2, 0xBF,0x20,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0xD6,0x02,0xDD,0x02,0xE4,0x02,0xEA,0x02,0xF9,0x03,0x08,0x03,0x27,0x03,0x46,
	0x39, 0, 19, 0xB1,0x03,0x72,0x03,0x93,0x03,0xB6,0x03,0xD7,0x04,0x17,0x04,0x51,0x04,0x88,0x04,0xBE,0x04,0xE8,
	0x39, 0, 15, 0xB2,0x05,0x17,0x05,0x69,0x05,0xB4,0x05,0xD9,0x05,0xEA,0x05,0xF8,0x05,0xF8,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0xC6,0x02,0xCF,0x02,0xD8,0x02,0xE0,0x02,0xF3,0x03,0x06,0x03,0x2C,0x03,0x44,
	0x39, 0, 19, 0xB4,0x03,0x55,0x03,0x6D,0x03,0x84,0x03,0xA2,0x03,0xD3,0x04,0x04,0x04,0x32,0x04,0x5D,0x04,0x85,
	0x39, 0, 15, 0xB5,0x04,0xAE,0x04,0xF3,0x05,0x33,0x05,0x50,0x05,0x5E,0x05,0x6C,0x05,0x6C,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0xDC,0x02,0xE6,0x02,0xF0,0x02,0xF9,0x03,0x0E,0x03,0x23,0x03,0x4E,0x03,0x72,
	0x39, 0, 19, 0xB7,0x03,0x9C,0x03,0xC6,0x03,0xF1,0x04,0x1E,0x04,0x68,0x04,0xAA,0x04,0xE9,0x05,0x21,0x05,0x54,
	0x39, 0, 15, 0xB8,0x05,0x88,0x05,0xE2,0x06,0x36,0x06,0x5D,0x06,0x6F,0x06,0x80,0x06,0x80,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xBF,0x39,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xFD,0x02,0x44,0x02,0x8C,0x02,0xC3,0x03,0x31,0x03,0x8D,0x04,0x28,0x04,0xA7,
	0x39, 0, 19, 0xB1,0x05,0x13,0x05,0x73,0x05,0xC5,0x06,0x17,0x06,0xA4,0x07,0x23,0x07,0x93,0x08,0x02,0x08,0x64,
	0x39, 0, 15, 0xB2,0x08,0xC1,0x09,0x78,0x0A,0x22,0x0A,0x76,0x0A,0x9D,0x0A,0xCC,0x0A,0xCC,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xE0,0x02,0x1E,0x02,0x45,0x02,0x77,0x02,0xDC,0x03,0x33,0x03,0xC1,0x04,0x31,
	0x39, 0, 19, 0xB4,0x04,0x92,0x04,0xE7,0x05,0x2F,0x05,0x77,0x05,0xF2,0x06,0x62,0x06,0xC3,0x07,0x23,0x07,0x76,
	0x39, 0, 15, 0xB5,0x07,0xC3,0x08,0x5B,0x08,0xE5,0x09,0x26,0x09,0x44,0x09,0x67,0x09,0x67,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xE6,0x02,0x41,0x02,0x8E,0x02,0xD4,0x03,0x61,0x03,0xD5,0x04,0x8A,0x05,0x16,
	0x39, 0, 19, 0xB7,0x05,0x8C,0x05,0xF4,0x06,0x4C,0x06,0xA3,0x07,0x39,0x07,0xC2,0x08,0x3C,0x08,0xB4,0x09,0x20,
	0x39, 0, 15, 0xB8,0x09,0x86,0x0A,0x51,0x0B,0x14,0x0B,0x72,0x0B,0xA0,0x0B,0xCC,0x0B,0xCC,
	0x39, 0, 2, 0xBF,0x38,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x73,0x02,0xA1,0x02,0xCF,0x02,0xF7,0x03,0x45,0x03,0x8D,0x04,0x0E,0x04,0x7D,
	0x39, 0, 19, 0xB1,0x04,0xDE,0x05,0x34,0x05,0x80,0x05,0xC9,0x06,0x4A,0x06,0xBD,0x07,0x26,0x07,0x85,0x07,0xE1,
	0x39, 0, 15, 0xB2,0x08,0x35,0x08,0xD2,0x09,0x65,0x09,0xAD,0x09,0xD0,0x09,0xF5,0x09,0xF5,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x81,0x02,0x9B,0x02,0xAB,0x02,0xC4,0x02,0xF6,0x03,0x32,0x03,0xA3,0x04,0x04,
	0x39, 0, 19, 0xB4,0x04,0x5A,0x04,0xA7,0x04,0xEA,0x05,0x2B,0x05,0x9B,0x06,0x00,0x06,0x5C,0x06,0xAE,0x06,0xFD,
	0x39, 0, 15, 0xB5,0x07,0x45,0x07,0xCA,0x08,0x44,0x08,0x80,0x08,0x9E,0x08,0xB9,0x08,0xB9,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x70,0x02,0xA4,0x02,0xD0,0x03,0x01,0x03,0x63,0x03,0xC0,0x04,0x5F,0x04,0xDF,
	0x39, 0, 19, 0xB7,0x05,0x4B,0x05,0xA9,0x05,0xFB,0x06,0x4B,0x06,0xD5,0x07,0x50,0x07,0xC1,0x08,0x28,0x08,0x8C,
	0x39, 0, 15, 0xB8,0x08,0xE7,0x09,0x95,0x0A,0x3B,0x0A,0x8C,0x0A,0xB7,0x0A,0xDD,0x0A,0xDD,
	0x39, 0, 2, 0xBF,0x37,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0xC4,0x02,0x8A,0x02,0xA8,0x02,0xC7,0x02,0xFC,0x03,0x2F,0x03,0x90,0x03,0xE4,
	0x39, 0, 19, 0xB1,0x04,0x34,0x04,0x7D,0x04,0xBC,0x04,0xF9,0x05,0x64,0x05,0xC6,0x06,0x1C,0x06,0x6C,0x06,0xB8,
	0x39, 0, 15, 0xB2,0x06,0xFD,0x07,0x7E,0x07,0xF7,0x08,0x2E,0x08,0x49,0x08,0x63,0x08,0x66,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0xCD,0x02,0x8E,0x02,0x9E,0x02,0xA9,0x02,0xC7,0x02,0xE8,0x03,0x34,0x03,0x7F,
	0x39, 0, 19, 0xB4,0x03,0xC4,0x04,0x04,0x04,0x3C,0x04,0x72,0x04,0xD2,0x05,0x28,0x05,0x73,0x05,0xB9,0x05,0xFB,
	0x39, 0, 15, 0xB5,0x06,0x38,0x06,0xA8,0x07,0x10,0x07,0x3F,0x07,0x56,0x07,0x6D,0x07,0x6F,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0xC1,0x02,0x89,0x02,0xAB,0x02,0xC8,0x03,0x07,0x03,0x48,0x03,0xC3,0x04,0x2C,
	0x39, 0, 19, 0xB7,0x04,0x8A,0x04,0xDF,0x05,0x26,0x05,0x69,0x05,0xDD,0x06,0x47,0x06,0xA3,0x06,0xFA,0x07,0x4A,
	0x39, 0, 15, 0xB8,0x07,0x95,0x08,0x21,0x08,0xA4,0x08,0xDF,0x08,0xFD,0x09,0x1A,0x09,0x1D,
	0x39, 0, 2, 0xBF,0x36,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x4D,0x02,0x68,0x02,0x83,0x02,0x9F,0x02,0xC7,0x02,0xEE,0x03,0x30,0x03,0x72,
	0x39, 0, 19, 0xB1,0x03,0xAD,0x03,0xE7,0x04,0x1A,0x04,0x4C,0x04,0xA2,0x04,0xF7,0x05,0x3E,0x05,0x84,0x05,0xC0,
	0x39, 0, 15, 0xB2,0x05,0xFC,0x06,0x67,0x06,0xC8,0x06,0xF6,0x07,0x0E,0x07,0x23,0x07,0x23,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x8B,0x02,0x92,0x02,0x99,0x02,0x9E,0x02,0xA8,0x02,0xB7,0x02,0xE4,0x03,0x18,
	0x39, 0, 19, 0xB4,0x03,0x4C,0x03,0x80,0x03,0xAE,0x03,0xDA,0x04,0x25,0x04,0x70,0x04,0xAF,0x04,0xED,0x05,0x22,
	0x39, 0, 15, 0xB5,0x05,0x56,0x05,0xB4,0x06,0x09,0x06,0x31,0x06,0x45,0x06,0x58,0x06,0x58,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x6B,0x02,0x80,0x02,0x96,0x02,0xA8,0x02,0xC9,0x02,0xF1,0x03,0x45,0x03,0x9B,
	0x39, 0, 19, 0xB7,0x03,0xE8,0x04,0x2F,0x04,0x6C,0x04,0xA8,0x05,0x08,0x05,0x67,0x05,0xB4,0x06,0x00,0x06,0x41,
	0x39, 0, 15, 0xB8,0x06,0x82,0x06,0xF4,0x07,0x5C,0x07,0x8E,0x07,0xA6,0x07,0xBE,0x07,0xBE,
	0x39, 0, 2, 0xBF,0x35,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x4D,0x02,0x60,0x02,0x74,0x02,0x87,0x02,0xB3,0x02,0xD9,0x03,0x25,0x03,0x69,
	0x39, 0, 19, 0xB1,0x03,0xA6,0x03,0xE0,0x04,0x15,0x04,0x49,0x04,0x9F,0x04,0xF4,0x05,0x3C,0x05,0x82,0x05,0xBE,
	0x39, 0, 15, 0xB2,0x05,0xFA,0x06,0x65,0x06,0xC8,0x06,0xF7,0x07,0x0D,0x07,0x20,0x07,0x20,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0x81,0x02,0x8B,0x02,0x96,0x02,0x9C,0x02,0xAA,0x02,0xB6,0x02,0xE4,0x03,0x17,
	0x39, 0, 19, 0xB4,0x03,0x4A,0x03,0x7A,0x03,0xA9,0x03,0xD6,0x04,0x21,0x04,0x6C,0x04,0xAC,0x04,0xEA,0x05,0x1F,
	0x39, 0, 15, 0xB5,0x05,0x54,0x05,0xB3,0x06,0x08,0x06,0x30,0x06,0x43,0x06,0x56,0x06,0x56,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x68,0x02,0x7C,0x02,0x91,0x02,0xA2,0x02,0xC8,0x02,0xEC,0x03,0x47,0x03,0x9B,
	0x39, 0, 19, 0xB7,0x03,0xE4,0x04,0x2B,0x04,0x69,0x04,0xA6,0x05,0x06,0x05,0x65,0x05,0xB3,0x05,0xFF,0x06,0x40,
	0x39, 0, 15, 0xB8,0x06,0x80,0x06,0xF3,0x07,0x5C,0x07,0x8D,0x07,0xA5,0x07,0xBC,0x07,0xBC,
	0x39, 0, 2, 0xBF,0x34,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0x72,0x02,0x83,0x02,0x95,0x02,0xA7,0x02,0xC8,0x02,0xEA,0x03,0x30,0x03,0x74,
	0x39, 0, 19, 0xB1,0x03,0xB2,0x03,0xE8,0x04,0x1B,0x04,0x4C,0x04,0xA5,0x04,0xF5,0x05,0x3B,0x05,0x80,0x05,0xBB,
	0x39, 0, 15, 0xB2,0x05,0xF6,0x06,0x60,0x06,0xC0,0x06,0xEF,0x07,0x04,0x07,0x18,0x07,0x18,
	0x39, 0, 19, 0xB3,0x00,0x00,0x02,0xA6,0x02,0xB1,0x02,0xBD,0x02,0xC5,0x02,0xD1,0x02,0xDC,0x02,0xFC,0x03,0x2C,
	0x39, 0, 19, 0xB4,0x03,0x5D,0x03,0x8B,0x03,0xB8,0x03,0xE4,0x04,0x31,0x04,0x76,0x04,0xB4,0x04,0xF1,0x05,0x25,
	0x39, 0, 15, 0xB5,0x05,0x58,0x05,0xB4,0x06,0x08,0x06,0x30,0x06,0x41,0x06,0x55,0x06,0x55,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0x8D,0x02,0xA1,0x02,0xB6,0x02,0xC8,0x02,0xE7,0x03,0x06,0x03,0x52,0x03,0xA6,
	0x39, 0, 19, 0xB7,0x03,0xF1,0x04,0x33,0x04,0x6F,0x04,0xA9,0x05,0x0C,0x05,0x65,0x05,0xB2,0x05,0xFD,0x06,0x3D,
	0x39, 0, 15, 0xB8,0x06,0x7C,0x06,0xEE,0x07,0x55,0x07,0x87,0x07,0x9D,0x07,0xB4,0x07,0xB4,
	0x39, 0, 2, 0xBF,0x33,
	0x39, 0, 19, 0xB0,0x00,0x00,0x02,0xAE,0x02,0xBD,0x02,0xCD,0x02,0xDD,0x02,0xFD,0x03,0x1C,0x03,0x5A,0x03,0x91,
	0x39, 0, 19, 0xB1,0x03,0xC5,0x03,0xFA,0x04,0x23,0x04,0x53,0x04,0xA5,0x04,0xEF,0x05,0x32,0x05,0x73,0x05,0xAD,
	0x39, 0, 15, 0xB2,0x05,0xE5,0x06,0x4B,0x06,0xA8,0x06,0xD6,0x06,0xEC,0x06,0xFD,0x06,0xFD,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0x06,0x03,0x0D,0x03,0x15,0x03,0x1D,0x03,0x27,0x03,0x30,0x03,0x49,0x03,0x64,
	0x39, 0, 19, 0xB4,0x03,0x88,0x03,0xB0,0x03,0xD2,0x03,0xF8,0x04,0x39,0x04,0x79,0x04,0xB3,0x04,0xEC,0x05,0x1E,
	0x39, 0, 15, 0xB5,0x05,0x4E,0x05,0xA6,0x05,0xF6,0x06,0x1C,0x06,0x2E,0x06,0x3F,0x06,0x3F,
	0x39, 0, 19, 0xB6,0x00,0x00,0x02,0xED,0x02,0xFA,0x03,0x08,0x03,0x16,0x03,0x2E,0x03,0x45,0x03,0x84,0x03,0xBF,
	0x39, 0, 19, 0xB7,0x03,0xFF,0x04,0x3E,0x04,0x72,0x04,0xA9,0x05,0x06,0x05,0x5A,0x05,0xA4,0x05,0xED,0x06,0x2C,
	0x39, 0, 15, 0xB8,0x06,0x69,0x06,0xD8,0x07,0x3B,0x07,0x6B,0x07,0x82,0x07,0x97,0x07,0x97,
	0x39, 0, 2, 0xBF,0x32,
	0x39, 0, 19, 0xB0,0x00,0x00,0x03,0x10,0x03,0x1A,0x03,0x24,0x03,0x2E,0x03,0x42,0x03,0x57,0x03,0x85,0x03,0xB1,
	0x39, 0, 19, 0xB1,0x03,0xE4,0x04,0x0A,0x04,0x2F,0x04,0x57,0x04,0xA2,0x04,0xE4,0x05,0x22,0x05,0x5F,0x05,0x96,
	0x39, 0, 15, 0xB2,0x05,0xCA,0x06,0x2A,0x06,0x83,0x06,0xAE,0x06,0xC3,0x06,0xD5,0x06,0xD5,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0x59,0x03,0x61,0x03,0x69,0x03,0x71,0x03,0x81,0x03,0x8C,0x03,0x9E,0x03,0xAE,
	0x39, 0, 19, 0xB4,0x03,0xC5,0x03,0xDE,0x03,0xF6,0x04,0x11,0x04,0x4E,0x04,0x7E,0x04,0xB2,0x04,0xE4,0x05,0x13,
	0x39, 0, 15, 0xB5,0x05,0x3F,0x05,0x90,0x05,0xDC,0x05,0xFF,0x06,0x10,0x06,0x21,0x06,0x21,
	0x39, 0, 19, 0xB6,0x00,0x00,0x03,0x3F,0x03,0x4B,0x03,0x57,0x03,0x63,0x03,0x7B,0x03,0x90,0x03,0xBB,0x03,0xE5,
	0x39, 0, 19, 0xB7,0x04,0x1B,0x04,0x49,0x04,0x75,0x04,0xA2,0x05,0x01,0x05,0x48,0x05,0x8F,0x05,0xD4,0x06,0x10,
	0x39, 0, 15, 0xB8,0x06,0x4A,0x06,0xB3,0x07,0x14,0x07,0x41,0x07,0x56,0x07,0x6B,0x07,0x6B,
	0x39, 0, 2, 0xBF,0x31,
	0x39, 0, 19, 0xB0,0x00,0x00,0x03,0x5D,0x03,0x65,0x03,0x6D,0x03,0x75,0x03,0x85,0x03,0x95,0x03,0xB6,0x03,0xD6,
	0x39, 0, 19, 0xB1,0x03,0xF4,0x04,0x18,0x04,0x39,0x04,0x5A,0x04,0x9A,0x04,0xD2,0x05,0x09,0x05,0x3F,0x05,0x71,
	0x39, 0, 15, 0xB2,0x05,0x9E,0x05,0xF7,0x06,0x49,0x06,0x70,0x06,0x82,0x06,0x95,0x06,0x95,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0xBC,0x03,0xC1,0x03,0xC6,0x03,0xCB,0x03,0xD5,0x03,0xDF,0x03,0xEC,0x03,0xF7,
	0x39, 0, 19, 0xB4,0x04,0x04,0x04,0x15,0x04,0x26,0x04,0x38,0x04,0x62,0x04,0x88,0x04,0xB3,0x04,0xDC,0x05,0x04,
	0x39, 0, 15, 0xB5,0x05,0x29,0x05,0x70,0x05,0xB3,0x05,0xD5,0x05,0xE4,0x05,0xF2,0x05,0xF2,
	0x39, 0, 19, 0xB6,0x00,0x00,0x03,0x9F,0x03,0xA7,0x03,0xAF,0x03,0xB7,0x03,0xC8,0x03,0xD9,0x03,0xF6,0x04,0x11,
	0x39, 0, 19, 0xB7,0x04,0x31,0x04,0x59,0x04,0x7D,0x04,0xA2,0x04,0xEE,0x05,0x2E,0x05,0x6C,0x05,0xA9,0x05,0xE4,
	0x39, 0, 15, 0xB8,0x06,0x16,0x06,0x7A,0x06,0xD4,0x06,0xFE,0x07,0x12,0x07,0x26,0x07,0x26,
	0x39, 0, 2, 0xBF,0x30,
	0x39, 0, 19, 0xB0,0x00,0x00,0x03,0xB3,0x03,0xB8,0x03,0xBD,0x03,0xC2,0x03,0xCC,0x03,0xD6,0x03,0xEA,0x03,0xFF,
	0x39, 0, 19, 0xB1,0x04,0x14,0x04,0x27,0x04,0x3C,0x04,0x52,0x04,0x7D,0x04,0xA8,0x04,0xD2,0x04,0xFB,0x05,0x20,
	0x39, 0, 15, 0xB2,0x05,0x47,0x05,0x8C,0x05,0xCD,0x05,0xF0,0x06,0x00,0x06,0x0E,0x06,0x0E,
	0x39, 0, 19, 0xB3,0x00,0x00,0x04,0x1A,0x04,0x1D,0x04,0x20,0x04,0x23,0x04,0x2A,0x04,0x31,0x04,0x3E,0x04,0x47,
	0x39, 0, 19, 0xB4,0x04,0x50,0x04,0x57,0x04,0x60,0x04,0x69,0x04,0x7D,0x04,0x91,0x04,0xAB,0x04,0xC7,0x04,0xE2,
	0x39, 0, 15, 0xB5,0x04,0xFC,0x05,0x31,0x05,0x63,0x05,0x7C,0x05,0x87,0x05,0x94,0x05,0x94,
	0x39, 0, 19, 0xB6,0x00,0x00,0x04,0x00,0x04,0x05,0x04,0x0A,0x04,0x0F,0x04,0x19,0x04,0x23,0x04,0x36,0x04,0x47,
	0x39, 0, 19, 0xB7,0x04,0x5B,0x04,0x6C,0x04,0x81,0x04,0x97,0x04,0xC7,0x04,0xF4,0x05,0x25,0x05,0x55,0x05,0x81,
	0x39, 0, 15, 0xB8,0x05,0xAE,0x06,0x00,0x06,0x4A,0x06,0x6F,0x06,0x80,0x06,0x92,0x06,0x92,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 2, 0xBF,0x42,
	0x39, 0, 19, 0xB0,0x00,0x00,0x04,0x9E,0x04,0xD9,0x05,0x14,0x05,0x4F,0x05,0x9D,0x05,0xDD,0x06,0x48,0x06,0xAE,
	0x39, 0, 19, 0xB1,0x07,0x03,0x07,0x57,0x07,0xA0,0x07,0xE6,0x08,0x62,0x08,0xD5,0x09,0x36,0x09,0x94,0x09,0xE3,
	0x39, 0, 15, 0xB2,0x0A,0x35,0x0A,0xC4,0x0B,0x43,0x0B,0x81,0x0B,0x9F,0x0B,0xBA,0x0B,0xBA,
	0x39, 0, 19, 0xB3,0x00,0x00,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xD9,0x05,0x16,0x05,0x95,0x06,0x05,
	0x39, 0, 19, 0xB4,0x06,0x61,0x06,0xB3,0x06,0xF9,0x07,0x3A,0x07,0xA9,0x08,0x12,0x08,0x69,0x08,0xBE,0x09,0x07,
	0x39, 0, 15, 0xB5,0x09,0x4F,0x09,0xCE,0x0A,0x3F,0x0A,0x75,0x0A,0x8E,0x0A,0xA6,0x0A,0xA6,
	0x39, 0, 19, 0xB6,0x00,0x00,0x04,0x7B,0x04,0xA5,0x04,0xCF,0x04,0xF2,0x05,0x46,0x05,0xA5,0x06,0x4E,0x06,0xD9,
	0x39, 0, 19, 0xB7,0x07,0x4F,0x07,0xB7,0x08,0x10,0x08,0x62,0x08,0xEB,0x09,0x6D,0x09,0xD5,0x0A,0x3B,0x0A,0x90,
	0x39, 0, 15, 0xB8,0x0A,0xE8,0x0B,0x80,0x0C,0x07,0x0C,0x48,0x0C,0x67,0x0C,0x85,0x0C,0x85,
	0x39, 0, 2, 0xBF,0x41,
	0x39, 0, 19, 0xB0,0x00,0x00,0x03,0x85,0x04,0xC4,0x04,0xF1,0x05,0x1E,0x05,0x6A,0x05,0xA4,0x05,0xFF,0x06,0x50,
	0x39, 0, 19, 0xB1,0x06,0x9E,0x06,0xE1,0x07,0x21,0x07,0x60,0x07,0xCD,0x08,0x2F,0x08,0x8A,0x08,0xE0,0x09,0x2A,
	0x39, 0, 15, 0xB2,0x09,0x72,0x09,0xF0,0x0A,0x66,0x0A,0x9C,0x0A,0xB7,0x0A,0xD1,0x0A,0xD3,
	0x39, 0, 19, 0xB3,0x00,0x00,0x03,0x9B,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xC5,0x04,0xE0,0x05,0x3E,0x05,0x9E,
	0x39, 0, 19, 0xB4,0x05,0xF3,0x06,0x3C,0x06,0x7F,0x06,0xBC,0x07,0x23,0x07,0x7B,0x07,0xCE,0x08,0x1C,0x08,0x5E,
	0x39, 0, 15, 0xB5,0x08,0x9F,0x09,0x12,0x09,0x7A,0x09,0xAB,0x09,0xC3,0x09,0xDA,0x09,0xDC,
	0x39, 0, 19, 0xB6,0x00,0x00,0x03,0x6A,0x04,0x96,0x04,0xB6,0x04,0xD5,0x05,0x0F,0x05,0x50,0x05,0xDA,0x06,0x59,
	0x39, 0, 19, 0xB7,0x06,0xC3,0x07,0x20,0x07,0x75,0x07,0xC2,0x08,0x45,0x08,0xB2,0x09,0x18,0x09,0x78,0x09,0xC8,
	0x39, 0, 15, 0xB8,0x0A,0x16,0x0A,0x9E,0x0B,0x1C,0x0B,0x56,0x0B,0x73,0x0B,0x8E,0x0B,0x90,
	0x39, 0, 2, 0xBF,0x40,
	0x39, 0, 19, 0xB0,0x00,0x00,0x01,0x7F,0x04,0x7D,0x04,0xB0,0x04,0xC3,0x04,0xEA,0x05,0x10,0x05,0x58,0x05,0x8A,
	0x39, 0, 19, 0xB1,0x05,0xB7,0x05,0xE0,0x06,0x03,0x06,0x25,0x06,0x69,0x06,0xAB,0x06,0xE3,0x07,0x1A,0x07,0x50,
	0x39, 0, 15, 0xB2,0x07,0x80,0x07,0xDC,0x08,0x2E,0x08,0x56,0x08,0x6A,0x08,0x7C,0x08,0x7E,
	0x39, 0, 19, 0xB3,0x00,0x00,0x01,0x88,0x04,0x99,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBB,0x04,0xBE,0x04,0xD2,
	0x39, 0, 19, 0xB4,0x04,0xF2,0x05,0x1A,0x05,0x43,0x05,0x6C,0x05,0xB9,0x06,0x02,0x06,0x3E,0x06,0x77,0x06,0xAC,
	0x39, 0, 15, 0xB5,0x06,0xDB,0x07,0x31,0x07,0x7A,0x07,0x9E,0x07,0xB0,0x07,0xC1,0x07,0xC3,
	0x39, 0, 19, 0xB6,0x00,0x00,0x01,0x74,0x04,0x5B,0x04,0x88,0x04,0x96,0x04,0xB1,0x04,0xCC,0x04,0xFC,0x05,0x32,
	0x39, 0, 19, 0xB7,0x05,0x6D,0x05,0xAA,0x05,0xE1,0x06,0x17,0x06,0x7B,0x06,0xD5,0x07,0x22,0x07,0x6B,0x07,0xAF,
	0x39, 0, 15, 0xB8,0x07,0xE9,0x08,0x57,0x08,0xB1,0x08,0xDE,0x08,0xF4,0x09,0x09,0x09,0x0B,
	0x39, 0, 2, 0xCE,0x01,
	0x39, 0, 2, 0xCC,0x00,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x02,
	0x39, 0, 25, 0xB9,0x00,0x04,0x00,0x0C,0x00,0x14,0x00,0x1C,0x00,0x2C,0x00,0x3C,0x00,0x5C,0x00,0x7C,0x00,0x9C,0x00,0xBC,0x00,0xDC,0x00,0xFC,
	0x39, 0, 25, 0xBA,0x01,0x3C,0x01,0x7C,0x01,0xBC,0x01,0xFC,0x02,0x3C,0x02,0x7C,0x02,0xFC,0x03,0x7C,0x03,0xBC,0x03,0xDC,0x03,0xFC,0x03,0xFF,
///////////////////////////////////////////////////////
#endif
	
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x03,
	0x39, 0, 2, 0x6F,0x1E,
	0x39, 0, 7, 0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 7, 0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39, 0, 2, 0x6F,0x2A,
	0x39, 0, 7, 0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39, 0, 2, 0x6F,0x30,
	0x39, 0, 7, 0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39, 0, 2, 0x6F,0x36,
	0x39, 0, 7, 0xB0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,
	0x39, 0, 6, 0xB2,0x00,0x10,0x10,0x06,0x01,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 13, 0xB2,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,0x00,0x10,0x10,
	0x39, 0, 2, 0x6F,0x11,
	0x39, 0, 9, 0xB2,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,
	0x39, 0, 2, 0x6F,0x19,
	0x39, 0, 2, 0xB2,0x00,
	0x39, 0, 10, 0xB4,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
	0x39, 0, 16, 0xB6,0xB0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x0F,
	0x39, 0, 4, 0xB6,0x1F,0x00,0x0A,
	0x39, 0, 2, 0x6F,0x1A,
	0x39, 0, 4, 0xB6,0x0F,0x00,0x0A,
	0x39, 0, 2, 0x6F,0x25,
	0x39, 0, 4, 0xB6,0x0F,0x00,0x0A,
	0x39, 0, 2, 0x6F,0x30,
	0x39, 0, 4, 0xB6,0x0F,0x00,0x0A,
	0x39, 0, 17, 0xBB,0x11,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,0x00,0x0F,0x5E,
	0x39, 0, 17, 0xBC,0x22,0x10,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,0x00,0x10,0x3D,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x04,
	0x39, 0, 2, 0xC2,0x14,
	0x39, 0, 2, 0xB1,0x02,
	0x39, 0, 2, 0xB2,0x40,
	0x39, 0, 2, 0x6F,0x01,
	0x39, 0, 4, 0xB2,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x04,
	0x39, 0, 4, 0xB2,0x09,0xE3,0x40,
	0x39, 0, 2, 0x6F,0x07,
	0x39, 0, 4, 0xB2,0x09,0xE4,0x00,
	0x39, 0, 2, 0x6F,0x0A,
	0x39, 0, 4, 0xB2,0x09,0xE3,0x40,
	0x39, 0, 2, 0xCB,0x86,
	0x39, 0, 6, 0xD0,0x00,0x00,0x00,0x10,0x01,
	0x39, 0, 2, 0x6F,0x01,
	0x39, 0, 6, 0xCB,0x05,0x10,0x1F,0x3E,0x7C,
	0x39, 0, 2, 0x6F,0x06,
	0x39, 0, 11, 0xCB,0x00,0x08,0x00,0x62,0x01,0x47,0x07,0xFF,0x0F,0xFF,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 6, 0xD2,0x40,0x20,0x18,0x12,0x0A,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 6, 0xD2,0x40,0x20,0x18,0x0C,0x0B,
	0x39, 0, 2, 0x6F,0x0A,
	0x39, 0, 6, 0xD2,0x40,0x20,0x18,0x0F,0x0B,
	0x39, 0, 2, 0x6F,0x0F,
	0x39, 0, 6, 0xD2,0x40,0x10,0x14,0x10,0x0E,
	0x39, 0, 2, 0x6F,0x14,
	0x39, 0, 6, 0xD2,0x2F,0x20,0x20,0x10,0x12,
	0x39, 0, 2, 0x6F,0x19,
	0x39, 0, 6, 0xD2,0x80,0x30,0x15,0x10,0x0D,
	0x39, 0, 2, 0x6F,0x1E,
	0x39, 0, 6, 0xD2,0x80,0x30,0x28,0x10,0x08,
	0x39, 0, 2, 0x6F,0x23,
	0x39, 0, 6, 0xD2,0x80,0x20,0x18,0x0A,0x0A,
	0x39, 0, 2, 0x6F,0x28,
	0x39, 0, 6, 0xD2,0x68,0x20,0x1A,0x10,0x12,
	0x39, 0, 2, 0x6F,0x2D,
	0x39, 0, 6, 0xD2,0x60,0x20,0x20,0x10,0x1A,
	0x39, 0, 2, 0x6F,0x32,
	0x39, 0, 6, 0xD2,0x40,0x10,0x18,0x10,0x0A,
	0x39, 0, 2, 0x6F,0x37,
	0x39, 0, 6, 0xD2,0x40,0x10,0x18,0x10,0x0A,
	0x39, 0, 2, 0x6F,0x3C,
	0x39, 0, 6, 0xD2,0x40,0x10,0x18,0x10,0x08,
	0x39, 0, 2, 0x6F,0x41,
	0x39, 0, 6, 0xD2,0x40,0x10,0x18,0x10,0x0D,
	0x39, 0, 2, 0x6F,0x46,
	0x39, 0, 6, 0xD2,0x2F,0x20,0x20,0x10,0x10,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 6, 0xD4,0x40,0x30,0x18,0x0A,0x09,
	0x39, 0, 2, 0x6F,0x05,
	0x39, 0, 6, 0xD4,0x40,0x28,0x22,0x0A,0x08,
	0x39, 0, 2, 0x6F,0x0A,
	0x39, 0, 6, 0xD4,0x40,0x20,0x10,0x10,0x06,
	0x39, 0, 2, 0x6F,0x0F,
	0x39, 0, 6, 0xD4,0x30,0x20,0x10,0x10,0x04,
	0x39, 0, 2, 0x6F,0x14,
	0x39, 0, 6, 0xD4,0x30,0x20,0x10,0x10,0x04,
	0x39, 0, 2, 0x6F,0x19,
	0x39, 0, 6, 0xD4,0x80,0x48,0x18,0x10,0x0D,
	0x39, 0, 2, 0x6F,0x1E,
	0x39, 0, 6, 0xD4,0x80,0x40,0x30,0x0D,0x10,
	0x39, 0, 2, 0x6F,0x23,
	0x39, 0, 6, 0xD4,0x80,0x30,0x20,0x14,0x0D,
	0x39, 0, 2, 0x6F,0x28,
	0x39, 0, 6, 0xD4,0xA8,0x28,0x20,0x10,0x0A,
	0x39, 0, 2, 0x6F,0x2D,
	0x39, 0, 6, 0xD4,0x60,0x28,0x20,0x10,0x08,
	0x39, 0, 2, 0x6F,0x32,
	0x39, 0, 6, 0xD4,0x40,0x30,0x18,0x0A,0x0A,
	0x39, 0, 2, 0x6F,0x37,
	0x39, 0, 6, 0xD4,0x40,0x28,0x20,0x0A,0x08,
	0x39, 0, 2, 0x6F,0x3C,
	0x39, 0, 6, 0xD4,0x40,0x20,0x10,0x10,0x06,
	0x39, 0, 2, 0x6F,0x41,
	0x39, 0, 6, 0xD4,0x20,0x20,0x10,0x10,0x04,
	0x39, 0, 2, 0x6F,0x46,
	0x39, 0, 6, 0xD4,0x30,0x20,0x10,0x10,0x04,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x05,
	0x39, 0, 3, 0xC7,0x07,0x01,
	0x39, 0, 4, 0xB0,0x07,0x21,0x00,
	0x39, 0, 3, 0xB3,0x85,0x80,
	0x39, 0, 3, 0xB5,0x85,0x81,
	0x39, 0, 5, 0xB7,0x84,0x00,0x00,0x81,
	0x39, 0, 5, 0xB8,0x84,0x00,0x00,0x81,
	0x39, 0, 5, 0xB9,0x85,0x00,0x00,0x81,
	0x39, 0, 4, 0xD0,0x00,0x03,0x10,
	0x39, 0, 5, 0xE0,0x82,0x00,0x00,0x02,
	0x39, 0, 4, 0xD1,0x00,0x01,0x10,
	0x39, 0, 5, 0xE1,0x82,0x00,0x00,0x02,
	0x39, 0, 3, 0xEC,0x0D,0x01,
	0x39, 0, 2, 0x6F,0x02,
	0x39, 0, 19, 0xEC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x06,
	0x39, 0, 3, 0xEC,0x00,0xFF,
	0x39, 0, 2, 0xCA,0x33,
	0x39, 0, 4, 0xCB,0x33,0x33,0x33,
	0x39, 0, 2, 0xD8,0x22,
	0x39, 0, 2, 0xD9,0x01,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x06,
	0x39, 0, 6, 0xB0,0x13,0x32,0x12,0x32,0x04,
	0x39, 0, 6, 0xB1,0x32,0x31,0x0E,0x32,0x31,
	0x39, 0, 6, 0xB2,0x32,0x00,0x32,0x31,0x32,
	0x39, 0, 2, 0xB3,0x0F,
	0x39, 0, 6, 0xB6,0x13,0x32,0x12,0x32,0x04,
	0x39, 0, 6, 0xB7,0x32,0x31,0x0E,0x32,0x31,
	0x39, 0, 6, 0xB8,0x32,0x00,0x32,0x31,0x32,
	0x39, 0, 2, 0xB9,0x0F,
	0x39, 0, 2, 0xD0,0x01,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x07,
	0x39, 0, 6, 0xB0,0x84,0x40,0x78,0x70,0x00,
	0x39, 0, 7, 0xB1,0x1C,0x0C,0x00,0x0C,0x1C,0x00,
	0x39, 0, 2, 0xB2,0x20,
	0x39, 0, 2, 0x6F,0x36,
	0x39, 0, 2, 0xB2,0x32,
	0x39, 0, 2, 0x6F,0x3F,
	0x39, 0, 2, 0xB2,0x04,
	0x39, 0, 2, 0x6F,0x09,
	0x39, 0, 2, 0xB2,0x20,
	0x39, 0, 2, 0x6F,0x48,
	0x39, 0, 2, 0xB2,0x32,
	0x39, 0, 2, 0x6F,0x51,
	0x39, 0, 2, 0xB2,0x04,
	0x39, 0, 2, 0x6F,0x12,
	0x39, 0, 2, 0xB2,0xF0,
	0x39, 0, 2, 0x6F,0x5A,
	0x39, 0, 2, 0xB2,0x03,
	0x39, 0, 2, 0x6F,0x63,
	0x39, 0, 2, 0xB2,0x9B,
	0x39, 0, 2, 0x6F,0x1B,
	0x39, 0, 2, 0xB2,0x20,
	0x39, 0, 2, 0x6F,0x6C,
	0x39, 0, 2, 0xB2,0x32,
	0x39, 0, 2, 0x6F,0x75,
	0x39, 0, 2, 0xB2,0x04,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 2, 0xB2,0x20,
	0x39, 0, 2, 0x6F,0x7E,
	0x39, 0, 2, 0xB2,0x32,
	0x39, 0, 2, 0x6F,0x87,
	0x39, 0, 2, 0xB2,0x04,
	0x39, 0, 2, 0x6F,0x2D,
	0x39, 0, 2, 0xB2,0xCC,
	0x39, 0, 2, 0x6F,0x90,
	0x39, 0, 2, 0xB2,0x03,
	0x39, 0, 2, 0x6F,0x99,
	0x39, 0, 2, 0xB2,0x3A,
	0x39, 0, 2, 0xB4,0xC0,
	0x39, 0, 3, 0xB7,0x00,0x00,
	0x39, 0, 6, 0xC0,0x01,0x01,0x00,0x00,0x55,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC1,0x30,0x0F,0x0A,0xF9,0x1E,0x40,0xDB,0x90,0x3F,0xF3,0xD3,0xC4,0x7F,0xE9,0x6E,0x2C,0x00,0x03,0x60,0x44,0xA4,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC1,0x00,0x18,0x00,0x00,0xA6,0x35,0x33,0x30,0x1D,0x66,0x0F,0xCB,0x72,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC1,0x00,0x10,0x30,0x00,0x17,0x35,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC2,0x38,0x0F,0x02,0x71,0x02,0x11,0xFB,0x82,0x3F,0xFB,0x9C,0x6A,0xFF,0xFE,0x3D,0x86,0x00,0x00,0x5F,0xE6,0xF9,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC2,0x00,0x00,0x36,0x00,0x17,0xA3,0x33,0xD0,0x09,0xCB,0x0F,0x93,0xE9,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC2,0x90,0x10,0x2A,0x90,0x13,0x35,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC3,0x3C,0x00,0x0A,0xF9,0x22,0x84,0x26,0xEC,0x3F,0xEB,0x6D,0x20,0x00,0x0A,0x17,0xC0,0x80,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC3,0x90,0x14,0x2A,0x90,0xA6,0x5F,0x33,0x10,0x00,0x00,0x0C,0xCB,0x92,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC3,0x94,0x24,0x2A,0x94,0x2B,0x35,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC4,0x3C,0x00,0x02,0x40,0x01,0x69,0x03,0x90,0x3F,0xFA,0xCB,0x54,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC4,0x80,0x00,0xBB,0x90,0x13,0x29,0x33,0xE0,0x00,0x00,0x0C,0x92,0x13,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC4,0x04,0x20,0x30,0x04,0x27,0x35,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC5,0x2A,0x0F,0x0A,0xF9,0x22,0x84,0xD9,0x14,0x00,0x08,0x0E,0xDC,0x00,0x20,0x4A,0x58,0xFF,0xF7,0xD5,0xE1,0x64,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC5,0x93,0x91,0x2A,0x94,0x23,0x5F,0x33,0x1F,0xE1,0xC6,0x00,0x35,0x92,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC6,0x2A,0x0F,0x02,0x11,0x01,0x69,0xFC,0x96,0x00,0x04,0xBE,0xAA,0xC0,0x00,0x40,0xDE,0x7F,0xFF,0xA2,0xEF,0x69,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC6,0x84,0x24,0xBC,0x94,0x37,0x29,0x33,0xDF,0xF7,0xE9,0x00,0x6D,0x13,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC7,0x26,0x00,0x0A,0xF9,0x1E,0x40,0x24,0x70,0x00,0x00,0x00,0x00,0x7F,0xD5,0x38,0x0C,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC7,0x03,0x91,0x00,0x04,0x1F,0x35,0x33,0x30,0x00,0x00,0x03,0x35,0x72,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC8,0x2E,0x00,0x02,0x71,0x02,0x11,0x04,0x7E,0x00,0x03,0xF3,0x48,0xFF,0xFD,0xD6,0x34,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC8,0x04,0x20,0x36,0x04,0x37,0xA3,0x33,0xD0,0x00,0x00,0x03,0x6D,0xE9,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC9,0x21,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x3F,0xE0,0x8E,0xC6,0x80,0x06,0x33,0xD5,0xF1,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC9,0x00,0x16,0x13,0x00,0x7B,0x78,0x33,0xD0,0x27,0xD9,0x0F,0x9B,0x9B,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCA,0x27,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCA,0x00,0x7C,0x13,0x00,0xE1,0x78,0x33,0xD0,0x00,0x00,0x03,0x65,0x9B,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCB,0x2D,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x3F,0xE0,0x8E,0xC6,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCB,0x00,0x16,0x79,0x00,0x7B,0xDE,0x33,0x70,0x00,0x00,0x0C,0x9B,0x65,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCC,0x2B,0x00,0x27,0xD9,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xCC,0x2A,0x0F,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCC,0x00,0x7C,0x79,0x00,0xE1,0xDE,0x33,0x7F,0xD8,0x27,0x00,0x65,0x65,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCD,0x21,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x3F,0xFF,0x1E,0xC4,0x00,0x00,0x0D,0x32,0x84,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCD,0x01,0xFC,0x17,0x02,0x1B,0x35,0x33,0x90,0x03,0xA2,0x0F,0xE2,0xE1,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCD,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCE,0x2D,0x00,0x03,0x84,0x03,0xC1,0x00,0x00,0x3F,0xFF,0x26,0x08,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCE,0x01,0xFC,0x36,0x02,0x1B,0x54,0x33,0x40,0x00,0x00,0x0C,0xE2,0x1F,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCF,0x27,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x3A,0xE4,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCF,0x02,0x1C,0x17,0x02,0x39,0x35,0x33,0x80,0x00,0x00,0x03,0x1E,0xE3,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD0,0x2B,0x00,0x03,0x84,0x03,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xF4,0x73,0x5C,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD0,0x02,0x1C,0x36,0x02,0x39,0x54,0x33,0x5F,0xFC,0x9A,0x00,0x1E,0x1D,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0x07,
	0x39, 0, 6, 0xC0,0x01,0x01,0x00,0x00,0x55,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xC9,0x21,0x00,0x29,0x71,0x29,0x71,0x00,0x00,0x3F,0xDE,0xA7,0x12,0x3F,0xDE,0xA7,0x12,0x80,0x06,0xB5,0x63,0xE1,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xC9,0x81,0xB5,0x0D,0x82,0x1C,0x74,0x33,0xE0,0x29,0x71,0x0F,0x99,0x99,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xC9,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCA,0x27,0x00,0x29,0x71,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xDF,0xEF,0x62,0x80,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCA,0x82,0x1D,0x0D,0x82,0x82,0x74,0x33,0xD0,0x00,0x00,0x03,0x67,0x9B,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCB,0x2D,0x00,0x28,0xA4,0x29,0x71,0x00,0x00,0x3F,0xDF,0x4C,0x08,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCB,0x81,0xB5,0x75,0x82,0x1C,0xDB,0x33,0x70,0x00,0x00,0x0C,0x9A,0x67,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCB,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0x6F,0x00,
	0x39, 0, 22, 0xCC,0x2B,0x00,0x28,0xA4,0x27,0xD9,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x7F,0xF9,0xAC,0x90,0xFC,
	0x39, 0, 2, 0x6F,0x15,
	0x39, 0, 16, 0xCC,0x82,0x1D,0x75,0x82,0x82,0xDB,0x33,0x8F,0xD7,0xC2,0x00,0x66,0x65,0x00,0x00,
	0x39, 0, 2, 0x6F,0x24,
	0x39, 0, 8, 0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x39, 0, 2, 0xD9,0x40,
	0x39, 0, 5, 0x3B,0x00,0x14,0x09,0xAC,
	0x39, 0, 2, 0x03,0x01,
	0x39, 0, 2, 0x90,0x02,
	0x39, 0, 19, 0x91,0x89,0x28,0x00,0x0C,0xC2,0x00,0x03,0x1C,0x01,0x7E,0x00,0x0F,0x08,0xBB,0x04,0x3D,0x10,0xF0,
	0x39, 0, 1, 0x2C,
	0x39, 0, 5, 0x51,0x07,0xFF,0x0F,0xFF,
	0x39, 0, 5, 0xFF,0xAA,0x55,0xA5,0x80,
	0x39, 0, 2, 0x6F,0x1D,
	0x39, 0, 2, 0xF2,0x05,
	0x39, 0, 2, 0x53,0x20,
	0x39, 0, 1, 0x35,
	0x39, 0, 5, 0x2A,0x00,0x00,0x04,0x37,
	0x39, 0, 5, 0x2B,0x00,0x00,0x09,0x5F,
	0x39, 0, 2, 0x2F,0x01,
	0x39, 0, 2, 0x26,0x01,
	
#if 1  //Ϊvideoģʽ
	0x39, 0, 6, 0xF0,0x55,0xAA,0x52,0x08,0X00,
	0x39, 0, 2, 0xC0,0x77,
	//0x39, 0, 2, 0xC0,0x65,    //Test
	0x39, 0, 5, 0x3B,0x00,0x10,0x09,0x90,
	0x39, 0, 2, 0x90,0x00,
	0x05, 0, 1, 0x2C, 
	0x39, 0, 3, 0x51,0x03,0x00, 
#endif
 
#if 1//BIST MODE  
	0x39, 0, 6,0xF0,0x55,0xAA,0x52,0x08,0x00,
	0x39, 0, 8,0xEF,0x01,0x02,0xFF,0xFF,0xFF,0x17,0xFF,
	0x39, 0, 5,0xEE,0x87,0x78,0x02,0x40
#endif

#endif

};
#endif


static void init_panel(void)
{
//	uint8_t data[10] = {0};
	
    /* reset panel*/
    tx_panel_reset();

    /* enter send initial code mode*/
    hal_dsi_tx_ctrl_enter_init_panel_mode(); 
	
#if  AMOLED_NT37701_HX628 
#if PANEL_INIT_CODE_ARRAY 
	send_panel_init_code(sizeof(panel_init_code), panel_init_code); 
	
	
//	hal_dsi_tx_ctrl_write_cmd(0x05, 0, 1, 0x11); 
	delayMs(5); //10
	hal_gpio_init_output(IO_PAD_PWMEN, IO_LVL_HIGH);//LED_ON 
	delayMs(80);   //80  
	Gpio_swire_output(2, 42);    //42 
	delayMs(200);   //20
	hal_dsi_tx_ctrl_write_cmd(0x29, 0, 3, 0x51, 0x00, 0x00);  //0FFF
//	hal_dsi_tx_ctrl_write_cmd(0x05, 0, 1, 0x29); 
	delayMs(2);
#endif
#endif	

	/* exit send initial code mode*/ 
	hal_dsi_tx_ctrl_exit_init_panel_mode(); 
	//TAU_LOGD("pannel init\n"); 
//	delayMs(20); 
}



static void open_mipi_rx(void) 
{
    /* TE */
    hal_gpio_set_mode(IO_PAD_AP_TE, IO_MODE_TEAR); 

    if (g_rx_ctrl_handle == NULL) 
    {
        /* rx   ctrl handle */
        g_rx_ctrl_handle = hal_dsi_rx_ctrl_create_handle(); 
    }
    /* ò */
    g_rx_ctrl_handle->base_info.src_w = INPUT_WIDTH; 
    g_rx_ctrl_handle->base_info.src_h = INPUT_HEIGHT; 
    g_rx_ctrl_handle->base_info.dst_w = OUTPUT_WIDTH; 
    g_rx_ctrl_handle->base_info.dst_h = OUTPUT_HEIGHT; 
    g_rx_ctrl_handle->base_info.src_frate = INPUT_FRAME_RATE; 
    g_rx_ctrl_handle->base_info.src_mode = INPUT_DATA_MODE; 
    g_rx_ctrl_handle->rx_color_mode = INPUT_COLOR_MODE; 
    g_rx_ctrl_handle->rx_lanes = INPUT_MIPI_LANE_NUM; 
    g_rx_ctrl_handle->rx_nonburst_models = INPUT_VIDEO_MODEL; /* ɲ */ 
    g_rx_ctrl_handle->rx_vc = INPUT_VC; 
    g_rx_ctrl_handle->compress_en = INPUT_COMPRESS; 
    g_rx_ctrl_handle->rx_hsclk_rate = INPUT_MIPI_LANE_RATE; 
    g_rx_ctrl_handle->cus_dcs_entry_table = g_cus_rx_dcs_execute_table; /* ע DCSб */ 
    g_rx_ctrl_handle->rx_dcs_read_entry = ap_dcs_read; /* עdsc read ص,ѡ,˺Ϊʱcus_dcs_entry_tableִ */ 
    g_rx_ctrl_handle->pps_update_entry = pps_update_handle; 
    g_rx_ctrl_handle->pq_marginal = PQ_TYPE_5; 
#if defined(ISP_568) || defined(ISP_368) 
    g_rx_ctrl_handle->base_info.extra_info.rot_angle = VIDOE_ROT_ANGLE_0; 
    g_rx_ctrl_handle->base_info.extra_info.mirror_en = false; 
    g_rx_ctrl_handle->base_info.extra_info.ltpo = true;  
#endif

    /* ǰԤPPS,  AP PPS cmdҲ */
    if (g_rx_ctrl_handle->compress_en == true)
    {
	#if 0
		uint8_t pps[128] = {0x11, 0x00, 0x00, 0x89, 0x30, 0x80, 0x0B, 0x90, 0x05, 0xA0, 0x00, 0x28, 0x02, 0xD0, 0x02, 0xD0, 
							0x02, 0x00, 0x02, 0x68, 0x00, 0x20, 0x04, 0x6C, 0x00, 0x0A, 0x00, 0x0C, 0x02, 0x77, 0x01, 0xE9, 
							0x18, 0x00, 0x10, 0xF0, 0x03, 0x0C, 0x20, 0x00, 0x06, 0x0B, 0x0B, 0x33, 0x0E, 0x1C, 0x2A, 0x38, 
							0x46, 0x54, 0x62, 0x69, 0x70, 0x77, 0x79, 0x7B, 0x7D, 0x7E, 0x01, 0x02, 0x01, 0x00, 0x09, 0x40, 
							0x09, 0xBE, 0x19, 0xFC, 0x19, 0xFA, 0x19, 0xF8, 0x1A, 0x38, 0x1A, 0x78, 0x1A, 0xB6, 0x2A, 0xF6, 
							0x2B, 0x34, 0x2B, 0x74, 0x3B, 0x74, 0x6B, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
							0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
							0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
	#else
		//3Żץȡpps
		uint8_t pps[128] = {0x11,0x00,0x00,0x89,0x30,0x80,0x09,0x60,0x04,0x38,0x00,0x78,0x02,0x1C,0x02,0x1C,
							0x02,0x00,0x02,0x0E,0x00,0x20,0x0B,0xAF,0x00,0x07,0x00,0x0C,0x00,0xCF,0x00,0xD9,
							0x18,0x00,0x10,0xF0,0x03,0x0C,0x20,0x00,0x06,0x0B,0x0B,0x33,0x0E,0x1C,0x2A,0x38,
							0x46,0x54,0x62,0x69,0x70,0x77,0x79,0x7B,0x7D,0x7E,0x01,0x02,0x01,0x00,0x09,0x40,
							0x09,0xBE,0x19,0xFC,0x19,0xFA,0x19,0xF8,0x1A,0x38,0x1A,0x78,0x1A,0xB6,0x2A,0xF6,
							0x2B,0x34,0x2B,0x74,0x3B,0x74,0x63,0xF4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
							0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
							0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
	#endif
        hal_dsi_rx_ctrl_pre_init_pps(g_rx_ctrl_handle, pps, 128);
    }

    /* ʼrx ctrl */
    hal_dsi_rx_ctrl_init(g_rx_ctrl_handle);

	hal_dsi_rx_ctrl_set_cus_sync_line(g_rx_ctrl_handle, 2200);// lss add, ˺1600
    
    hal_dsi_rx_ctrl_set_cus_scld_filter(g_rx_ctrl_handle,rx_filter_1080_h_4_96,rx_filter_2400_v_4_96);

    /* rx ctrl */
    hal_dsi_rx_ctrl_start(g_rx_ctrl_handle);
	//hal_dsi_rx_ctrl_hight_performan_mode(g_rx_ctrl_handle);
	hal_dsi_rx_ctrl_set_cus_esc_clk(g_rx_ctrl_handle,20000000);
}

static void init_mipi_tx(void)
{
    if (g_tx_ctrl_handle == NULL)
    {
        g_tx_ctrl_handle = hal_dsi_tx_ctrl_create_handle();
    }
    g_tx_ctrl_handle->channel_id = OUTPUT_VC;
    g_tx_ctrl_handle->lane_num = OUTPUT_LANE_NUMBER;
    g_tx_ctrl_handle->vid_mode = OUTPUT_VIDEO_MODEL;
    g_tx_ctrl_handle->cmd_tx_type = _CMD_TYPE;
    g_tx_ctrl_handle->dpi_vsa = OUTPUT_VSA;
    g_tx_ctrl_handle->dpi_vbp = OUTPUT_VBP;
    g_tx_ctrl_handle->dpi_vfp = OUTPUT_VFP;
    g_tx_ctrl_handle->dpi_hsa = OUTPUT_HSA;
    g_tx_ctrl_handle->dpi_hbp = OUTPUT_HBP;
    g_tx_ctrl_handle->dpi_hfp = OUTPUT_HFP;
    g_tx_ctrl_handle->base_info.src_w = INPUT_WIDTH;
    g_tx_ctrl_handle->base_info.src_h = INPUT_HEIGHT;
    g_tx_ctrl_handle->base_info.dst_w = OUTPUT_WIDTH;
    g_tx_ctrl_handle->base_info.dst_h = OUTPUT_HEIGHT;
    g_tx_ctrl_handle->base_info.src_frate = INPUT_FRAME_RATE;
    g_tx_ctrl_handle->base_info.src_mode = INPUT_DATA_MODE;
  	g_tx_ctrl_handle->tx_line_delay = 100;  
	g_tx_ctrl_handle->tx_frame_rate = OUTPUT_FRAME_RATE;
	g_rx_ctrl_handle->base_info.extra_info.ltpo = true;  
	
    hal_dsi_tx_ctrl_init(g_tx_ctrl_handle);
    /* AP ûзʱĬϵʾɫ, Ϊ0 0 0(ɫ), ɫΪdebugʹ */
    hal_dsi_tx_ctrl_set_overwrite_rgb(0x00, 0x00, 0x00);
}


static void tx_display_on(void)
{
    init_panel();
	
//	hal_dsi_tx_ctrl_write_cmd(0x29, 0, 3, 0x51, 0x00, 0x00);  //0FFF 
    hal_dsi_tx_ctrl_start(g_tx_ctrl_handle);
	
	//ʱʾĻỨһµ
    delayMs(50);
    hal_dsi_tx_ctrl_write_cmd(0x05, 0, 2, 0x29);
}

static void swire_timer_callback(void *data)
{
#ifdef USE_FOR_SUMSUNG_S21
	if(Flag_blacklight_EN)
	{
		hal_swire_start(12, 12, 12, 12, SWIRE_DEFAULT_NUM);
	}
	else if(s20_power_on_flag)
	{
		hal_swire_start(12, 12, 12, 12, SWIRE_DEFAULT_NUM);
	}
	else
#endif		
	{
		hal_swire_start(12, 12, 12, 12, swire_num);
	}
}

static void swire_callback(void *data)
{
    /* swire ǷҪһֱҪֻֻͬͬ */
    //if(start_display_on == false)
    {
        hal_timer_start(SWIRE_TIMER, 26, swire_timer_callback, NULL);
    }
}

/* swire ʼ,ͨ hal_swire_start , ѭһֱ */
static void swire_init()
{
    hal_swire_open(DISABLE);
    hal_swire_init();
    /* swire ηɺص */
    hal_swire_register_callback(swire_callback);
    hal_swire_open(ENABLE);
    //hal_swire_start(12, 12, 12, 12, 43);
    hal_swire_start(12, 12, 12, 12, SWIRE_DEFAULT_NUM); //3~27,~,9.45V~7.43V
    hal_timer_init(SWIRE_TIMER);
    hal_timer_start(SWIRE_TIMER, 26, swire_timer_callback, NULL);
}

//static void soft_te_timer_cb(void *data)
//{
//    /*
//        S8 ӵTP1.8V, AC ҪȵTP1.8 ٳʼ, TP ǰҪͨTEֻֻ
//    */
//    if (panel_display_done == false)
//    {
//        hal_dsi_rx_ctrl_gen_a_tear_signal(g_rx_ctrl_handle);
//        hal_timer_start(TE_TIMER, 17, soft_te_timer_cb, NULL);
//    }
//    else
//    {
//        hal_dsi_rx_ctrl_set_hw_tear_mode(g_rx_ctrl_handle);
//		//hal_dsi_rx_ctrl_set_tear_mode_ex(g_rx_ctrl_handle, 2100, TE_HW_MODE);
//    }
//}

//static void soft_te_timer_init()
//{
//    TAU_LOGD("soft_te_timer_init\n");
//    hal_dsi_rx_ctrl_set_sw_tear_mode(g_rx_ctrl_handle);
//    hal_timer_init(TE_TIMER);
//    hal_timer_start(TE_TIMER, 1, soft_te_timer_cb, NULL);
//}

#ifdef ADD_TIMER3_FUNCTION
static void soft_timer3_cb(void *data)
{
	hal_timer_start(TIMER_NUM3, 10, soft_timer3_cb, NULL);
	tp_sleep_count++;
	if(phone_DisplayOFF_count>0)
	{
	   phone_DisplayOFF_count++;
	}	
	//TAU_LOGD("time3 init\n");
	
#if AUTO_CAL_TP
	if (g_exit_sleep_mode)
	{
		if (g_cal_cnt > 0)
		{
			g_cal_cnt--;
			if (g_cal_cnt == 0){
				g_calibration_flag = true;
				TAU_LOGD("Start cal tp!\n");
			}
		}
	}
#endif
	
#if RUN_TEST
	g_run_test_cnt++;
#endif
}
#endif

/*
#if ADD_TP_CALIBRATION
void app_tp_calibration_exec(void)
{
	if(g_calibration_flag)
	{	  
		g_calibration_flag = false;
		ap_tp_st_touch_calibration();
		TAU_LOGD("calibration successful \n");
	}
}
#endif
*/

void tp_heartbeat_exec(void)
{
	if (s_screen_init_complate)
	{
		if(hal_gpio_get_input_data(IO_PAD_TD_INT))
		{
			s_heartbeat = 0;
		}
		else
		{
			if(s_heartbeat < (65536/50))  // 65536*3 = 900ms  65536/50 = 6ms
			{
				s_heartbeat ++;
			}else
			{
				TAU_LOGD("hb");
				s_heartbeat = 0;
				ap_tp_st_touch_software_reset();
			}
		}
	}
}

void ap_demo(void)
{
	hal_gpio_init_output(IO_PAD_TD_LEDPWM, IO_LVL_LOW);
	hal_gpio_init_output(IO_PAD_AP_SWIRE, IO_LVL_LOW);
	hal_gpio_init_output(IO_PAD_ADCIN, IO_LVL_LOW);
	//    hal_gpio_init_output(IO_PAD_AP_INT, IO_LVL_LOW);
	hal_gpio_init_output(IO_PAD_PWMEN, IO_LVL_LOW);  // LED_ON
	tp_sleep_in = 1;
	app_tp_I2C_init();	
	
    /* mipi rxʼ */
    open_mipi_rx();
    TAU_LOGD("s21 demo1\n");
	
 
 //	hal_dsi_rx_ctrl_set_hw_tear_mode(g_rx_ctrl_handle);

	/* TP1.8е֮ǰʹTEʾ֮лΪӲTE */
//	soft_te_timer_init();
	/* mipi tx ʼ*/
    init_mipi_tx();
    /* Set Interrupt Priority */
			//NVIC_GetPriority
	// 	NVIC_SetPriority(I2C1_IRQn,(1<< __NVIC_PRIO_BITS )+ 1);
	//	NVIC_SetPriority(I2C0_IRQn,0);
	//	NVIC_SetPriority(I2C1_IRQn,1);
//		NVIC_SetPriority(I2C0_IRQn,(1<< __NVIC_PRIO_BITS )  );
	//  TAU_LOGD("I2C0_IRQn: %x\n",NVIC_GetPriority(I2C0_IRQn));
	//	TAU_LOGD("I2C1_IRQn: %x\n",NVIC_GetPriority(I2C1_IRQn));
			
 /* touch ģʼ */
#ifndef DISPLAY_ONLY
    app_tp_init();
#endif

#ifdef ADD_TIMER3_FUNCTION
	tp_sleep_count = 0;
	phone_DisplayOFF_count=1;
	hal_timer_init(TIMER_NUM3);
	hal_timer_start(TIMER_NUM3, 10, soft_timer3_cb, NULL);
	TAU_LOGD("start timer3\n");
#endif

	while (1)
	{
        /* ȴ AP TP ϵ*/
        if (start_display_on == true )
        {
			/* ʼ */
			tx_display_on();
			start_display_on = false;
			panel_display_done = true;

			app_tp_phone_clear_reset_on();
		#ifndef DISABLE_TDDI_I2C_FUNCTION
			/* TP ģͨѶʼ */
			app_tp_transfer_screen_start();
		#endif
		#if ENABLE_TP_WAKE_UP
			hal_gpio_set_ap_reset_int(ENABLE, ap_reset_cb, DETECT_RISING_EDGE);
		#endif	
        }
		
		if(phone_DisplayOFF_flag==1)
		{	
			if(phone_DisplayOFF_count>950)
			{
				phone_DisplayOFF_count=0;
				phone_start_flag=1;
			}
		}
		else
		{
			if(phone_DisplayOFF_count>20)
			{
				phone_DisplayOFF_count=0;
				phone_start_flag=1;
				hal_gpio_set_output_data(IO_PAD_AP_INT, IO_LVL_LOW); //ͣ˫2~3s޴.jason_su
			}			
		}		
		
//			if(phone_DisplayOFF_count>560)
//			{
//				phone_DisplayOFF_count=0;
//				ap_tp_calibration();
//			}		
		
		
	#if ADD_TP_CALIBRATION
		app_tp_calibration_exec();
	#endif	

	tp_heartbeat_exec();
	ap_tp_st_touch_scan_point_record_event_exec();
//	ap_tp_scan_point_record_event_exec();
		
	#ifndef DISABLE_TDDI_I2C_FUNCTION
        /* ȴ TP жϱTP Эת */
        app_tp_transfer_screen_int();
	#endif
		
        while (hal_dsi_rx_ctrl_dsc_async_handler(g_rx_ctrl_handle))
		{
		}
		
	#if ENABLE_TP_WAKE_UP
        if (g_need_enter_sleep_mode)
        {
			hal_gpio_init_output(IO_PAD_TD_LEDPWM, IO_LVL_HIGH);
            /* FIXME stop more model */
//            g_swire_enable = false;
            hal_dsi_tx_ctrl_stop(g_tx_ctrl_handle);
            hal_dsi_tx_ctrl_deinit(g_tx_ctrl_handle);
            hal_dsi_rx_ctrl_stop(g_rx_ctrl_handle);
            hal_dsi_rx_ctrl_deinit(g_rx_ctrl_handle);

//			hal_swire_open(DISABLE);
//            hal_swire_deinit();
//            hal_timer_stop(SWIRE_TIMER);
//			hal_timer_deinit(SWIRE_TIMER);
			
			TAU_LOGD("disable video path \n");
			g_need_enter_sleep_mode = false;
			hal_system_set_vcc(false);
			tp_sleep_in=1;
        }
    #endif
		
	#if RUN_TEST
		if (g_run_test_cnt > 200)
		{
			TAU_LOGD("system run\n");
			g_run_test_cnt = 0;
		}
	#endif

        /* enter idle mode*/
        //hal_system_idle_mode(true);
    }	
}



